Objetos de Microsoft Office

AnswerWizard
AnswerWizardFiles
Assistant
Balloon
BalloonCheckboxes
BalloonCheckbox
BalloonLabels
BalloonLabel
COMAddIns
COMAddIn
CommandBarButton
CommandBarControl
CommandBarComboBox
CommandBarControl
CommandBarPopup
CommandBarControl
DocumentProperties
DocumentProperty
FileDialog
FileDialogFilters
FileDialogFilter
FileDialogSelectedItems
FileSearch
FileTypes
FoundFiles
PropertyTests
PropertyTest
SearchFolders
ScopeFolder
ScopeFolders
SearchScopes
SearchScopes
ScopeFolder
ScopeFolders
HTMLProject
HTMLProjectItems
HTMLProjectItem
LanguageSettings
MsoEnvelope
CommandBars
NewFile
OfficeDataSourceObject
ODSOColumns
ODSOColumn
ODSOFilters
ODSOFilter
Scripts
Script
SignatureSet
Signature
WebPageFonts
WebPageFont

Leyenda

Objeto y colección
Sólo objeto


Novedades para los programadores de Microsoft Office

Se han realizado muchos cambios en el modelo de objeto Visual Basic de Microsoft Office a fin de aumentar la compatibilidad con las características nuevas y mejoradas de los componentes compartidos. Se han agregado una gran cantidad de objetos, propiedades, métodos y eventos.

Visite el Office Developer Center en MSDN Online para obtener la información más reciente sobre el desarrollo de Microsoft Office, que incluye artículos técnicos nuevos, descargas, muestras, nuevos productos, etc.

Elementos de idioma nuevos

El tema siguiente ofrece una lista de los elementos de idioma que son nuevos en Office:

Objetos nuevos

Propiedades nuevas (por objetos)

Propiedades nuevas (por orden alfabético)

Métodos nuevos

Eventos nuevos


Objetos nuevos

Visite el Office Developer Center en MSDN Online para obtener la información más reciente sobre el desarrollo de Microsoft Office, que incluye artículos técnicos nuevos, descargas, muestras, nuevos productos, etc.

Los objetos que se han agregado a Visual Basic en Microsoft Office se incluyen en la siguiente tabla.

Objetos
FileDialog
FileDialogFilter
FileDialogFilters
FileDialogSelectedItems
FileTypes
MsoEnvelope
NewFile
ODSOColumn
ODSOColumns
ODSOFilter
ODSOFilters
OfficeDataSourceObject
ScopeFolder
ScopeFolders
SearchFolders
SearchScope
SearchScopes
Signature
SignatureSet


Eventos nuevos

Los eventos nuevos de Microsoft Office se incluyen en la siguiente tabla.

Eventos
EnvelopeHide
EnvelopeShow


Métodos nuevos

Los métodos que se han añadido a los objetos existentes de Microsoft Office se incluyen en la tabla siguiente, ordenados por objetos.

Objetos Métodos
Assistant
 DoAlert
FileSearch
 RefreshScopes
OfficeDataSourceObject
 ApplyFilter

SetSortOrder


Propiedades nuevas (por orden alfabético)

Las propiedades que se han añadido a los objetos existentes de Microsoft Office se incluyen en la tabla siguiente (por orden alfabético).

Propiedades
AllowMultiSelect
AttachCertificate
ButtonName
Column
Columns
CommandBars
CompareTo
Comparison
Conjunction
ConnectString
DataSource
DialogType
DisableAskAQuestionDropdown
DisableCustomize
ExpireDate
Extensions
FileTypes
FilterIndex
Filters
InitialFileName
InitialView
Introduction
IsCertificateExpired
IsCertificateRevoked
Issuer
IsValid
Mask
Path
Picture
RowCount
ScopeFolder
ScopeFolders
SearchFolders
SearchScopes
SelectedItems
SignDate
Signer
Table


Propiedades nuevas (por objeto)

Las propiedades que se han añadido a los objetos existentes de Microsoft Office se incluyen en la tabla siguiente (ordenadas por nombre de objeto).

Objetos | Propiedades
CommandBarButton | Mask Picture
CommandBars | DisableAskAQuestionDropdown DisableCustomize
FileDialog | AllowMultiSelect ButtonName DialogType FilterIndex Filters InitialFileName InitialView SelectedItems
FileDialogFilter | Extensions
FileSearch | FileTypes SearchFolders SearchScopes
MsoEnvelope | CommandBars Introduction
ODSOFilter | Column CompareTo Comparison Conjunction
OfficeDataSourceObject | Columns ConnectString DataSource Filters RowCount Table
ScopeFolder | Path ScopeFolders
SearchScope | ScopeFolder
Signature | AttachCertificate ExpireDate IsCertificateExpired IsCertificateRevoked Issuer IsValid SignDate Signer


Introducción al Ayudante de Office

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

El Ayudante de Office, el globo del Ayudante de Office y todos los elementos del globo se controlan mediante los objetos, propiedades y métodos del objeto Assistant.

La siguiente ilustración muestra el Ayudante de Office, el globo del Ayudante de Office y todos los objetos programables del globo.

El Ayudante de Office, un objeto Balloon, y los elementos programables del globo

Para obtener información sobre cómo realizar cambios en tiempo de diseño y en tiempo de ejecución al Ayudante de Office, consulte los siguientes temas.

Utilizar el Ayudante de Office

Creación y modificación de globos

Modificaciones de los globos en tiempo de ejecución


Introducción a las barras de comandos

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

En Microsoft Office las barras de herramientas y de menús, y los menús contextuales están controlados mediante macros como un tipo de objeto: barras de comandos. Los siguientes elementos están representados en Visual Basic para Aplicaciones por objetos CommandBar:

  • Barras de menús, barras de herramientas y menús contextuales
  • Menús de barras de menús y de barras de herramientas
  • Submenús de menús, submenús y menús contextuales

Se pueden modificar todas las barras de herramientas y de menús, y crear y modificar las barras de herramientas, de menús y menús contextuales personalizados que se incluirán en la aplicación de Visual Basic. Las funciones de la aplicación se presentan como botones individuales, en las barras de herramientas, o como grupos de nombres de comandos en los menús. Debido a las barras de herramientas y los menús son ambos barras de comandos, se utiliza la misma clase de controles en ambos. Por ejemplo, la barra de herramientas acoplada mostrada en la siguiente ilustración contiene tres botones.

Barra de herramientas acoplada que contiene tres botones

El menú mostrado en la siguiente ilustración contiene los mismos tres comandos que la ilustración previa, pero aquí se muestran como elementos de menú.

Menú que contiene tres elementos de menú

En Microsoft Office, tanto las barras de menús, como las barras de herramientas pueden contener menús. La barra de herramientas flotante mostrada en la siguiente ilustración contiene tres botones y también contiene un menú con los mismos comandos mostrados como elementos de menú.

Barra de herramientas flotante que contiene tres botones y un menú con tres elementos de menú

En Visual Basic, los botones y elementos de menús se representan con objetos CommandBarButton. Los controles emergentes que muestran menús y submenús están representados por objetos CommandBarPopup. En la siguiente ilustración, el control denominado "Menú" y el control denominado "Submenú" son controles emergentes que muestran un menú y un submenú respectivamente. El menú y el submenú son objetos CommandBar únicos con su propia colección de controles.

Controles emergentes que muestran un menú y un submenú

En Microsoft Office también se pueden agregar cuadros de texto, cuadros de lista emergente y cuadros combinados a cualquier barra de comandos. Estos tres tipos de comando están todos representados en Visual Basic por objetos CommandBarComboBox.

Nota Aunque comparten aspectos y comportamientos similares, los controles de barra de comandos y los controles ActiveX no son iguales. No se pueden agregar controles ActiveX a barras de comandos ni controles de barras de comandos a documentos o formularios.

Los controles de barra de comandos integrados de las aplicaciones contenedoras están también representados en Visual Basic por objetos CommandBarButton, CommandBarPopup y CommandBarComboBox, aunque sus aspectos y comportamientos sean más complejos que los controles personalizados. Aunque se puede modificar la ubicación y aspecto de los controles integrados, no se puede modificar el comportamiento integrado. Sin embargo, se puede agregar una macro personalizada a cualquier control integrado para reemplazar completamente su comportamiento integrado.


Utilizar las barras de comandos

En general, para crear o modificar barras de herramientas o de menús, y menús contextuales que desee incluir en la aplicación de Visual Basic, debe utilizar las funciones de personalización de la aplicación contenedora. Los cambios realizados a las barras de herramientas y de menús, y a los menús contextuales mediante las funciones de la aplicación contenedora se conocen como cambios "en tiempo de diseño". Para obtener información sobre cómo utilizar la aplicación contenedora para realizar cambios en tiempo de diseño, consulte la Ayuda en pantalla de dicha aplicación.

Es posible agregar y modificar las barras de herramientas y de menús, y los menús contextuales y sus componentes, utilizando la parte CommandBars del modelo de objeto de Microsoft Office en código Visual Basic. Se puede escribir el código para que se ejecute una vez creadas las barras de herramientas y de menús; en efecto, el código simula realizar cambios en tiempo de diseño. Sin embargo, en algunas aplicaciones contenedoras puede que necesite utilizar una combinación de este tipo de código Visual Basic y la interfaz de personalización para diseñar la aplicación de Visual Basic. Estas son algunas áreas comunes donde es necesario utilizar una combinación de código y de la interfaz de la aplicación contenedora.

  • Si la aplicación contenedora no incluye una interfaz para agregar o modificar los cuadros de edición, de lista desplegable o combinados de las barras de herramientas, debe utilizar el código de Visual Basic para agregar uno de estos controles.
  • Si la aplicación contenedora incluye una interfaz para crear barras de herramientas pero no incluye una para crear nuevas barras de menús, será necesario utilizar Visual Basic para crear una barra de menús. Después de crear la barra de menús en Visual Basic, se pueden diseñar los menús de dicha barra mediante la interfaz de la aplicación contenedora.
  • Si la aplicación contenedora no incluye una manera de mostrar los menús contextuales personalizados mientras se muestra la interfaz de personalización, es necesario utilizar el código de Visual Basic para modificar estos menús contextuales.

También puede escribir el código que exista en la aplicación de Visual Basic para realizar cambios a las barras de herramientas y de menús mientras se ejecuta la aplicación; por ejemplo, se puede escribir el código para deshabilitar un comando de una barra de menús en determinadas condiciones o agregar botones a una barra de herramientas en respuesta a una acción del usuario. Los cambios realizados por el código mientras se ejecuta la aplicación de Visual Basic se conocen como cambios en "tiempo de ejecución".

Los siguientes temas proporcionan información sobre cómo realizar cambios en tiempo de diseño y en tiempo de ejecución a las barras de herramientas y de menús con el código de Visual Basic.

Agregar y modificar barras de herramientas

Agregar y manejar barras y elementos de menú

Agregar y mostrar menús contextuales

Nota El panel de tareas es un tipo de objeto CommandBar al que se puede hacer referencia de la siguiente manera:

Dim cbTaskPane As CommandBar
Set cbTaskPane = Application.CommandBars("Task Pane")
MsgBox "The current task pane's title is """ & cbTaskPane.Controls(1).Caption & """"
Sin embargo, muchos métodos y propiedades de la barra de comandos no presentan el mismo comportamiento que un objeto CommandBar normal cuando se aplican al panel de tareas. Por ejemplo, los métodos Delete y ShowPopup no afectan ni cambian el valor de las propiedades AdaptiveMenu, Context, Name, NameLocal o Protection.


Agregar y modificar barras de herramientas

Todas las aplicaciones tienen una interfaz amplia para agregar y diseñar barras de herramientas personalizadas: agregar botones integrados, macros como botones y controles emergentes. Los cambios en tiempo de diseño realizados con el código de Visual Basic se utilizan normalmente para agregar o modificar controles de cuadro combinado. El trabajo con barras de herramientas en código está casi por completo limitado a cambios en tiempo de ejecución (cambios en el estado, aspecto y acción del botón, etc.).

Modificar las barras de herramientas en tiempo de ejecución

Pueden realizarse algunas modificaciones a una barra de herramientas en tiempo de ejecución. Una de ellas es cambiar el estado de un botón de barra de comandos de la barra de herramientas. Cada control de botón tiene dos estados activos: presionado (True) y no presionado (False). Para cambiar el estado de un control de botón, utilice la constante apropiada para la propiedad State, según se explica en una tabla, más adelante en este tema.

Otra modificación consiste en cambiar el aspecto o acción de un botón. Para cambiar el aspecto de un botón, pero no su acción, utilice los métodos CopyFace y PasteFace. Estos métodos son útiles si desea copiar la imagen de un botón determinado en el Portapapeles o importarla en otra aplicación para cambiar alguna de sus funciones. Utilice el método PasteFace para transferir la imagen de botón del Portapapeles a un botón específico.

Para cambiar la acción de un botón por una función que haya desarrollado, asigne el nombre del procedimiento personalizado a la propiedad OnAction.

La siguiente tabla muestra las propiedades y métodos más comunes para cambiar el estado, aspecto o acción de un botón.

Propiedad o método | Descripción
CopyFace, PasteFace | Copia o pega la imagen en un botón. Utilice el método CopyFace para copiar la imagen del botón especificado en el Portapapeles. Utilice el método PasteFace para pegar el contenido del Portapapeles en la imagen del botón especificado. El método PasteFace fallará si el Portapapeles está vacío. Si la imagen del Portapapeles es demasiado grande para el botón, no se reducirá su tamaño. Normalmente es más conveniente copiar y pegar una imagen de botón en tiempo de diseño, pero también se pueden realizar cambios a una imagen de botón en tiempo de ejecución. También se puede utilizar la propiedad FaceId para asignar una imagen integrada diferente a un botón.
Id | Especifica el valor que representa la función integrada del botón. Por ejemplo, un botón que copia texto seleccionado en el Portapapeles tiene un valor de Id igual a 19.
State | Especifica el aspecto o estado del botón. Puede ser una de las siguientes constantes de MsoButtonState: msoButtonDown, msoButtonMixed o msoButtonUp.
Style | Especifica si la imagen del botón mostrará el icono o el título. Puede ser una de las siguientes constantes MsoControlType: msoButtonAutomatic, msoButtonIcon, msoButtonCaption, msoButtonIconAndCaption, msoButtonIconAndCaptionBelow, msoButtonIconAndWrapCaption, msoButtonIconAndWrapCaptionBelow o msoButtonWrapCaption.
OnAction | Especifica el procedimiento que se ejecuta cuando el usuario hace clic en un botón, muestra un menú o cambia el contenido de un control de cuadro combinado.
Visible | Especifica si el control se muestra u oculta al usuario.
Enabled | Habilita o deshabilita una barra de comandos; el nombre de la barra de comandos deshabilitado no aparecerá en la lista de barras disponibles.

En el siguiente ejemplo se crea una nueva barra de comandos que contiene un solo botón de barra de comandos. Si se utiliza la propiedad OnAction del objeto CommandBarButton, se puede usar el método CopyFace para copiar la imagen del botón Open integrado en el Portapapeles y, a continuación, puede utilizarse el método PasteFace para pegar la imagen en el botón existente. Así se modifica el aspecto del botón de la barra de comandos en tiempo de ejecución.

Sub testAddModifyToolbars1()
Set myBar = CommandBars _
    .Add(Name:="ChangingButton", Position:=msoBarTop, _
    Temporary:=True)
myBar.Visible = True
Set oldControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    ID:=CommandBars("Standard").Controls("Copy").Id)
oldControl.OnAction = "changeFaces"
End Sub

Sub changeFaces()
Set newControl = CommandBars.FindControl _
    (Type:=msoControlButton, _
    ID:=CommandBars("Standard").Controls("Paste").Id)
newControl.CopyFace
Set oldControl = _
CommandBars("ChangingButton").Controls(1)
oldControl.PasteFace
End Sub

Agregar y modificar controles de cuadros combinados

Los cuadros de edición, de lista desplegable y combinados son nuevos controles eficaces que se pueden agregar a las barras de herramientas de la aplicación de Visual Basic. Sin embargo, la mayoría de las aplicaciones contenedoras requieren que se utilice el código de Visual Basic para diseñar estos controles. Para diseñar un control de cuadro combinado, se utilizan las propiedades y métodos descritos en la siguiente tabla:

Propiedad o método | Descripción
Add | Agrega un control de cuadro combinado a una barra de comandos, especificando una de las siguientes constantes MsoControlType para el argumento Type: msoControlEdit, msoControlDropdown o msoControlComboBox.
AddItem | Agrega un elemento a la parte de lista emergente de un cuadro de lista emergente o cuadro combinado. Puede especificarse el número de índice del nuevo elemento en la lista existente pero, si este número es mayor que el número de elementos de la lista, el método AddItem falla.
Caption | Especifica el rótulo del control de cuadro combinado. Éste es el rótulo que se muestra junto al control si la propiedad Style se establece en msoComboLabel.
Style | Especifica si se mostrará el título junto al control especificado. Puede ser una de las siguientes constantes MsoComboStyle: msoComboLabel (se muestra el rótulo) o msoComboNormal (no se muestra el rótulo).
OnAction | Especifica el procedimiento que se ejecuta cuando el usuario cambia el contenido de un control de cuadro combinado.

El siguiente ejemplo agrega un cuadro combinado a una barra de herramientas personalizada y asigna al cuadro combinado la macro denominada "ScrollToQuarter".

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
myBar.Visible = True
Set newCombo = myBar.Controls _
    .Add(Type:=msoControlComboBox)
With newCombo
    .AddItem "Q1"
    .AddItem "Q2"
    .AddItem "Q3"
    .AddItem "Q4"
    .Style = msoComboNormal
    .OnAction = "ScrollToQuarter"
End With

Mientras se ejecuta la aplicación, el procedimiento asignado a la propiedad OnAction del control de cuadro combinado se llama cada vez que el usuario cambia el control. En el procedimiento puede utilizarse la propiedad ActionControl del objeto CommandBar para buscar qué control se ha cambiado y devolver el valor modificado. La propiedad ListIndex devolverá el elemento descrito o seleccionado en el cuadro combinado.


Agregar y manejar barras y elementos de menú

Algunas aplicaciones contenedoras no proporcionan ningún medio para crear nuevas barras de menús y, por tanto, será necesario crearlas mediante Visual Basic. Después de crear la barra de menús en Visual Basic, puede personalizarse mediante la interfaz de la aplicación contenedora o Visual Basic.

Agregar barras de menú en tiempo de ejecución

Al agregar una barra de menú a una aplicación en tiempo de ejecución, utilice el método Add de la colección CommandBars y especifique True en el argumento MenuBar. El siguiente ejemplo agrega una barra de menús que no puede moverse. El ejemplo también acopla esta barra de menús en el lado derecho de la ventana de la aplicación.

Set menubar = CommandBars.Add _
    (Name:="mBar", Position:=msoBarRight, MenuBar:=True)
With menubar
    .Protection = msoBarNoMove
    .Visible = True
End With

Modificar barras de menú en tiempo de ejecución

Se pueden realizar modificaciones a la barra de menús y a los controles de dicha barra en tiempo de ejecución. Los cambios realizados a la barra de menús pueden afectar al aspecto o posición; los cambios realizados a los controles dependen del tipo de control. En la siguiente tabla se muestran las propiedades y métodos más comúnmente utilizados para modificar las barras de menús en tiempo de ejecución.

Propiedad o método | Descripción
Add | Agrega una barra de menús utilizando el método Add de la colección CommandBars y especificando True para el argumento MenuBar.
Enabled | Si la propiedad se establece en True, el usuario puede mostrar la barra de menús especificada mediante el código de Visual Basic. Si esta propiedad se establece en False, el usuario no podrá mostrar la barra de menús, pero ésta aparecerá en la lista de barras disponibles.
Protection | Permite proteger la barra de menús de acciones específicas del usuario. Puede ser sólo una o una combinación de las siguientes constantes de MsoBarProtection: msoBarNoChangeDock, msoBarNoChangeVisible, msoBarNoCustomize, msoBarNoHorizontalDock, msoBarNoMove, msoBarNoProtection, msoBarNoResize y msoBarNoVerticalDock.
Position | Especifica la posición de la nueva barra de menús con relación a la ventana de aplicación. Puede ser una de las siguientes constantes de MsoBarPosition: msoBarLeft, msoBarTop, msoBarRight, msoBarBottom, msoBarFloating, msoBarPopup (utilizada para crear menús contextuales) o msoBarMenuBar (sólo para Macintosh).
Visible | Especifica si el control se muestra u oculta al usuario. Si el control se oculta al usuario, el nombre de la barra de menús aparecerá en la lista de barras disponibles.

El siguiente ejemplo oculta la barra de menús activa y la reemplaza por una barra de menús temporal acoplada al lado derecho de la ventana de aplicación y protegida del usuario.

Set oldMbar = CommandBars.ActiveMenuBar
Set newMbar = CommandBars.Add _
(Name:="newMenubar", Position:=msoBarRight, _
MenuBar:=True, temporary:=True)
With newMbar
    .Visible = True
    .Protection = msoBarNoMove
End With

Combinar barras de menú en tiempo de ejecución

Si tiene barras de menú personalizadas en una aplicación que se va a utilizar como complemento, puede que tenga que especificar cómo se representarán los controles en la aplicación contenedora. Puede usar la propiedad OLEMenuGroup del objeto CommandBarPopup para especificar cómo se producirá la combinación de barras de menú.

Modificar elementos de menú en tiempo de ejecución

La variedad de modificaciones que se pueden realizar a un elemento de menú depende del tipo de control. Normalmente, los botones están habilitados u ocultos. Los cuadros de edición, de lista desplegable y combinados son más versátiles ya que puede agregar o eliminar elementos de la lista, y puede determinar la acción realizada mediante el valor seleccionado. Puede cambiar la acción de cualquier control por una función integrada o personalizada.

La siguiente tabla muestra las propiedades y métodos más comunes para cambiar el estado, acción o contenido de un botón.

Propiedad o método | Propósito
Add | Agrega un elemento de menú a una barra de comandos. Puede ser una de las siguientes constantes MsoControlType del argumento Type de un control integrado: msoControlButton, msoControlEdit, msoControlDropdown o msoControlComboBox.
AddItem | Agrega un elemento a la parte de lista emergente de un cuadro de lista emergente o cuadro combinado. Puede especificarse el número de índice del nuevo elemento en la lista existente pero, si este número es mayor que el número de elementos de la lista, el método AddItem falla.
Style | Especifica si el botón mostrará (y cómo los mostrará) el icono o el título, o ambos. Puede ser una de las siguientes constantes MsoControlType: msoButtonAutomatic, msoButtonIcon, msoButtonCaption, msoButtonIconAndCaption, msoButtonIconAndCaptionBelow, msoButtonIconAndWrapCaption, msoButtonIconAndWrapCaptionBelow o msoButtonWrapCaption.
OnAction | Especifica el procedimiento que se ejecuta cuando el usuario cambia valor del control especificado.
Visible | Especifica si el control se muestra u oculta al usuario.

El siguiente ejemplo agrega un control emergente temporal denominado Custom al final de la barra de menús activa y, a continuación, agrega un control de botón denominado Import a la barra de comandos emergente Custom.

Set myMenuBar = CommandBars.ActiveMenuBar
Set newMenu = myMenuBar.Controls.Add(Type:=msoControlPopup, _
    Temporary:=True)
newMenu.Caption = "Custom"
Set ctrl1 = newMenu.Controls _
    .Add(Type:=msoControlButton, Id:=1)
ctrl1.Caption = "Import"
ctrl1.TooltipText = "Import"
ctrl1.Style = msoButtonCaption


Agregar y mostrar menús contextuales

Un menú contextual es una barra de comandos flotante que el usuario muestra al hacer clic con el botón secundario del mouse (ratón). Puede contener los mismos tipos de control que una barra de comandos y los controles se comportan de la misma manera que en una barra de comandos. Sin embargo, en la mayoría de las aplicaciones no se pueden crear o modificar menús contextuales desde la interfaz de la aplicación. Por tanto, es necesario crear y modificar los menús contextuales en tiempo de ejecución.

Agregar menús contextuales en tiempo de ejecución

La única diferencia entre los menús contextuales y otras barras de herramientas es que, al crear el menú contextual con el método Add, debe especificarse msoBarPopUp como el argumento Position. El siguiente ejemplo crea un nuevo menú contextual, agrega dos controles con título y, a continuación, utiliza el método ShowPopup para mostrar el nuevo menú.

Set copyAndPasteMenu = CommandBars.Add( _
    Name:="Custom", Position:=msoBarPopup, _
    Temporary:=True)
Set copy = copyAndPasteMenu.Controls.Add
With copy
    .FaceId = CommandBars("Standard").Controls("Copy").Id
    .Caption = "Copy the selection"
End With
Set paste = copyAndPasteMenu.Controls.Add
With paste
    .FaceId = CommandBars("Standard").Controls("Paste").Id
    .Caption = "Paste from the Clipboard"
End With
copyAndPasteMenu.ShowPopup 200, 200

Mostrar menús contextuales

Utilice el método ShowPopup para mostrar los menús contextuales, como se muestra en el ejemplo anterior.

Si la aplicación contenedora admite la asignación de procedimientos de eventos a acciones del usuario, puede mostrarse un menú contextual en respuesta a un evento de clic con el botón secundario. Sin embargo, no todas las aplicaciones admiten procedimientos de eventos. Compruebe en la documentación de la aplicación contenedora si ésta admite procedimientos de eventos.

Modificar menús contextuales en tiempo de ejecución

Los cambios de un menú contextual deben realizarse en tiempo de ejecución y estarán limitados al cambio de aspecto o acción de los controles del menú. Para obtener más información acerca de cómo agregar y gestionar elementos de menús, vea Agregar y manejar barras y elementos de menú.


Identificadores programáticos de OLE

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Puede utilizar un identificador programático, a veces denominado ProgID, para crear un objeto Automation. La siguiente tabla contiene una lista de los identificadores programáticos de OLE para controles ActiveX, aplicaciones de Microsoft Office y Microsoft Office Web Components.

Controles ActiveX

Microsoft Access

Microsoft Excel

Microsoft Graph

Microsoft Office Web Components

Microsoft Outlook

Microsoft PowerPoint

Microsoft Word

Controles ActiveX

Para crear los controles ActiveX incluidos en la tabla siguiente, utilice el identificador programático de OLE correspondiente.

Para crear este control | Utilice este identificador
CheckBox | Forms.CheckBox.1
ComboBox | Forms.ComboBox.1
CommandButton | Forms.CommandButton.1
Frame | Forms.Frame.1
Image | Forms.Image.1
Label | Forms.Label.1
ListBox | Forms.ListBox.1
MultiPage | Forms.MultiPage.1
OptionButton | Forms.OptionButton.1
ScrollBar | Forms.ScrollBar.1
SpinButton | Forms.SpinButton.1
TabStrip | Forms.TabStrip.1
TextBox | Forms.TextBox.1
ToggleButton | Forms.ToggleButton.1

Microsoft Access

Para crear los objetos de Microsoft Access incluidos en la tabla siguiente, utilice uno de los identificadores programáticos de OLE correspondientes. Si utiliza un identificador sin un sufijo de número de versión, creará un objeto en la versión más reciente de Access que esté disponible en la máquina en la que se esté ejecutando la macro.

Para crear este objeto | Utilice uno de estos identificadores
Application | Access.Application
CurrentData | Access.CodeData, Access.CurrentData
CurrentProject | Access.CodeProject, Access.CurrentProject
DefaultWebOptions | Access.DefaultWebOptions

Microsoft Excel

Para crear los objetos de Microsoft Excel incluidos en la tabla siguiente, utilice uno de los identificadores programáticos de OLE correspondientes. Si utiliza un identificador sin un sufijo de número de versión, creará un objeto en la versión de Excel más reciente que esté disponible en la máquina en la que se esté ejecutando la macro.

Para crear este objeto | Utilice este identificador | Observaciones
Application | Excel.Application |
Workbook | Excel.AddIn |
Workbook | Excel.Chart | Devuelve un libro que contiene dos hojas; una para el gráfico y otra para los datos. La hoja del gráfico es la hoja activa.
Workbook | Excel.Sheet | Devuelve un libro con una hoja.

Microsoft Graph

Para crear los objetos de Microsoft Graph incluidos en la tabla siguiente, utilice uno de los identificadores programáticos de OLE correspondientes. Si utiliza un identificador sin un sufijo de número de versión, creará un objeto en la versión más reciente de Graph que esté disponible en la máquina en la que se esté ejecutando la macro.

Para crear este objeto | Utilice este identificador
Application | MSGraph.Application
Chart | MSGraph.Chart

Microsoft Office Web Components

Para crear los objetos de Microsoft Office Web Components incluidos en la tabla siguiente, utilice uno de los identificadores programáticos de OLE correspondientes. Si utiliza un identificador sin un sufijo de número de versión, creará un objeto en la versión más reciente de Microsoft Office Web Components que esté disponible en la máquina en la que se esté ejecutando la macro.

Para crear este objeto | Utilice uno de estos identificadores
ChartSpace | OWC.Chart
DataSourceControl | OWC.DataSourceControl
ExpandControl | OWC.ExpandControl
PivotTable | OWC.PivotTable
RecordNavigationControl | OWC.RecordNavigationControl
Spreadsheet | OWC.Spreadsheet

Microsoft Outlook

Para crear los objetos de Microsoft Outlook incluidos en la tabla siguiente, utilice uno de los identificadores programáticos de OLE correspondientes. Si utiliza un identificador sin un sufijo de número de versión, creará un objeto en la versión más reciente de Outlook que esté disponible en la máquina en la que se esté ejecutando la macro.

Para crear este objeto | Utilice este identificador
Application | Outlook.Application

Microsoft PowerPoint

Para crear los objetos de Microsoft PowerPoint incluidos en la tabla siguiente, utilice uno de los identificadores programáticos de OLE correspondientes. Si utiliza un identificador sin un sufijo de número de versión, creará un objeto en la versión más reciente de PowerPoint que esté disponible en la máquina en la que se esté ejecutando la macro.

Para crear este objeto | Utilice este identificador
Application | PowerPoint.Application

Microsoft Word

Para crear los objetos de Microsoft Word incluidos en la tabla siguiente, utilice uno de los identificadores programáticos de OLE correspondientes. Si utiliza un identificador sin un sufijo de número de versión, creará un objeto en la versión más reciente de Word que esté disponible en la máquina en la que se esté ejecutando la macro.

Para crear este objeto | Utilice uno de estos identificadores
Application | Word.Application
Document | Word.Document, Word.Template
Global | Word.Global


Objeto AnswerWizard

AnswerWizard (AnswerWizardFiles)

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Representa el Asistente para Ayuda de una aplicación de Microsoft Office. Sólo hay un Asistente para Ayuda por aplicación y todos los cambios producidos en la colección AnswerWizard o AnswerWizardFiles afectarán de manera inmediata a la aplicación activa de Office.

Utilizar el objeto AnswerWizard

Utilice el método ClearFileList para quitar todas las entradas de la lista de archivos disponibles en el Asistente para Ayuda actual. Si utiliza este método, se asegurará de que ya no se podrá obtener acceso a los archivos predeterminados disponibles en la aplicación host a través del Asistente para Ayuda, tal como ocurre cuando reemplaza archivos del Asistente para Ayuda con archivos .AW predeterminados. El ejemplo siguiente borra la lista de archivos del Asistente para Ayuda predeterminado y añade dos archivos al Asistente para Ayuda personalizado.

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

Utilice el método ResetFileList para restablecer la lista de archivos del Asistente para Ayuda a la lista predeterminada de archivos de la aplicación host de Office. También puede establecer una lista de archivos predeterminada en el registro de Windows añadiendo los nombres de los archivos personalizados a la clave de registro adecuada; los archivos especificados en dicha clave de registro se restablecerán cuando se active ResetFileList. Este ejemplo restablece la lista de archivos del Asistente para Ayuda actual.

customAnswerWizard.ResetFileList

Utilice la propiedad Files para obtener la colección de referencias a archivos del Asistente para Ayuda. La propiedad Files devuelve una colección de cadenas que se refieren a archivos .AW. El ejemplo siguiente devuelve la colección AnswerWizardFiles y muestra el número de archivos en un cuadro de mensaje.

Dim customAnswerWizardFiles As AnswerWizardFiles
Set customAnswerWizardFiles = Application.AnswerWizard.Files

MsgBox customAnswerWizardFiles.Count


Objeto de colección AnswerWizardFiles

AnswerWizard (AnswerWizardFiles)

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Colección de referencias a archivos del Asistente para Ayuda. La colección AnswerWizardFiles contiene todos los archivos del Asistente para Ayuda (con la extensión de archivo .AW) disponibles en la aplicación activa de Microsoft Office.

Utilización de la colección AnswerWizardFiles

Utilice la propiedad Files para obtener la colección de referencias a archivos del Asistente para Ayuda. La propiedad Files devuelve una colección de cadenas que se refieren a archivos .AW. El ejemplo siguiente devuelve la colección AnswerWizardFiles y muestra el número de archivos en un cuadro de mensaje.

Dim customAnswerWizardFiles As AnswerWizardFiles
Set customAnswerWizardFiles = Application.AnswerWizard.Files

MsgBox customAnswerWizardFiles.Count

Utilice el método Add para que haya archivos adicionales disponibles en el Asistente para Ayuda actual. El ejemplo siguiente añade el archivo Custom_1.aw a la lista de archivos de Asistente para Ayuda de la aplicación activa de Office.

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")

Utilice la propiedad Item para obtener el nombre de una referencia a archivo existente en el Asistente para Ayuda. El ejemplo siguiente muestra un cuadro de mensaje que contiene el nombre del archivo que lleva el nombre de Item(1).

MsgBox customAnswerWizard.Files.Item(1)


Objeto Assistant

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Representa el Ayudante de Office de Microsoft.

Uso del objeto Assistant

Utilice la propiedad Assistant para devolver el objeto Assistant. No hay una colección para el objeto Assistant; sólo puede haber un objeto Assistant activo a la vez. Utilice la propiedad Visible para mostrar el Ayudante y utilice la propiedad On para habilitar al Ayudante.

Comentarios

El Ayudante predeterminado es Clipo. Para seleccionar un Ayudante diferente con el lenguaje de macros, utilice la propiedad FileName.

El siguiente ejemplo muestra un Ayudante seleccionado anteriormente y lo anima con el sonido asociado.

With Assistant
    .Visible = True
    .Animation = msoAnimationGreeting
End With


Objeto Balloon

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Representa el globo donde el Ayudante de Office muestra los encabezados y el texto. Un globo puede contener controles como casillas de verificación y rótulos.

Uso del objeto Balloon

Utilice la propiedad NewBalloon para devolver un objeto Balloon. No hay una colección para el objeto Balloon; sólo puede haber un globo visible a la vez. Sin embargo, es posible definir varios globos y llamar a cualquiera de ellos cuando sea necesario. Para obtener más información, consulte "Definición y reutilización de globos" más adelante en este tema.

Utilice la propiedad Show para mostrar el globo especificado. Utilice la propiedad Callback para ejecutar los procedimientos basados en las selecciones de globos sin modo (globos que permanecen visibles mientras un usuario trabaja en la aplicación). Utilice el método Close para cerrar los globos sin modo.

El siguiente ejemplo crea un globo que contiene sugerencias para guardar los datos introducidos.

With Assistant.NewBalloon
    .BalloonType = msoBalloonTypeBullets
    .Icon = msoIconTip
    .Button = msoButtonSetOk
    .Heading = "Tips for Saving Information."
    .Labels(1).Text = "Save your work often."
    .Labels(2).Text = "Install a surge protector."
    .Labels(3).Text = "Exit your application properly."
    .Show
End With

Definición y reutilización de globos

Puede volver a utilizar los objetos de globo, asignándolos a variables de objeto y llamándolos, cuando sea necesario, en su procedimiento. Este ejemplo define "balloon1" y "balloon2" como globos independientes, por lo que los muestra en diferentes puntos del procedimiento.

Set balloon1 = Assistant.NewBalloon
balloon1.Heading = "First balloon"
Set balloon2 = Assistant.NewBalloon
balloon2.Heading = "Second balloon"
balloon1.Show
balloon2.Show
balloon1.Heading = "First balloon, new heading"
balloon1.Show

También puede combinar variables de objeto globo en una matriz e indizarlos en ella.


Objeto BalloonCheckBox

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Representa una casilla de verificación en el globo Ayudante de Office. El objeto BalloonCheckBox es un miembro de la colección BalloonCheckBoxes.

Uso del objeto BalloonCheckbox

Utilice CheckBoxes(índice), donde índice es un número de 1 a 5, para devolver un objeto BalloonCheckBox individual. Puede haber hasta cinco casillas de verificación en un globo; cada casilla de verificación aparece cuando se asigna un valor a su propiedad Text.

El siguiente ejemplo crea un globo con encabezado, texto y tres opciones de región. El usuario activa una o más casillas de verificación y hace clic en Aceptar. El ejemplo llama al procedimiento o procedimientos especificados.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select your region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
    If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

Comentarios

Las casillas de verificación de un globo muestran las opciones del usuario hasta que éste cierre el globo. Puede utilizar los rótulos del globo para devolver el número correspondiente a la elección del usuario en el método Select, tan pronto como el usuario haga clic en el botón que aparece junto al rótulo. Para trasladar valores al método Select a partir de las opciones del usuario, debe tener el tipo de globo establecido en msoBalloonTypeButtons.


Objeto de colección BalloonCheckBoxes

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Una colección de objetos BalloonCheckbox que representan todas las casillas de verificación del globo Ayudante de Office.

Uso de la colección BalloonCheckboxes

Utilice la propiedad Checkboxes para devolver la colección BalloonCheckboxes.

Utilice CheckBoxes(índice), donde índice es un número de 1 a 5, para devolver un objeto BalloonCheckBox individual. Puede especificar hasta cinco casillas de verificación (y cinco etiquetas), por globo; cada casilla de verificación aparece cuando se asigna un valor a su propiedad Text. Si ha especificado más de cinco casillas de verificación, aparecerá un error de tiempo de ejecución.

El siguiente ejemplo crea un globo con encabezado, texto y tres opciones de región. Cuando el usuario activa una o más casillas de verificación y hace clic en Aceptar, se llama al procedimiento o procedimientos especificados.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select your region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
    If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

No puede agregar o quitar casillas de verificación de la colección BalloonCheckboxes.

Comentarios

Las casillas de verificación de un globo muestran las opciones del usuario hasta que éste cierre el globo. Puede utilizar rótulos de globo junto con el método Select para devolver un número que corresponda al número de casillas de verificación activadas por el usuario tan pronto como este haga clic en el botón que se encuentra junto al rótulo. Para trasladar valores al método Select a partir de las opciones del usuario, debe tener el tipo de globo establecido en msoBalloonTypeButtons.


Objeto BalloonLabel

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Representa un rótulo en el globo Ayudante de Office. El objeto BalloonLabel es un miembro de la colección BalloonLabels.

Uso del objeto BalloonLabel

Utilice Labels(índice), donde índice es un número de 1 a 5, para devolver un objeto BalloonLabel. Puede haber hasta cinco rótulos en un globo; cada rótulo aparece cuando se asigna un valor a su propiedad Text.

El siguiente ejemplo crea un globo que pide al usuario que haga clic en el rótulo que corresponda a su edad.

With Assistant.NewBalloon
    .Heading = "Check Your Age Group."
    .Labels(1).Text = "Under 30."
    .Labels(2).Text = "30 to 50."
    .Labels(3).Text = "Over 50."
    .Text = "Which of the following " _
        & .Labels.Count & " choices apply to you?"
    .Show
End With

Comentarios

Las casillas de verificación del globo muestran la elección del usuario hasta que éste rechaza el globo. Puede utilizar los rótulos del globo para devolver el número correspondiente a la elección del usuario en el método Select, tan pronto como el usuario haga clic en el botón que aparece junto al rótulo. Para pasar valores al método Select a partir de la elección del usuario, debe tener el tipo de globo establecido en msoBalloonTypeButtons.


Objeto de colección BalloonLabels

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Una colección de objetos BalloonLabel que representan todos los rótulos del globo Ayudante de Office.

Uso de la colección BalloonLabels

Utilice la propiedad Labels para devolver la colección BalloonLabels.

Utilice Labels(índice), donde índice es un número de 1 a 5, para devolver un objeto BalloonLabel. Puede especificar hasta cinco rótulos, y cinco casillas de verificación, por globo; cada rótulo aparece cuando se asigna un valor a su propiedad Text. Si ha especificado más de cinco rótulos, aparecerá un error de tiempo de ejecución.

El siguiente ejemplo crea un globo que contiene tres opciones. La variable returnValue se establece con el valor que devuelve el método Show, que será 1, 2 ó 3, dependiendo del rótulo que el usuario seleccione. El ejemplo devuelve el valor de la variable returnValue, valor que puede trasladar a otro procedimiento, o utilizarlo en una sentencia Select Case.

Set b = Assistant.NewBalloon
With b
    .Heading = "This is my heading"
    .Text = "Select one of these things:"
    .Labels(1).Text = "Choice One"
    .Labels(2).Text = "Choice Two"
    .Labels(3).Text = "Choice Three"
    returnValue = .Show
End With

Comentarios

Las casillas de verificación de un globo muestran las opciones del usuario hasta que éste cierre el globo. Puede utilizar los rótulos del globo para devolver el número correspondiente a la elección del usuario en el método Select, tan pronto como el usuario haga clic en el botón que aparece junto al rótulo. Para trasladar valores al método Select a partir de las opciones del usuario, debe tener el tipo de globo establecido en msoBalloonTypeButtons.


Objeto COMAddIn

COMAddIns (COMAddIn)

Representa un complemento COM en la aplicación host de Microsoft Office. El objeto COMAddIn forma parte de la colección COMAddIns.

Utilizar el objeto COMAddIn

Utilice COMAddIns.Item(index), donde index es un valor ordinal que devuelve el complemento COM que se encuentra en dicha posición dentro de la colección COMAddIns, o bien un valor String que representa el ProgID del complemento COM especificado. El ejemplo siguiente muestra en un cuadro de mensaje el texto descriptivo de un complemento COM.

MsgBox Application.COMAddIns.Item("msodraa9.ShapeSelect").Description

Utilice la propiedad ProgID del objeto COMAddin para devolver el identificador programático de un complemento COM; utilice la propiedad Guid para devolver el identificador exclusivo global (GUID) del complemento. El ejemplo siguiente muestra en un cuadro de mensaje el ProgID y el GUID del complemento COM uno.

MsgBox "My ProgID is " & _
    Application.COMAddIns(1).ProgID & _
    " and my GUID is " & _
    Application.COMAddIns(1).Guid

Utilice la propiedad Connect para establecer o devolver el estado de la conexión con un complemento COM específico. El ejemplo siguiente muestra un cuadro de mensaje que indica si el complemento COM uno está registrado y conectado actualmente.

If Application.COMAddIns(1).Connect Then
    MsgBox "The add-in is connected."
Else
MsgBox "The add-in is not connected."
End If


Objeto de colección COMAddIns

COMAddIns (COMAddIn)

Colección de objetos COMAddIn que proporcionan información sobre un complemento COM incluido en el registro de Windows.

Utilizar la colección COMAddIns

Utilice la propiedad COMAddIns del objeto Application para devolver la colección COMAddIns de una aplicación host de Microsoft Office. Esta colección contiene todos los complementos COM disponibles en una aplicación host de Office determinada; la propiedad Count de la colección COMAddins devuelve el número de los complementos COM disponibles, tal como se indica en el ejemplo siguiente.

MsgBox Application.COMAddIns.Count

Utilice el método Update de la colección COMAddins para actualizar la lista de complementos COM del registro de Windows, tal como se indica en el ejemplo siguiente.

Application.COMAddIns.Update

Utilice COMAddIns.Item(index), donde index es un valor ordinal que devuelve el complemento COM que se encuentra en dicha posición en la colección COMAddIns, o bien un valor String que representa el ProgID del complemento COM especificado. El ejemplo siguiente muestra en un cuadro de mensaje el texto descriptivo y el ProgID de un complemento COM("msodraa9.ShapeSelect") .

MsgBox Application.COMAddIns.Item("msodraa9.ShapeSelect").Description


Objeto CommandBar

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Representa una barra de comandos de la aplicación contenedora. El objeto CommandBar es un miembro de la colección CommandBars.

Uso del objeto CommandBar

Utilice CommandBars(index), donde index es el nombre o número de índice de una barra de comandos, para devolver un solo objeto CommandBar. El siguiente ejemplo recorre la colección de barras de comandos para buscar la barra de comandos denominada "Forms". Si se encuentra esta barra de comandos, el ejemplo la muestra y protege el estado de acoplamiento. En este ejemplo, la variable cb representa un objeto CommandBar.

foundFlag = False
For Each cb In CommandBars
    If cb.Name = "Forms" Then
        cb.Protection = msoBarNoChangeDock
        cb.Visible = True
        foundFlag = True
    End If
Next cb
If Not foundFlag Then
    MsgBox "The collection does not contain a Forms command bar."
End If

Puede utilizar un nombre o número de índice para especificar una barra de menús o de herramientas de la lista de barras de menús o de herramientas disponibles en la aplicación contenedora. Sin embargo, debe utilizar un nombre para especificar un menú, menú contextual o submenú, representados todos por objetos CommandBar. Este ejemplo agrega un elemento nuevo al menú Herramientas. Al hacer clic en él, el nuevo elemento de menú ejecuta el procedimiento "qtrReport".

Set newItem = CommandBars("Tools").Controls.Add(Type:=msoControlButton)
With newItem
    .BeginGroup = True
    .Caption = "Make Report"
    .FaceID = 0
    .OnAction = "qtrReport"
End With

Si dos o más menús o submenús personalizados tienen el mismo nombre, CommandBars(index) devuelve el primero. Para asegurar que devuelve el menú o submenú correcto, busque el control emergente que muestra dicho menú. A continuación aplique la propiedad CommandBar al control emergente para devolver la barra de comandos que representa dicho menú.

Suponiendo que el tercer control de la barra de herramientas "Custom Tools" sea un control emergente, este ejemplo agrega el comando Guardar al botón de dicho menú.

Set viewMenu = CommandBars("Custom Tools").Controls(3)
viewMenu.Controls.Add ID:=3    'ID of Save command is 3


Objeto CommandBarButton

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Representa un control de botón de una barra de comandos.

Uso del objeto CommandBarButton

Utilice Controls(index), donde index es el número de índice de un control, para devolver un objeto CommandBarButton. La propiedad Type del control debe ser msoControlButton.

Suponiendo que el segundo control de la barra de herramientas "Custom" sea un botón, este ejemplo cambia el estilo de dicho botón.

Set c = CommandBars("Custom").Controls(2)
With c
If .Type = msoControlButton Then
    If .Style = msoButtonIcon Then
        .Style = msoButtonIconAndCaption
    Else
        .Style = msoButtonIcon
    End If
End If
End With

También puede utilizar el método FindControl para devolver un objeto CommandBarButton.


Objeto CommandBarComboBox

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Representa un control de cuadro combinado de una barra de comandos.

Uso del objeto CommandBarComboBox

Utilice Controls(index), donde index es el número de índice de un control, para devolver un objeto CommandBarComboBox. La propiedad Type del control debe ser msoControlEdit, msoControlDropdown, msoControlComboBox, msoControlButtonDropdown, msoControlSplitDropdown, msoControlOCXDropdown, msoControlGraphicCombo o msoControlGraphicDropdown.

El siguiente ejemplo agrega dos elementos al segundo control de la barra de comandos denominada "Custom" y, a continuación, ajusta el tamaño del control.

Set combo = CommandBars("Custom").Controls(2)
With combo
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListIndex = 0
End With

También puede utilizar el método FindControl para devolver un objeto CommandBarComboBox. El siguiente ejemplo busca todas las barras de comandos de un objeto CommandBarComboBox visible cuyo rótulo sea "sheet assignments".

Set myControl = CommandBars.FindControl _
(Type:=msoControlComboBox, Tag:="sheet assignments", Visible:=True)


Objeto CommandBarControl

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Representa un control de barra de comandos. El objeto CommandBarControl es miembro de la colección CommandBarControls. Las propiedades y métodos del objeto CommandBarControl están compartidas por los objetos CommandBarButton, CommandBarComboBox y CommandBarPopup.

Nota Al escribir el código de Visual Basic para trabajar con controles de barra de comandos personalizadas, se utilizan los objetos CommandBarButton, CommandBarComboBox y CommandBarPopup. Al escribir el código para trabajar con controles integrados de la aplicación contenedora que no puedan representarse con ninguno de esos tres objetos, se utiliza el objeto CommandBarControl.

Uso del objeto CommandBarControl

Utilice Controls(index), donde index es el número de índice de un control, para devolver un objeto CommandBarControl. (La propiedad Type del control debe ser msoControlLabel, msoControlExpandingGrid, msoControlSplitExpandingGrid, msoControlGrid o msoControlGauge.)

Nota Las variables declaradas como CommandBarControl pueden tener el valor CommandBarButton, CommandBarComboBox y CommandBarPopup.

También puede utilizar el método FindControl para devolver un objeto CommandBarControl. El siguiente ejemplo busca un control del tipo msoControlGauge; si encuentra uno, muestra el número de índice del control y el nombre de la barra de comandos que lo contiene. En este ejemplo, la variable lbl representa un objeto CommandBarControl.

Set lbl = CommandBars.FindControl(Type:= msoControlGauge)
If lbl Is Nothing Then
    MsgBox "A control of type msoControlGauge was not found."
Else
    MsgBox "Control " & lbl.Index & " on command bar " _
        & lbl.Parent.Name & " is type msoControlGauge"
End If


Objeto de colección CommandBarControls

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Colección de objetos CommandBarControl que representan los controles de barras de comandos de una barra de comandos.

Uso de la colección CommandBarControls

Utilice la propiedad Controls para devolver la colección CommandBarControls. El siguiente ejemplo cambia el título de cada control de la barra de comandos denominada "Standard" al valor actual de la propiedad Id para ese control.

For Each ctl In CommandBars("Standard").Controls
    ctl.Caption = CStr(ctl.Id)
Next ctl

Utilice el método Add para agregar un nuevo control de barra de comandos a la colección CommandBarControls. Este ejemplo agrega un nuevo botón vacía a la barra de comandos denominada "Custom".

Set myBlankBtn = CommandBars("Custom").Controls.Add

Utilice Controls(index), donde index es el título o número de índice de un control, para devolver un objeto CommandBarControl, CommandBarButton, CommandBarComboBox o CommandBarPopup. El siguiente ejemplo copia el primer control de la barra de comandos "Standard" a la barra de comandos "Custom".

Set myCustomBar = CommandBars("Custom")
Set myControl = CommandBars("Standard").Controls(1)
myControl.Copy Bar:=myCustomBar, Before:=1


Objeto CommandBarPopup

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Representa un control emergente de una barra de comandos.

Uso de un objeto CommandBarPopup

Utilice Controls(index), donde index es el número de índice de un control, para devolver un objeto CommandBarPopup. La propiedad Type del control debe ser msoControlPopup, msoControlGraphicPopup, msoControlButtonPopup, msoControlSplitButtonPopup o msoControlSplitButtonMRUPopup.

También puede utilizar el método FindControl para devolver un objeto CommandBarPopup. El siguiente ejemplo busca en todas las barras de comandos un objeto CommandBarPopup visible cuyo rótulo sea "Graphics".

Set myControl = Application.CommandBars.FindControl _
(Type:=msoControlPopup, Tag:="Graphics")

Comentarios

Cada control emergente contiene un objeto CommandBar. Para devolver la barra de comandos de un control emergente, aplique la propiedad CommandBar al objeto CommandBarPopup.


Objeto de colección CommandBars

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Colección de objetos CommandBar que representa las barras de comandos de la aplicación contenedora.

Uso de la colección CommandBars

Utilice la propiedad CommandBars para devolver la colección CommandBars. El siguiente ejemplo muestra, en la ventana Immediate, el nombre y el nombre local de cada barra de menús y de herramientas, y muestra un valor que indica si la barra de menús o de herramientas está visible.

For Each cbar in CommandBars
    Debug.Print cbar.Name, cbar.NameLocal, cbar.Visible
Next

Utilice el método Add para agregar una nueva barra de comandos a la colección. El siguiente ejemplo crea una barra de herramientas personalizada denominada "Custom1" y la muestra como barra de herramientas flotante.

Set cbar1 = CommandBars.Add(Name:="Custom1", Position:=msoBarFloating)
cbar1.Visible = True

Utilice CommandBars(index), donde index es el nombre o número de índice de una barra de comandos, para devolver un solo objeto CommandBar. El siguiente ejemplo acopla la barra de herramientas denominada "Custom1" en la parte inferior de la ventana de aplicación.

CommandBars("Custom1").Position = msoBarBottom

Nota Puede utilizar el nombre o el número de índice para especificar una barra de menús o de herramientas de la lista de barras de menús o de herramientas disponibles en la aplicación contenedora. Sin embargo, debe utilizar el nombre para especificar un menú, menú contextual o submenú, representados todos por objetos CommandBar.

Si dos o más menús o submenús personalizados tienen el mismo nombre, CommandBars(index) devuelve el primero. Para asegurar que devuelve el menú o submenú correcto, busque el control emergente que muestra dicho menú. A continuación aplique la propiedad CommandBar al control emergente para devolver la barra de comandos que representa dicho menú.


Objeto de colección DocumentProperties

Colección de objetos DocumentProperty. Cada objeto DocumentProperty representa una propiedad integrada o personalizada de un documento contenedor.

Uso de la colección DocumentProperties

Utilice el método Add para crear una nueva propiedad personalizada y agregarla a la colección DocumentProperties. No es posible utilizar el método Add para crear una propiedad de documento integrada.

Utilice BuiltinDocumentProperties(index), donde index es el número de índice de la propiedad de documento integrada, para devolver un único objeto DocumentProperty que representa una propiedad de documento integrada específica. Utilice CustomDocumentProperties(index), donde index es el número de la propiedad de documento personalizada, para devolver un objeto DocumentProperty que representa una propiedad de documento personalizada específica.


Objeto DocumentProperty

Representa una propiedad de documento integrada o personalizada de un documento contenedor. El objeto DocumentProperty es un miembro de la colección DocumentProperties.

Uso del objeto DocumentProperty

Utilice BuiltinDocumentProperties(index), donde index es el nombre o número de índice la propiedad de documento integrada, para devolver un único objeto DocumentProperty que representa una propiedad de documento integrada específica. Utilice CustomDocumentProperties(index), donde index es el nombre o número de índice de la propiedad de documento personalizada, para devolver un objeto DocumentProperty que representa una propiedad de documento personalizada específica.

La siguiente lista contiene los nombres de todas las propiedades de documento integradas disponibles.

Título

Subject

Autor

Palabras clave

Observaciones

Plantilla

Último autor

Número de revisión

Nombre de la aplicación

Última fecha de impresión

Fecha de creación

Hora en que se guardó por última vez

Tiempo total de edición

Número de páginas

 Número de palabras

Número de caracteres

Seguridad

Categoría

Formato

Administrador

Organización

Número de bytes

Número de líneas

Número de párrafos

Número de diapositivas

Número de notas

Número de diapositivas ocultas

Número de secuencias multimedia

Las aplicaciones contenedoras no definen necesariamente un valor para cada propiedad de documento integrada. Si una aplicación determinada no define un valor para una de las propiedades de documento integradas, al devolver la propiedad Value de ese documento se produce un error.


Objeto FileDialog

FileDialog
Varios objetos

Proporciona funciones de cuadros de diálogo de archivos similares a las de los cuadros de diálogo Abrir y Guardar estándares de las aplicaciones de Microsoft Office. Con estos cuadros de diálogo, los usuarios de las soluciones pueden especificar fácilmente los archivos y las carpetas que deberá utilizar la solución.

Utilizar el objeto FileDialog

Utilice la propiedad FileDialog para devolver un objeto FileDialog. La propiedad FileDialog se encuentra en cada objeto Application de las aplicaciones de Office. La propiedad toma un solo argumento, DialogType, que determina el tipo de objeto FileDialog que devuelve la propiedad. Existen cuatro tipos de objeto FileDialog:

  • Cuadro de diálogo Abrir: permite al usuario seleccionar uno o varios archivos que puede abrir a continuación en la aplicación host mediante el método Execute.
  • Cuadro de diálogo Guardar como: permite al usuario seleccionar un solo archivo, con cuyo nombre se puede, a continuación, guardar el archivo actual mediante el método Execute.
  • Cuadro de diálogo Selector de archivos: permite al usuario seleccionar uno o varios archivos. Las rutas de acceso a archivos que el usuario selecciona se capturan en la colección FileDialogSelectedItems.
  • Cuadro de diálogo Selector de carpetas: permite al usuario seleccionar una ruta de acceso. La ruta de acceso que el usuario selecciona se captura en la colección FileDialogSelectedItems.

Cada aplicación host sólo puede realizar una sola repetición del objeto FileDialog. Por lo tanto, muchas de las propiedades del objeto FileDialog se conservan incluso al crear varios objetos FileDialog. Por consiguiente, asegúrese de haber establecido correctamente todas las propiedades antes de mostrar el cuadro de diálogo.

Para mostrar un cuadro de diálogo de archivos mediante el objeto FileDialog, deberá utilizar el método Show. Una vez que se muestra el cuadro de diálogo, no se ejecutará ningún código hasta que el usuario lo cierre. El ejemplo siguiente crea y muestra un cuadro de diálogo Selector de archivos y, a continuación, muestra cada archivo seleccionado en un cuadro de mensaje.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "The path is: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Objeto FileDialogFilter

FileDialogFilters
FileDialogFilter

Representa un filtro de archivos en un cuadro de diálogo de archivos que se muestra mediante el objeto FileDialog. Cada filtro de archivos determina qué archivos se muestran en el cuadro de diálogo de archivos.

Utilizar el objeto FileDialogFilter

Utilice el método Item con la colección FileDialogFilters para devolver un objeto FileDialogFilter. Utilice el método Add para agregar un objeto FileDialogFilter a la colección FileDialogFilters. Puede devolver las extensiones que utiliza un objeto FileDialogFilter para filtrar archivos con la propiedad Extensions y devolver la descripción del filtro con la propiedad Description; sin embargo, estas propiedades son de sólo lectura. Si desea establecer la extensión o descripción deberá utilizar el método Add.

El ejemplo siguiente repite los filtros predeterminados del cuadro de diálogo Guardar como y muestra la descripción de cada filtro que incluye un archivo de Microsoft Excel.

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files.
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Description of filter: " & fdf.Description
        End If
    Next fdf
End Sub


Colección FileDialogFilters

FileDialog
FileDialogFilters
FileDialogFilter

Colección de objetos FileDialogFilter que representa los tipos de archivos que pueden seleccionarse en el cuadro de diálogo de archivos que se muestra utilizando el objeto FileDialog.

Utilizar la colección FileDialogFilters

Utilice la propiedad Filters del objeto FileDialog para devolver una colección FileDialogFilters. El código siguiente devuelve la colección FileDialogFilters para el cuadro de diálogo Abrir archivo.

Application.FileDialog(msoFileDialogOpen).Filters

Utilice el método Add para agregar objetos FileDialogFilter a la colección FileDialogFilters. El ejemplo siguiente utiliza el método Clear para borrar la colección y, a continuación, agregar filtros a la misma. El método Clear vacía completamente la colección; sin embargo, si no agrega filtros después de borrarla, el filtro "All files (*.*)" se agregará automáticamente.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Change the contents of the Files of Type list.
        'Empty the list by clearing the FileDialogFilters collection.
        .Filters.Clear

        'Add a filter that includes all files.
        .Filters.Add "All files", "*.*"

        'Add a filter that includes GIF and JPEG images and make it the first item in the list.
        .Filters.Add "Images", "*.gif; *.jpg; *.jpeg", 1

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
        If .Show = -1 Then

            'Step through each String in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Path name: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub

Al cambiar la colección FileDialogFilters recuerde que cada aplicación sólo puede repetir un solo objeto FileDialog. Esto significa que la colección FileDialogFilters restablecerá los filtros predeterminados al activar el método FileDialog con un tipo de cuadro de diálogo nuevo.

El ejemplo siguiente repite los filtros predeterminados del cuadro de diálogo Guardar como y muestra la descripción de cada filtro que incluye un archivo de Microsoft Excel.

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Description of filter: " & fdf.Description
        End If
    Next fdf

End Sub

Nota Se producirá un error en el tiempo de ejecución si utiliza la propiedad Filters junto con los métodos Clear, Add o Delete si se aplica a un objeto Save As FileDialog. Por ejemplo, Application.FileDialog(msoFileDialogSaveAs).Filters.Clear producirá un error de tiempo de ejecución.


Colección FileDialogSelectedItems

FileDialog
FileDialogSelectedItems

Una colección de valores String que corresponde a las rutas de acceso a los archivos o las carpetas que el usuario ha seleccionado en el cuadro de diálogo de archivos que se muestra mediante el objeto FileDialog.

Utilizar la colección FileDialogSelectedItems

Utilice la propiedad SelectedItems con el objeto FileDialog para devolver una colección FileDialogSelectedItems. El ejemplo siguiente muestra un cuadro de diálogo en el que se pueden seleccionar archivos, así como cada archivo seleccionado en un cuadro de mensaje.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

         'Allow the selection of multiple file.
        .AllowMultiSelect = True

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Objeto FileSearch

FileSearch
Objetos múltiples

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Representa la función del cuadro de diálogo Abrir (menú Archivo).

Uso del objeto FileSearch

Utilice la propiedad FileSearch para devolver el objeto FileSearch. El siguiente ejemplo busca los archivos especificados y muestra el número de archivos encontrados y el nombre de cada archivo.

With Application.FileSearch
    If .Execute() > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With

Utilice el método NewSearch para restablecer el valor predeterminado de la búsqueda de criterios. Todos los valores de las propiedades se mantienen después de ejecutar cada búsqueda y, utilizando el método NewSearch es posible establecer de forma selectiva las propiedades de la siguiente búsqueda de archivos sin restablecer de forma manual los valores anteriores. El siguiente ejemplo restablece los criterios de búsqueda predeterminados antes de comenzar una nueva búsqueda.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .FileName = "Run"
    .MatchTextExactly = True
    .FileType = msoFileTypeAllFiles
End With


Colección FileTypes

FileSearch
FileTypes

Una colección de valores del tipo msoFileType que determina qué tipos de archivos se devuelven con el método Execute del objeto FileSearch.

Utilizar la colección FileTypes

Utilice la propiedad FileTypes con el objeto FileSearch para devolver una colección FileTypes, por ejemplo:

Set ft = Application.FileSearch.FileTypes

Nota La propiedad FileType del objeto FileSearch borra la colección FileTypes y establece el primer elemento de la colección al tipo de archivo que defina la propiedad FileType.

Sólo existe una colección FileTypes para todas las búsquedas, por lo que es importante borrar la colección FileTypes antes de realizar una búsqueda, a menos que desee buscar los tipos de archivos de búsquedas anteriores. La forma más sencilla de borrar la colección es establecer la propiedad FileType para el primer tipo de archivo que desee buscar. También puede quitar tipos individuales mediante el método Remove. Para determinar el tipo de archivo de cada elemento de la colección, utilice el método Item a fin de devolver el valor msoFileType.

El ejemplo siguiente busca todos los archivos de Microsoft Excel y HTML de la unidad C:\.

Sub SearchForFiles()

    'Declare a variable to act as a generic counter
    Dim lngCount As Long

    'Use a With...End With block to reference the
    'FileSearch object
    With Application.FileSearch

        'Clear all the parameters of the previous searches.
        'This method doesn't clear the LookIn property or
        'the SearchFolders collection.
        .NewSearch

        'Setting the FileType property clears the
        'FileTypes collection and sets the first
        'item in the collection to the file type
        'defined by the FileType property.
        .FileType = msoFileTypeWebPages

        'Add a second item to the FileTypes collection
        .FileTypes.Add msoFileTypeExcelWorkbooks

        'Display the number of FileTypes in the collection.
        MsgBox "You are about to search for " & .FileTypes.Count & _
            " file types."

        'Set up the search to look in all subfolders on the C:\ drive.
        .LookIn = "C:\"
        .SearchSubFolders = True

        'Execute the search and test to see if any files
        'were found.
        If .Execute <> 0 Then

            'Display the number of files found.
            MsgBox "Files found: " & .FoundFiles.Count

            'Loop through the list of found files and
            'display the path of each one in a message box.
            For lngCount = 1 To .FoundFiles.Count
                If MsgBox(.FoundFiles.Item(lngCount), vbOKCancel, _
                    "Found files") = vbCancel Then

                    'Break out of the loop
                    lngCount = .FoundFiles.Count

                End If
            Next lngCount
        Else
            MsgBox "No files found."
        End If
    End With
End Sub

El ejemplo siguiente recorre la colección FileTypes y quita los tipos de archivo que no sean de Microsoft Word o Microsoft Excel (en general, es más sencillo borrar la colección FileTypes y empezar de cero).

Sub RemoveFileTypeFromCollection()

    'Define an integer to use as a counter
    'when iterating through the FileTypes collection.
    Dim intFileIndex As Integer

    'Use a With...End With block to reference the FileSearch object.
    With Application.FileSearch

        'Loop through all of the items in the FileTypes collection.
        intFileIndex = 1
        Do While intFileIndex <= .FileTypes.Count
            Select Case .FileTypes.Item(intFileIndex)
                Case msoFileTypeWordDocuments, msoFileTypeExcelWorkbooks
                Case Else

                    'If the file type isn't a Microsoft Word or
                    'Microsoft Excel file, remove it.
                    .FileTypes.Remove intFileIndex

                    'Decrement the counter so that no file types are missed.
                    intFileIndex = intFileIndex - 1
            End Select

            'Increment the counter to test the next file type.
            intFileIndex = intFileIndex + 1
        Loop

    End With
End Sub


Objeto FoundFiles

FileSearch
PropertyTests (PropertyTest)
FoundFiles

Representa la lista de archivos devueltos en una búsqueda de archivos.

Uso del objeto FoundFiles

Utilice la propiedad FoundFiles para devolver el objeto FoundFiles. Este ejemplo recorre la lista de archivos encontrados y muestra la ruta de acceso y el nombre de cada archivo. Utilice FoundFiles (index), donde (index) es el número del índice, para volver a la ruta de acceso y al nombre del archivo de un archivo específico encontrado durante la búsqueda.

With Application.FileSearch
    For i = 1 To .FoundFiles.Count
        MsgBox .FoundFiles(i)
    Next I
End With

Utilice el método Execute para comenzar la búsqueda de archivos y actualizar el objeto FoundFiles. El siguiente ejemplo busca en la carpeta My Documents todos los archivos que comiencen por "Cmd" y muestra la ubicación y nombre de cada archivo encontrado. El ejemplo también ordena los archivos devueltos por nombre de archivo en orden alfabético ascendente.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "cmd*"
    If .Execute(SortBy:=msoSortbyFileName, _
    SortOrder:=msoSortOrderAscending) > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Objeto HTMLProject

HTMLProject
HTMLProjectItems (HTMLProjectItem)

Representa una rama de proyecto de nivel superior, como en el Editor de secuencias de comandos del Explorador del proyecto.

Utilizar el objeto HTMLProject

Utilice el método Open del objeto HTMLProject para abrir un proyecto HTML en el Editor de secuencias de comandos de Microsoft. El proyecto se abre una vista original o una vista de texto del documento activo de Microsoft Word, del libro activo de Excel o de la presentación activa de PowerPoint. El ejemplo siguiente abre en vista original un proyecto HTML del documento activo de Word.

ActiveDocument.HTMLProject.Open (msoHTMLProjectOpenSourceView)

Utilice la propiedad HTMLProjectItems para devolver la colección de objetos HTMLProjectItem del proyecto HTML. Utilice el método RefreshDocument para actualizar el documento HTML en la aplicación host. Utilice el método RefreshProject para actualizar el proyecto en el Editor de secuencias de comandos de Microsoft. Utilice el método State para determinar si es preciso actualizar el proyecto HTML.


Objeto HTMLProjectItem

HTMLProject
HTMLProjectItems (HTMLProjectItem)

Representa un objeto individual de un proyecto que constituye una rama de elemento del proyecto en el Explorador del Proyecto del Editor de secuencias de comandos de Microsoft. El objeto HTMLProjectItem es parte de la colección HTMLProjectItems.

Utilizar el objeto HTMLProjectItem

Utilice HTMLProjectItems(index), donde index es el nombre o el número de índice de un elemento de proyecto, para devolver un solo objeto HTMLProjectItem. Utilice la propiedad Name para devolver el nombre para mostrar del elemento de proyecto. El ejemplo siguiente devuelve el nombre del primer elemento del proyecto en la colección HTMLProjectItems del documento activo.

MsgBox "The first item is " & _
    ActiveDocument.HTMLProject.HTMLProjectItems(1).Name

Utilice el método Open para abrir el elemento de un proyecto en vista original o en vista de texto; utilice la propiedad IsOpen para determinar si el elemento del proyecto está abierto actualmente. El ejemplo siguiente abre el elemento del proyecto de nombre "ItemOne" (en el documento activo) en la vista predeterminada y, a continuación, muestra un cuadro de mensaje que indica si el elemento se ha abierto correctamente.

ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne").Open
If ActiveDocument.HTMLProject. _
        HTMLProjectItems("ItemOne").IsOpen Then
MsgBox "Opened project item " & ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne").Name
End If

Utilice el método SaveCopyAs para guardar el elemento del proyecto utilizando un nuevo nombre de archivo. El ejemplo siguiente guarda una copia de ItemOne como "NewItem".

ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne") _
    .Open (msoHTMLProjectOpenTextView)
ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne") _
    .SaveCopyAs("C:\NewItem.txt")

Suponiendo que exista el archivo de texto C:\NewText.txt, el ejemplo siguiente utilizará la propiedad LoadFromFile para establecer el texto de ItemOne al texto contenido en el archivo. El ejemplo siguiente utiliza la propiedad Text para mostrar el nuevo texto en un cuadro de mensaje.

MsgBox ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").Text
ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").LoadFromFile("C:\NewText.txt")
MsgBox ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").Text


Objeto de colección HTMLProjectItems

HTMLProject
HTMLProjectItems (HTMLProjectItem)

Una colección de objetos HTMLProjectItem que representa los elementos del proyecto HTML contenidos en el objeto HTMLProject.

Utilizar la colección HTMLProjectItems

Utilice la propiedad HTMLProjectItems del objeto HTMLProject para devolver la colección HTMLProjectItems. Utilice la propiedad Count de la colección HTMLProjectItems para devolver el número de elementos del proyecto HTML del documento especificado. Utilice el método Item de la colección HTMLProjectItems para devolver un objeto individual de un proyecto. El ejemplo siguiente devuelve el nombre del primer elemento del proyecto en la colección HTMLProjectItems del documento activo.

MsgBox "The first item is " & _
    ActiveDocument.HTMLProject.HTMLProjectItems(1).Name


Objeto LanguageSettings

LanguageSettings

Devuelve información sobre la configuración de idioma de una aplicación de Microsoft Office.

Utilizar el objeto LanguageSettings

Utilice Application.LanguageSettings.LanguageID(MsoAppLanguageID), donde MsoAppLanguageID es una constante utilizada para devolver información del identificador local (LCID) a la aplicación especificada.

MsoAppLanguageID puede ser una de estas constantes de MsoAppLanguageID.
msoLanguageIDExeMode
msoLanguageIDHelp
msoLanguageIDInstall
msoLanguageIDUI
msoLanguageIDUIPrevious

El ejemplo siguiente devuelve en un cuadro de mensaje el idioma de instalación, el idioma de la interfaz de usuario y los identificadores locales del idioma de ayuda.

MsgBox "The following locale IDs are registered " & _
    "for this application: Install Language - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDInstall) & _
    " User Interface Language - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDUI) & _
    " Help Language - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDHelp)

Utilice Application.LanguageSettings.LanguagePreferredForEditing para determinar los LCID que se registrarán como idiomas de edición preferidos en la aplicación, tal como se muestra en el ejemplo siguiente.

If Application.LanguageSettings. _
    LanguagePreferredForEditing(msoLanguageIDEnglishUS) Then
    MsgBox "U.S. English is one of the chosen editing languagess."
End If


Objeto MsoEnvelope

MsoEnvelope
CommandBars

Proporciona acceso a funciones que le permiten enviar documentos como correos electrónicos directamente desde aplicaciones de Microsoft Office.

Utilizar el objeto MsoEnvelope

Utilice la propiedad MailEnvelope de los objetos Document, Chart o Worksheet, según la aplicación que esté utilizando, para devolver un objeto MsoEnvelope.

El ejemplo siguiente envía el documento activo de Microsoft Word como un correo electrónico a la dirección de correo electrónico que pase a la subrutina.

Sub SendMail(ByVal strRecipient As String)

    'Use a With...End With block to reference the MsoEnvelope object.
    With Application.ActiveDocument.MailEnvelope

        'Add some introductory text before the body of the e-mail.
        .Introduction = "Please read this and send me your comments."

        'Return a Microsoft Outlook MailItem object that
        'you can use to send the document.
        With .Item

            'All of the mail item settings are saved with the document.
            'When you add a recipient to the Recipients collection
            'or change other properties, these settings will persist.
            .Recipients.Add strRecipient
            .Subject = "Here is the document."

            'The body of this message will be
            'the content of the active document.
            .Send
        End With
    End With
End Sub


Objeto NewFile

NewFile

El objeto NewFile representa los elementos enumerados en el panel de tareas Nuevo elemento disponible en varias aplicaciones de Microsoft Office. La tabla siguiente muestra la propiedad que se utilizará para tener acceso al objeto NewFile en cada aplicación.

Aplicación | Propiedad
Microsoft Access | NewFileTaskPane
Microsoft Excel | NewWorkbook
Microsoft FrontPage | NewPageOrWeb
Microsoft PowerPoint | NewPresentation
Microsoft Word | NewDocument

Nota Los ejemplos que figuran a continuación son para Word, pero puede cambiar la propiedad NewDocument para cualquiera de las propiedades enumeradas anteriormente y utilizar el código de la aplicación correspondiente.

Utilizar el objeto NewFile

Utilice el método Add para agregar un elemento nuevo al panel de tareas Nuevo elemento. El ejemplo siguiente agrega un elemento al panel de tareas de Word Nuevo documento.

Sub AddNewDocToTaskPane()
    Application.NewDocument.Add FileName:="C:\NewDocument.doc", _
        Section:=msoNew, DisplayName:="New Document"
    CommandBars("Task Pane").Visible = True
End Sub

Utilice el método Remove para quitar un elemento del panel de tareas Nuevo elemento. El ejemplo siguiente quita el documento agregado en el ejemplo anterior del panel de tareas Nuevo documento de Word.

Sub RemoveDocFromTaskPane()
    Application.NewDocument.Remove FileName:="C:\NewDocument.doc", _
        Section:=msoNew, DisplayName:="New Document"
    CommandBars("Task Pane").Visible = True
End Sub


Objeto ODSOColumn

ODSOColumns
ODSOColumn

Representa un campo de un origen de datos. El objeto ODSOColumn es un miembro de la colección ODSOColumns. La colección ODSOColumns incluye todos los campos de datos de un origen de datos de combinación de correspondencia (por ejemplo, Nombre, Dirección y Ciudad).

Utilizar el objeto ODSOColumn

Utilice Columns(index), donde index es el número de índice o el nombre de un campo de datos, para devolver un solo objeto ODSOColumn. El número de índice representa la posición del campo de datos en el origen de datos de combinación de correspondencia. Este ejemplo recupera el nombre y valor del primer campo del primer registro del origen de datos adjunto a la publicación activa.

Sub GetDataFromSource()

    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        MsgBox "Field Name: " & .Item(1).Name & vbLf & _
            "Value: " & .Item(1).Value
    End With
End Sub

Comentarios

No puede agregar campos a la colección ODSOColumns. Todos los campos de datos de un origen de datos se incluyen automáticamente en la colección ODSOColumns.


Objeto ODSOColumns

OfficeDataSourceObject
ODSOColumns
ODSOColumn

Una colección de objetos ODSOColumn que representa los campos de datos de un origen de datos de combinación de correspondencia.

Utilizar el objeto ODSOColumns

Utilice la propiedad Columns para devolver la colección ODSOColumns. El ejemplo siguiente muestra los nombres de campos del origen de datos adjunto a la publicación activa.

Sub ShowFieldNames()
    Dim appOffice As OfficeDataSourceObject
    Dim intCount As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        For intCount = 1 To .Count
            MsgBox "Column Name: " & .Item(intCount).Name
        Next
    End With
End Sub

Utilice Columns(index), donde index es el nombre o el número de índice de un campo de datos, para devolver un solo objeto ODSOColumn. El número de índice representa la posición del campo de datos en el origen de datos de combinación de correspondencia. Este ejemplo recupera el nombre del primer campo y el valor del primer registro del campo Nombre del origen de datos adjunto a la publicación activa.

Sub GetDataFromSource()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        MsgBox "Field Name: " & .Columns(1).Name & _
            "Value: " & .Columns("FirstName").Value
    End With
End Sub


Objeto ODSOFilter

ODSOFilters
ODSOFilter

Representa el filtro que se aplicará a un origen de datos de combinación de correspondencia adjunto. El objeto ODSOFilter es un miembro del objeto ODSOFilters.

Utilizar el objeto ODSOFilter

Cada filtro es una línea de una cadena de consulta. Utilice las propiedades Column, Comparison, CompareTo y Conjunction para devolver o establecer el criterio de consulta del origen de datos. El ejemplo siguiente cambia un filtro existente para quitar de la combinación de correspondencia todos los registros cuyo campo Región no sea "WA".

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub

Utilice el método Add del objeto ODSOFilters para agregar un criterio de filtro nuevo a una consulta. Este ejemplo agrega una línea nueva a la cadena de consulta y, a continuación, aplica el filtro combinado al origen de datos.

Sub SetQueryCriterion()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        .Add Column:="Region", _
            Comparison:=msoFilterComparisonIsBlank, _
            Conjunction:=msoFilterConjunctionAnd
        .ApplyFilter
    End With
End Sub


Objeto ODSOFilters

OfficeDataSourceObject
ODSOFilters
ODSOFilter

Representa todos los filtros para aplicar al origen de datos adjunto a la publicación de combinación de correspondencia. El objeto ODSOFilters consta de objetos ODSOFilter.

Utilizar el objeto ODSOFilters

Utilice el método Add del objeto ODSOFilters para agregar un criterio de filtro nuevo a una consulta. Este ejemplo agrega una línea nueva a la cadena de consulta y, a continuación, aplica el filtro combinado al origen de datos.

Sub SetQueryCriterion()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        .Add Column:="Region", _
            Comparison:=msoFilterComparisonIsBlank, _
            Conjunction:=msoFilterConjunctionAnd
        .ApplyFilter
    End With
End Sub

Utilice el método Item para tener acceso a un criterio de filtro concreto. Este ejemplo recorre todo el criterio de filtro y si encuentra uno con un valor de "Región", lo cambia para quitar de la combinación de correspondencia todos los registros que no sean "WA".

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Objeto OfficeDataSourceObject

OfficeDataSourceObject
Varios objetos

Representa el origen de datos de combinación de correspondencia de una operación de combinación de correspondencia.

Utilizar el objeto OfficeDataSourceObject

Para trabajar con el objeto OfficeDataSourceObject, dimensione una variable como un objeto OfficeDataSourceObject. A continuación puede trabajar con los diferentes métodos y propiedades asociados con el objeto. Utilice el método SetSortOrder para especificar cómo se clasificarán los registros de un origen de datos. El ejemplo siguiente clasifica primero el origen de datos según el código postal en orden descendente, a continuación, según el apellido y el nombre de pila en orden ascendente.

Sub SetDataSortOrder()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    appOffice.SetSortOrder SortField1:="ZipCode", _
        SortAscending1:=False, SortField2:="LastName", _
        SortField3:="FirstName"
End Sub

Utilice las propiedades Column, Comparison, CompareTo y Conjunction para devolver o establecer el criterio de consulta de origen de datos. El ejemplo siguiente cambia un filtro existente para quitar de la combinación de correspondencia todos los registros cuyo campo Región no sea "WA".

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Objeto PropertyTests

FileSearch
PropertyTests (PropertyTest)
FoundFiles

Representa un criterio individual de búsqueda de archivos. Los criterios de búsqueda se muestran en el cuadro de diálogo Búsqueda avanzada (menú Archivo, comando Abrir, botón Avanzada). El objeto PropertyTest es un miembro de la colección PropertyTests.

Uso del objeto PropertyTest

Utilice PropertyTests(index), donde index es el número de índice, para devolver un objeto PropertyTest. El siguiente ejemplo muestra todos los criterios de búsqueda de la primera prueba de propiedades de la colección PropertyTests.

With Application.FileSearch.PropertyTests(1)
myString = "This is the search criteria: " _
    & " The name is: " & .Name & ". The condition is: " _
    & .Condition
If .Value <> "" Then
    myString = myString & ". The value is: " & .Value
    If .SecondValue <> "" Then
        myString = myString _
            & ". The second value is: " _
            & .SecondValue & ", and the connector is" _
            & .Connector
    End If
End If
MsgBox myString
End With


Objeto de colección PropertyTests

FileSearch
PropertyTests (PropertyTest)
FoundFiles

Colección de objetos PropertyTest que representa todos los criterios de búsqueda de una búsqueda de archivos. Los criterios de búsqueda se muestran en el cuadro de diálogo Búsqueda avanzada (menú Archivo, comando Abrir, botón Avanzada).

Uso de la colección PropertyTests

Utilice la propiedad PropertyTests para devolver la colección PropertyTests. El siguiente ejemplo muestra el número de criterios de búsqueda avanzada que se utilizarán en una búsqueda de archivos.

Application.FileSearch.PropertyTests.Count

Utilice el método Add para agregar un nuevo objeto PropertyTest a la colección PropertyTests. El siguiente ejemplo agrega dos pruebas de propiedad a los criterios de búsqueda. El primer criterio especifica que los archivos encontrados pueden ser archivos de cualquier tipo y el segundo criterio especifica que los archivos deben haber sido modificados entre el 1 de enero y el 30 de junio de 1996. El ejemplo muestra el número de archivos encontrados y el nombre de cada archivo en un cuadro de mensaje.

Set fs = Application.FileSearch
fs.NewSearch
 With fs.PropertyTests
    .Add Name:="Files of Type", _
        Condition:=msoConditionFileTypeAllFiles, _
        Connector:=msoConnectorOr
    .Add Name:="Last Modified", _
        Condition:=msoConditionAnytimeBetween, _
        Value:="1/1/96", SecondValue:="6/1/96", _
        Connector:=msoConnectorAnd
 End With
    If fs.Execute() > 0 Then
        MsgBox "There were " & fs.FoundFiles.Count & _
            " file(s) found."
        For i = 1 To fs.FoundFiles.Count
            MsgBox fs.FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If

Utilice PropertyTests(index), donde index es el número de índice, para devolver un objeto PropertyTest. El siguiente ejemplo muestra todos los criterios de búsqueda de la primera prueba de propiedades de la colección PropertyTests.

With Application.FileSearch.PropertyTests(1)
myString = "This is the search criteria: " _
    & " The name is: " & .Name & ". The condition is: " _
    & .Condition
If .Value <> "" Then
    myString = myString & ". The value is: " & .Value
    If .SecondValue <> "" Then
        myString = myString _
            & ". The second value is: " _
            & .SecondValue & ", and the connector is" _
            & .Connector
    End If
End If
MsgBox myString
End With


Objeto ScopeFolder

Varios objetos
ScopeFolder
ScopeFolders

Corresponde a una carpeta en la que se pueden realizar búsquedas. Los objetos ScopeFolder pueden utilizarse con la colección SearchFolders. La colección SearchFolders define las carpetas que se buscan al utilizar el objeto FileSearch. Si desea buscar carpetas específicas puede utilizar los métodos y las propiedades del objeto SearchScope y de la colección ScopeFolders para recuperar los objetos ScopeFolder y agregarlos a la colección SearchFolders.

Utilizar el objeto ScopeFolder

Utilice la propiedad ScopeFolder del objeto SearchScope para devolver el objeto ScopeFolder raíz de un ámbito de búsqueda, por ejemplo:

Set sf = Application.FileSearch.SearchScopes.Item(1).ScopeFolder

Utilice el método Item de la colección ScopeFolders para devolver una subcarpeta de un objeto ScopeFolder raíz, por ejemplo:

Set sf = Application.FileSearch.SearchScopes.Item(1).ScopeFolder.ScopeFolders.Item(1)

Utilice el método Item de la colección SearchFolders para devolver la carpeta que se buscará la próxima vez que se active el método Execute del objeto FileSearch; por ejemplo:

Set sf = Application.FileSearch.SearchFolders.Item(1)

En cada objeto ScopeFolder hay una colección ScopeFolders que contiene las subcarpetas del objeto ScopeFolder maestro. Puede atravesar toda la estructura de la carpeta de un ámbito de búsqueda, por ejemplo, todas las unidades locales, recorriendo las colecciones ScopeFolders y devolviendo todos los objetos ScopeFolder de nivel inferior. Un objeto ScopeFolder sin subcarpetas contiene una colección ScopeFolders vacía.

En el tema relativo a colección SearchFolders puede encontrar un ejemplo sobre cómo recorrer todos los objetos ScopeFolder de un ámbito de búsqueda.

Puede utilizar el método Add de la colección SearchFolders para agregar un objeto ScopeFolder a la colección SearchFolders, sin embargo, generalmente es más fácil utilizar el método AddToSearchFolders del ScopeFolder que desee agregar, ya que sólo existe una sola colección SearchFolders para todas las búsquedas.

En el tema relativo a la colección SearchFolders puede encontrar un ejemplo sobre cómo agregar un ScopeFolder a la colección SearchFolders.

El ejemplo siguiente muestra la ruta de acceso raíz a cada directorio de Mi PC. Para recuperar esta información, el ejemplo obtiene primero el objeto ScopeFolder de la raíz de Mi PC. La ruta de acceso a este objeto ScopeFolder será siempre "*". Como con todos los objetos ScopeFolder, el objeto raíz contiene una colección ScopeFolders. Este ejemplo recorre esta colección ScopeFolders y muestra la ruta de acceso a cada objeto ScopeFolder de la misma. Las rutas de acceso a estos objetos ScopeFolder serán "A:\", "C:\", etc.

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder object in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "ScopeFolder object's path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Next
    End With
End Sub


Colección ScopeFolders

ScopeFolder
ScopeFolders
ScopeFolder

Colección de objetos ScopeFolder. Sólo los objetos ScopeFolder contienen colecciones ScopeFolders. Cada colección ScopeFolders contiene los objetos ScopeFolder que corresponden a las subcarpetas del objeto ScopeFolder maestro.

Utilizar la colección ScopeFolders

Utilice la propiedad ScopeFolders del objeto ScopeFolder para devolver una colección ScopeFolders.

Dim sfs as ScopeFolders
Set sfs = Application.FileSearch.SearchScopes.Item(1).ScopeFolder.ScopeFolders

No puede agregar o quitar objetos ScopeFolder de una colección ScopeFolders.


Objeto Script

Scripts (Script)

Representa un bloque de secuencias de comandos HTML en un documento de Microsoft Word, en una hoja de cálculo de Microsoft Excel o en una diapositiva de Microsoft PowerPoint. El objeto Script es parte de la colección Scripts.

Utilizar el objeto Script

Utilice Scripts.Item(index), donde index es el nombre, el ID o el número de índice de una secuencia de comandos, para devolver un solo objeto Script. Cada objeto Script se identifica con la propiedad Id, que proporciona un nombre adecuado que puede utilizar para obtener acceso a la secuencia de comandos. El ejemplo siguiente agrega una sola secuencia de comandos a la colección Scripts en el documento activo y muestra el ID de la secuencia de comandos con el valor de índice 1.

myScript = ActiveDocument.Scripts.Add( _
    , msoScriptLocationInBody, _
    msoScriptLanguageVisualBasic, _
    "ScriptOne", , _
    "MsgBox (""This is ScriptOne. "")")
MsgBox (ActiveDocument.Scripts(1).Id)

Puede especificar el lenguaje de comandos utilizado en la secuencia de comandos cambiando la propiedad Language. El ejemplo siguiente cambia el lenguaje de comandos de la secuencia de comandos uno a páginas Active Server (ASP).

ActiveDocument.Scripts.Item("ScriptOne") _
    .Language = msoScriptLanguageASP

Puede comprobar la ubicación de la forma del delimitador de la secuencia de comandos en un documento HTML mediante la propiedad Location. El ejemplo siguiente realiza una comprobación para determinar si ScriptOne está en el cuerpo del documento HTML activo.

If ActiveDocument.Scripts("ScriptOne").Location = _
    msoScriptLocationInBody Then
    MsgBox ("Script is in the HTML document body.")
Else
    MsgBox ("Script is located in the header. ")
End If

Puede comprobar o establecer los atributos agregados a la etiqueta <SCRIPT> (a excepción de los atributos LANGUAGE e ID) utilizando la propiedad Extended. El ejemplo siguiente comprueba los atributos adicionales de la secuencia de comandos uno del documento activo.

If ActiveDocument.Scripts(1).Extended = "" Then
    MsgBox ("No additional attributes are present " & _
    "in Script " &
     ActiveDocument.Scripts(1).Id)

Puede comprobar o establecer el texto de la secuencia de comandos asociado con una secuencia de comandos determinada mediante la propiedad ScriptText. El ejemplo siguiente muestra un cuadro de mensaje que contiene el texto de secuencia de comandos asociado con la secuencia de comandos uno del documento activo.

MsgBox (ActiveDocument.Scripts("ScriptOne").ScriptText)


Objeto de colección Scripts

Scripts (Script)

Colección de objetos Script que representa la colección de secuencias de comandos HTML del documento especificado.

Utilizar la colección Scripts

La colección Scripts contiene todos los objetos Script de un documento determinado, en el orden original (el orden el que los objetos Script se agregaron al archivo de origen). El orden original no se ve afectado por la ubicación (encabezado o texto independiente) de la secuencia de comandos dentro del documento. Puede utilizar objetos Script para obtener acceso a una secuencia de comandos o para agregar una secuencia de comandos a un documento de Microsoft Word, a una hoja de Microsoft Excel o a una diapositiva de Microsoft PowerPoint. También puede utilizar la colección Scripts para obtener acceso a cualquier página o secuencia de comandos HTML que se abra en una aplicación de Microsoft Office.

Nota Microsoft Access no utiliza este componente compartido de Office.

Agregar un objeto Script

Cuando agrega un objeto Script a la colección Scripts, se agregará automáticamente un objeto Shape de tipo msoScriptAnchor al documento. En una hoja de Excel o en una diapositiva de PowerPoint, la forma se agregará a la colección Shapes; en un documento de Word, la forma se agregará a la colección InlineShapes. Para agregar un Script a un documento, utilice el método Add. El ejemplo siguiente agrega una sola secuencia de comandos al documento activo de Word.

myScript = ActiveDocument.Scripts.Add( _
    , msoScriptLocationInBody, _
    msoScriptLanguageVisualBasic, _
    "ScriptOne", , _
    "MsgBox ""This is ScriptOne.""")

Para obtener acceso a un elemento concreto de la colección Scripts, utilice el método Item y proporcione el atributo ID de la etiqueta <SCRIPT> o el número de índice que indica la posición de la secuencia de comandos dentro de la colección. El ID debe ser único dentro del documento. En el caso de que existan atributos ID duplicados, se devolverá la primera secuencia de comandos con dicho ID que se encuentre. El ejemplo siguiente muestra un cuadro de mensaje que indica la primera secuencia de comandos encontrada que utiliza el ID "ScriptOne".

MsgBox (ActiveDocument.Scripts.Item("ScriptOne").Language)

Utilice la propiedad Count para determinar el número de objetos Script en el documento especificado. El ejemplo siguiente muestra el número de secuencias de comandos que hay en el documento activo.

If ActiveDocument.Scripts.Count = 0 Then
    MsgBox ("There are no " & _
    "scripts in this document. ")
End If
If ActiveDocument.Scripts.Count = 1 Then
    MsgBox ("There is " & _
    ActiveDocument.Scripts.Count & _
    " script in this document. ")
End If
If ActiveDocument.Scripts.Count > 1 Then
    MsgBox ("There are " & _
    ActiveDocument.Scripts.Count & _
    " scripts in this document. ")
End If

Utilice el método Delete para quitar una secuencia de comandos de la colección Scripts, tal como se indica en el ejemplo siguiente.

ActiveDocument.Scripts("ScriptOne").Delete


Colección SearchFolders

FileSearch
SearchFolders
ScopeFolder

Colección de objetos ScopeFolder que determina en qué carpetas se realizará la búsqueda al activar el método Execute del objeto FileSearch.

Utilizar la colección SearchFolders

Utilice la propiedad SearchFolders con el objeto FileSearch para devolver la colección SearchFolders, por ejemplo:

Set sfs = Application.FileSearch.SearchFolders

Para cada aplicación sólo hay una colección SearchFolders. El contenido de la colección permanece después de que el código que la ha llamado haya acabado de ejecutarse. Por ello, es importante borrar la colección, a menos que desee incluir carpetas de búsquedas previas en esta búsqueda.

Puede utilizar el método Add de la colección SearchFolders para agregar un objeto ScopeFolder a la colección SearchFolders, sin embargo, generalmente es más fácil utilizar el método AddToSearchFolders del ScopeFolder que desee agregar, ya que sólo existe una sola colección SearchFolders para todas las búsquedas.

La colección SearchFolders puede verse como un complemento de la propiedad LookIn del objeto FileSearch. Las dos especifican las carpetas de búsqueda y se utilizan al realizar la búsqueda. Sin embargo, si sólo desea utilizar la propiedad LookIn, deberá asegurarse de que la colección SearchFolders está vacía. A la inversa, si sólo desea utilizar la colección SearchFolders, establezca la propiedad LookIn para la ruta de acceso al primer miembro de la colección SearchFolders antes de activar el método Execute.

El ejemplo siguiente busca en todas las carpetas denominadas "1033" de la máquina local todos los archivos de Microsoft Excel y HTML. El ejemplo utiliza las colecciones SearchFolders, SearchScopes y ScopeFolders.

Este ejemplo consta de dos rutinas. La rutina SearchEveryFolder es la rutina que deberá ejecutar. La rutina OutputPaths se diferencia de la principal en que ésta se llama repetidamente a fin de atravesar toda la estructura de directorios de la máquina local.

Sub SearchEveryFolder()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Declare a variable to act as a generic counter.
    Dim lngCount As Long

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Clear all the parameters of the previous searches.
        'This method doesn't clear the LookIn property or
        'the SearchFolders collection.
        .NewSearch

        'Specify the type of file for which to search.
        'Use the FileType property to specify the first type
        'and then add additional types to the FileTypes collection.
        .FileType = msoFileTypeWebPages
        .FileTypes.Add msoFileTypeExcelWorkbooks

        'Clear the SearchFolder collection by
        'looping through each ScopeFolder object
        'and removing it.
        For lngCount = 1 To .SearchFolders.Count
            .SearchFolders.Remove lngCount
        Next lngCount

        'Loop through the SearchScopes collection to find
        'the scope in which you want to search. In this
        'case the scope is the local machine.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder in
                    'the ScopeFolders collection of the
                    'SearchScope object.
                    For Each sf In ss.ScopeFolder.ScopeFolders

                        'Call a function that loops through all
                        'of the subfolders of the root ScopeFolder.
                        'This function adds any folders named "1033" to the
                        'SearchFolders collection.
                        Call OutputPaths(sf.ScopeFolders, "1033")

                    Next sf
                Case Else
            End Select
        Next ss

        'Test to see if any ScopeFolders collections were added to
        'the SearchFolders collection.
        If .SearchFolders.Count > 0 Then

            'Set the LookIn property to the path of
            'the first ScopeFolder object in the SearchFolders
            'collection. This is here so that any previous
            'setting of the LookIn property doesn't affect
            'the search.
            .LookIn = .SearchFolders.Item(1).Path

            'Execute the search and test to see if any files
            'were found.
            If .Execute <> 0 Then

                'Display the number of files found.
                MsgBox "Files found: " & .FoundFiles.Count

                'Loop through the list of found files and
                'display the path of each one in a message box.
                For lngCount = 1 To .FoundFiles.Count
                    If MsgBox(.FoundFiles.Item(lngCount), vbOKCancel, _
                        "Found files") = vbCancel Then
                        'Break out of the loop
                        lngCount = .FoundFiles.Count

                    End If
                Next lngCount
            End If
        End If
    End With
End Sub

'This subroutine loops through all of the ScopeFolders collections
'in a given ScopeFolders collection. It adds any folder
'that has the same name as the value of strFolder
'to the SearchFolders collection.
Sub OutputPaths(ByVal sfs As ScopeFolders, _
    ByRef strFolder As String)

    'Declare a variable as a ScopeFolder object
    Dim sf As ScopeFolder

    'Loop through each ScopeFolder object in the
    'ScopeFolders collection.
    For Each sf In sfs

        'Test to see if the folder name of the ScopeFolder
        'matches the value of strFolder. Use LCase to ensure
        'that case does not affect the match.
        If LCase(sf.Name) = LCase(strFolder) Then

            'Add the ScopeFolder to the SearchFolders collection.
            sf.AddToSearchFolders

        End If

        'Include a DoEvents call because there is the potential for this
        'loop to last a long time. The DoEvents call allows this process to
        'continue handling events.
        DoEvents

        'Test to see if the ScopeFolders collection in the
        'current ScopeFolder is empty. If it isn't empty, then
        'that means that the current ScopeFolder object contains subfolders.
        If sf.ScopeFolders.Count > 0 Then

            'This subroutine recursively calls itself so that
            'it can add the subfolders of the current ScopeFolder object
            'to the SearchFolders collection.
            Call OutputPaths(sf.ScopeFolders, strFolder)

        End If
    Next sf
End Sub


Objeto SearchScope

SearchScopes
SearchScope
ScopeFolder

Corresponde a un tipo de árbol de carpetas que se puede buscar utilizando el objeto FileSearch. Por ejemplo, las unidades locales de su equipo representan un solo ámbito de búsqueda. Las carpetas de red y las de Microsoft Outlook son también dos ámbitos individuales de búsqueda disponibles. Cada objeto SearchScope incluye un solo objeto ScopeFolder que corresponde a la carpeta raíz del ámbito de búsqueda.

Utilizar el objeto SearchScope

Utilice el método Item de la colección SearchScopes para devolver un objeto SearchScope, por ejemplo:

Dim ss As SearchScope
Set ss = Application.FileSearch.SearchScopes.Item(1)

En última instancia, el objeto SearchScope se utiliza para proporcionar acceso a los objetos ScopeFolder que pueden agregarse a la colección SearchFolders. Si desea ver un ejemplo al respecto, consulte el tema relativo a la colección SearchFolders.

Consulte el tema relativo al objeto ScopeFolder para ver un sencillo ejemplo de la devolución de un objeto ScopeFolder desde un objeto SearchScope.

El ejemplo siguiente muestra todos los objetos SearchScope disponibles actualmente.

Sub DisplayAvailableScopes()

    'Declare a variable that references a
    'SearchScope object.
    Dim ss As SearchScope

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer
                    MsgBox "My Computer is an available search scope."
                Case msoSearchInMyNetworkPlaces
                    MsgBox "My Network Places is an available search scope."
                Case msoSearchInOutlook
                    MsgBox "Outlook is an available search scope."
                Case msoSearchInCustom
                    MsgBox "A custom search scope is available."
                Case Else
                    MsgBox "Can't determine search scope."
            End Select
        Next ss
    End With
End Sub


Colección SearchScopes

FileSearch
SearchScopes
SearchScope

Una colección de objetos SearchScope.

Utilizar la colección SearchScopes

Utilice la propiedad SearchScopes del objeto FileSearch para devolver una colección SearchScopes, por ejemplo:

Dim sss As SearchScopes
Set sss = Application.FileSearch.SearchScopes

No puede agregar o quitar objetos SearchScope de la colección SearchScopes.


Objeto Signature

SignatureSet
Signature

Corresponde a una firma digital que se adjunta a un documento. Los objetos Signature se incluyen en la colección SignatureSet del objeto Document.

Utilizar el objeto Signature

Puede utilizar un objeto Signature para una colección SignatureSet utilizando el método Add y devolver un miembro existente utilizando el método Item. Para quitar un objeto Signature de una colección SignatureSet, utilice el método Delete del objeto Signature.

En el ejemplo siguiente se solicita al usuario que seleccione una firma digital para firmar el documento activo de Microsoft Word. Para utilizar este ejemplo, abra un documento de Word y pase a esta función los nombres de un emisor y de un firmante de certificados en los campos Emitido por y Emitido para de un certificado digital, en el cuadro de diálogo Certificados digitales. Este ejemplo comprueba que la firma digital que el usuario selecciona cumple ciertos criterios, como no haber caducado, antes de que se guarde la firma nueva en el disco.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Colección SignatureSet

SignatureSet
Signature

Una colección de objetos Signature que corresponde a las firmas digitales adjuntas a un documento.

Utilizar la colección SignatureSet

Utilice la propiedad Signatures del objeto Document para devolver una colección SignatureSet, por ejemplo:

Set sigs = ActiveDocument.Signatures

Nota No se conservarán los cambios que realice en la colección SignatureSet, a menos que active el método Commit.

Puede utilizar un objeto Signature para una colección SignatureSet utilizando el método Add y devolver un miembro existente utilizando el método Item. Para quitar un objeto Signature de una colección SignatureSet, utilice el método Delete del objeto Signature.

En el ejemplo siguiente se solicita al usuario que seleccione una firma digital para firmar el documento activo de Microsoft Word. Para utilizar este ejemplo, abra un documento de Word y pase a esta función los nombres de un emisor y de un firmante de certificados en los campos Emitido por y Emitido para de un certificado digital, en el cuadro de diálogo Certificados digitales. Este ejemplo comprueba que la firma digital que el usuario selecciona cumple ciertos criterios, como no haber caducado, antes de que se guarde la firma nueva en el disco.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before committing the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Objeto WebPageFont

WebPageFonts (WebPageFont)

Representa la fuente predeterminada utilizada cuando los documentos se guardan como páginas Web en un juego de caracteres concreto.

Utilizar el objeto WebPageFont

Utilice el objeto WebPageFont para describir la fuente proporcional, el tamaño de fuente proporcional, la fuente de ancho fijo y el tamaño de la fuente de ancho fijo para cualquier juego de caracteres disponibles.

Se admiten los siguientes juegos de caracteres:
msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese

El siguiente ejemplo establece la fuente proporcional y el tamaño de la fuente proporcional para el objeto WebPageFont myFont.

With myFont
    ProportionalFont = Verdana
    ProportionalFontSize = 14


Objeto de colección WebPageFonts

WebPageFonts (WebPageFont)

Colección de objetos WebPageFont que describe la fuente proporcional, el tamaño de la fuente proporcional, la fuente de ancho fijo y el tamaño de la fuente de ancho fijo que se utilizan cuando los documentos se guardan como páginas Web. Puede especificar un conjunto diferente de propiedades de páginas Web para cada juego de caracteres que esté disponible.

Utilizar la colección WebPageFonts

La colección WebPageFonts contiene un objeto WebPageFont para cada juego de caracteres.

Se admiten los siguientes juegos de caracteres:
msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese

El ejemplo siguiente utiliza la propiedad Item para establecer myFont en el objeto WebPageFont para el juego de caracteres de secuencias de comandos Inglés/Europeo occidental/Otro alfabeto latino dentro de la aplicación actual.

Dim myFont As WebPageFont
Set myFont = _
  Application.DefaultWebOptions.Fonts.Item_
  (msoCharacterSetEnglishWesternEuropeanOtherLatinScript)


Método ActivateWizard

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Continúa o detiene la Ayuda del Ayudante de Office durante la ejecución de un asistente personalizado.

Nota Debe utilizar este método sólo para completar el proceso iniciado con el método StartWizard.

expresión.ActivateWizard(WizardID, Act, Animation)

expresión Requerida. Expresión que devuelve un objeto Assistant.

WizardID Long requerido. Número único que identifica la sesión del Asistente para el Ayudante de Office, devuelto por el método StartWizard.

Act MsoWizardActType requerido. Especifica el cambio a la sesión de Ayuda del Ayudante de Office.

MsoWizardActType puede ser una de estas constantes de MsoWizardActType.
msoWizardActActive
msoWizardActInactive
msoWizardActResume
msoWizardActSuspend

Animation Variant opcional. La animación del Ayudante de Office se realiza cuando se suspende o se continúa.

Ejemplo

Este ejemplo cancela la sesión del asistente iniciado con el método StartWizard. La variable IHelpForWiz se ha establecido en el valor devuelto por el método StartWizard.

Assistant.ActivateWizard WizardID:=lHelpForWiz, _
   Act:=msoWizardActSuspend, Animation:=msoAnimationGoodbye


Método Add

Método Add cuando se aplica al objeto NewFile.

Agrega un elemento nuevo al panel de tareas Nuevo Elemento. Devuelve un valor Boolean. True si el elemento se ha agregado correctamente.

expression.Add(FileName, Section, DisplayName, Action)

expresión Requerida. Expresión que devuelve uno de los objetos anteriores.

Filename String requerida. El nombre del archivo que se agrega a la lista de archivos del panel de tareas.

Section Variant opcional. La sección a la que se agrega el archivo. Puede ser cualquier constante msoFileNewSection.

DisplayName Variant opcional. El texto que se muestra en el panel de tareas.

Action Variant opcional. La acción que se ejecuta cuando el usuario hace clic en el elemento. Puede ser cualquier constante msoFileNewSection.

Método Add cuando se aplica al objeto CommandBars.

Crea una nueva barra de comandos y la agrega a la colección de barras de comandos. Devuelve un objeto CommandBar.

expresión.Add(Name, Position, MenuBar, Temporary)

expresión Requerida. Expresión que devuelve un objeto CommandBars.

Name Variant opcional. Nombre de la nueva barra de comandos. Si se omite este argumento, Word asignará un nombre predeterminado a la barra de comandos, por ejemplo, Custom 1.

Position Variant opcional. Posición o tipo de la nueva barra de comandos. Puede ser una de las constantes MsoBarPosition que aparecen en la siguiente tabla:

Constante | Descripción
msoBarLeft, msoBarTop, msoBarRight, msoBarBottom | Indica las coordenadas izquierda, derecha, superior e inferior de la nueva barra de comandos.
msoBarFloating | Indica que la nueva barra de comandos no estará acoplada.
msoBarPopup | Indica que la nueva barra de comandos será un menú contextual.
msoBarMenuBar | Sólo para Macintosh.

MenuBar Variant opcional. True para reemplazar la barra de menú activa con la nueva barra de comandos. El valor predeterminado es False.

Temporary Variant opcional. True para que la nueva barra de comandos sea temporal. Las barras de comandos temporales se eliminan al cerrar la aplicación contenedora. El valor predeterminado es False.

Método Add cuando se aplica al objeto CommandBarControls.

Crea un objeto CommandBarControl nuevo y lo agrega a la colección de controles de la barra de comandos especificada.

expresión.Add(Type, Id, Parameter, Before, Temporary)

expresión Requerida. Expresión que devuelve un objeto CommandBarControls.

Type Variant opcional. Tipo de control que se agrega a la barra de comandos especificada. Puede ser una de las constantes de MsoControlType siguientes: msoControlButton, msoControlEdit, msoControlDropdown, msoControlComboBox o msoControlPopup.

Id Variant opcional. Número entero que especifica un control integrado. Si el valor de este argumento es 1, o si se omite este argumento, se agregará a la barra de comandos un control personalizado en blanco del tipo especificado.

Parameter Variant opcional. Para controles integrados, la aplicación contenedora utiliza este argumento para ejecutar el comando. En controles personalizados, este argumento puede utilizarse para enviar información a los procedimientos de Visual Basic o para guardar la información acerca del control, de forma similar a un segundo valor de la propiedad Tag.

Before Variant opcional. Número que indica la posición del nuevo control de barra de comandos. El nuevo control se inserta delante del control ubicado en esta posición. Si se omite este argumento, el control se agrega al final de la barra de comandos especificada.

Temporary Variant opcional. True para que el nuevo control sea temporal. Los controles temporales se eliminan automáticamente al cerrar la aplicación contenedora. El valor predeterminado es False.

Método Add cuando se aplica al objeto DocumentProperties.

Crea una nueva propiedad de documento personalizada. Sólo es posible utilizar este método con la colección personalizada DocumentProperties.

expresión.Add(Name, LinkToContent, Type, Value, LinkSource)

expresión Requerida. Objeto DocumentProperties personalizado.

Name String requerida. Nombre de la propiedad.

LinkToContent Boolean requerido. Especifica si la propiedad está vinculada al contenido del documento contenedor. Si este argumento es True, se requiere el argumento LinkSource; si es False, se requiere el argumento del valor.

Type Variant opcional. Tipo de datos de la propiedad. Puede ser una de las siguientes constantes MsoDocProperties: msoPropertyTypeBoolean, msoPropertyTypeDate, msoPropertyTypeFloat, msoPropertyTypeNumber o msoPropertyTypeString.

Value Variant opcional. Valor de la propiedad si no está vinculada al contenido del documento contenedor. Si fuera posible, el valor se convierte para que coincida con el tipo de datos especificado por el argumento de tipo; en caso contrario, se produce un error. Si LinkToContent es True, se omite el argumento Value y la nueva propiedad de documento tiene un valor predeterminado hasta que la aplicación contenedora actualice los valores de la propiedad vinculada, normalmente al guardar el documento.

LinkSource Variant opcional. Se ignora si LinkToContent es False. Origen de la propiedad vinculada. La aplicación contenedora determina los tipos de vinculación de origen que se pueden utilizar.

Comentarios

Si agrega una propiedad de documento personalizada a la colección DocumentProperties que está vinculada a un valor dado en un documento de Microsoft Office, debe guardar el documento para ver el cambio en el objeto DocumentProperty.

Método Add cuando se aplica al objeto FileDialogFilters.

Agrega un filtro de archivos nuevo a la lista de filtros del cuadro de lista emergente Tipo de archivo del cuadro de diálogo Archivo. Devuelve un objeto FileDialogFilter que representa el filtro de archivos que se acaba de agregar.

expresión.Add(Description, Extensions, Position)

expresión Requerida. Expresión que devuelve uno de los objetos anteriores.

Description String Requerida. El texto que representa la descripción de la extensión del archivo que desea agregar a la lista de filtros.

Extensions String Requerida. El texto que representa la extensión del archivo que desea agregar a la lista de filtros. Se puede especificar más de una extensión, separadas por punto y coma (;). Por ejemplo, el argumento Extensions se puede asignar a la cadena: "*.txt; *.htm". Nota: no es necesario agregar paréntesis a las extensiones. Office agregará automáticamente paréntesis a la cadena de extensiones cuando las cadenas de las extensiones y la descripción estén concatenadas en un elemento de filtro de archivos.

Position Variant opcional. Un número que indica la posición del control nuevo en la lista de filtros. El filtro nuevo se inserta delante del filtro ubicado en esta posición. Si se omite este argumento, el filtro se agregará al final de la lista.

Comentarios

Cada filtro de una lista consta de dos partes: la extensión del archivo (p. ej. .txt) y la descripción del texto de la extensión del archivo (p. ej. Archivos de texto). El filtro de archivos aparecería en el cuadro de lista emergente Tipo de archivo como: Archivos de texto (*.txt).

Observe que los filtros predeterminados no se eliminan al agregar un filtro a la lista.

Sólo se muestran los filtros cuando está activada la opción Windows.

Si Position no es válido, se muestra un error de tiempo de ejecución fuera de los límites. Si los valores de Description y Extensions no son válidos, se muestra un error de tiempo de ejecución (redistribución).

Los diálogos del selector de carpetas no tienen filtros, por lo tanto, los métodos de filtro no se aplican al selector de carpetas.

Método Add cuando se aplica al objeto Scripts.

Agrega un objeto Script a la colección Scripts de uno de los objetos siguientes: un objeto Document o Range en Microsoft Word; un objeto Worksheet o Chart en Microsoft Excel; o bien un objeto Slide, SlideRange, Master de diapositiva, o Master de título en Microsoft PowerPoint. Devuelve un objeto Script.

expresión.Add(Anchor, Location, Language, Id, Extended, ScriptText)

expresión Requerida. La colección Scripts.

Anchor Range opcional (sólo en Microsoft Excel). El argumento Anchor acepta un objeto Range de Excel, que especifique la colocación del delimitador de secuencia de comandos en una hoja de Excel. No puede insertar delimitadores de secuencia de comandos en los gráficos de Excel.

Location MsoScriptLocation opcional. Especifica la ubicación del delimitador de secuencia de comandos en un documento. Si ha especificado el argumento Anchor, el argumento Location no se utiliza, la ubicación del argumento Anchor determina la ubicación del delimitador de secuencia de comandos.

MsoScriptLocation puede ser una de estas constantes de MsoScriptLocation.
msoScriptLocationInBody predeterminado
msoScriptLocationInHead

Language MsoScriptLanguage opcional. Especifica el lenguaje de la secuencia de comandos.

MsoScriptLanguage puede ser una de estas constantes de MsoScriptLanguage.
msoScriptLanguageASP
msoScriptLanguageJava
msoScriptLanguageOther
msoScriptLanguageVisualBasic predeterminado

Id String opcional. El ID de la etiqueta <SCRIPT> en HTML. El argumento Id especifica un identificador SGML utilizado para nombrar elementos. Entre los identificadores válidos se incluye cualquier cadena que comience con una letra y esté constituida por caracteres alfanuméricos; la cadena también puede incluir el carácter de subrayado ( _ ). El ID debe ser único dentro del documento HTML. Este parámetro se exporta como el atributo ID en la etiqueta <SCRIPT>.

Extended String opcional. Especifica atributos que deben agregarse a la etiqueta <SCRIPT> (los atributos LANGUAGE e ID se exportan a través de los parámetros Language e Id y no deben exportarse a través del parámetro Extended). El formato predeterminado es la cadena vacía. Los atributos se separan por espacios, al igual que sucede en HTML. La aplicación host de Microsoft Office no proporciona ningún medio para comprobar la sintaxis de los atributos pasados.

ScriptText String opcional. Especifica el texto contenido en un bloque de secuencias de comandos. El formato predeterminado es la cadena vacía. La aplicación host de Microsoft Office comprueba la sintaxis de la secuencia de comandos.

Comentarios

Una forma asociada con un bloque de secuencias de comandos no se exporta o se imprime como forma en HTML; sólo se exporta el bloque de secuencias de comandos.

No puede utilizar el método Add para agregar un delimitador de secuencia de comandos a un rango de diapositivas de PowerPoint que contenga más de una diapositiva.

Método Add cuando se aplica al objeto SignatureSet.

Devuelve un objeto Signature que representa una firma de correo electrónico nueva.

expresión.Add

expresión Requerida. Expresión que devuelve uno de los objetos anteriores.

Método Add cuando se aplica al objeto ODSOFilters.

Agrega un filtro nuevo a la colección ODSOFilters.

expresión.Add(Column, Comparison, Conjunction, bstrCompareTo, DeferUpdate)

expresión Requerida. Expresión que devuelve uno de los objetos anteriores.

Column String requerida. El nombre de la tabla en el origen de datos.

Comparison MsoFilterComparisonrequerido. Cómo se filtran los datos de la tabla.

MsoFilterComparison puede ser una de estas constantes de MsoFilterComparison.
msoFilterComparisonContains
msoFilterComparisonEqual
msoFilterComparisonGreaterThan
msoFilterComparisonGreaterThanEqual
msoFilterComparisonIsBlank
msoFilterComparisonIsNotBlank
msoFilterComparisonLessThan
msoFilterComparisonLessThanEqual
msoFilterComparisonNotContains
msoFilterComparisonNotEqual

Conjunction MsoFilterConjunction requerido. Determina cómo se relaciona este filtro con el resto de los filtros del objeto ODSOFilters.

MsoFilterConjunction puede ser una de estas constantes de MsoFilterConjunction.
msoFilterConjunctionAnd
msoFilterConjunctionOr

bstrCompareTo String opcional. Si el argumento Comparison no es msoFilterComparisonIsBlank o msoFilterComparisonIsNotBlank, una cadena con la que se comparan los datos de la tabla.

DeferUpdate Boolean opcional. El valor predeterminado es False.

Método Add cuando se aplica al objeto AnswerWizardFiles.

Crea una referencia nueva (un valor String) a un archivo del Asistente para Ayuda y lo agrega a la colección AnswerWizardFiles.

expresión.Add(FileName)

expresión Requerida. Expresión que devuelve una colección AnswerWizardFiles.

Filename String requerida. Ruta completa al archivo especificado del Asistente para Ayuda.

Método Add cuando se aplica al objeto FileTypes.

Agrega un tipo de archivo nuevo a una búsqueda de archivos.

expresión.Add(FileType)

expresión Requerida. Expresión que devuelve uno de los objetos anteriores.

FileType MsoFileType requerido. Especifica el tipo de archivo que se buscará.

MsoFileType puede ser una de estas constantes de MsoFileType.
msoFileTypeAllFiles
msoFileTypeBinders
msoFileTypeCalendarItem
msoFileTypeContactItem
msoFileTypeCustom
msoFileTypeDatabases
msoFileTypeDataConnectionFiles
msoFileTypeDesignerFiles
msoFileTypeDocumentImagingFiles
msoFileTypeExcelWorkbooks
msoFileTypeJournalItem
msoFileTypeMailItem
msoFileTypeNoteItem
msoFileTypeOfficeFiles
msoFileTypeOutlookItems
msoFileTypePhotoDrawFiles
msoFileTypePowerPointPresentations
msoFileTypeProjectFiles
msoFileTypePublisherFiles
msoFileTypeTaskItem
msoFileTypeTemplates
msoFileTypeVisioFiles
msoFileTypeWebPages
msoFileTypeWordDocuments

Método Add cuando se aplica al objeto PropertyTests.

Agrega un objeto PropertyTest a la colección PropertyTests.

expresión.Add(Name, Condition, Value, SecondValue, Connector)

expresión Requerida. Expresión que devuelve un objeto PropertyTests.

Name String requerida. Nombre del criterio de la propiedad. El nombre corresponde a un valor del cuadro Propiedad del cuadro de diálogo Buscar, que se abre desde el menú Herramientas del cuadro de diálogo Abrir de la aplicación (menú Archivo).

Condition MsoCondition requerido. Condición de los criterios de búsqueda.

MsoCondition puede ser una de estas constantes de MsoCondition.
msoConditionAnyNumberBetween
msoConditionAnytime
msoConditionAnytimeBetween
msoConditionAtLeast
msoConditionAtMost
msoConditionBeginsWith
msoConditionDoesNotEqual
msoConditionEndsWith
msoConditionEquals
msoConditionEqualsCompleted
msoConditionEqualsDeferred
msoConditionEqualsHigh
msoConditionEqualsInProgress
msoConditionEqualsLow
msoConditionEqualsNormal
msoConditionEqualsNotStarted
msoConditionEqualsWaitingForSomeoneElse
msoConditionFileTypeAllFiles
msoConditionFileTypeBinders
msoConditionFileTypeCalendarItem
msoConditionFileTypeContactItem
msoConditionFileTypeDatabases
msoConditionFileTypeDataConnectionFiles
msoConditionFileTypeDesignerFiles
msoConditionFileTypeDocumentImagingFiles
msoConditionFileTypeExcelWorkbooks
msoConditionFileTypeJournalItem
msoConditionFileTypeMailItem
msoConditionFileTypeNoteItem
msoConditionFileTypeOfficeFiles
msoConditionFileTypeOutlookItems
msoConditionFileTypePhotoDrawFiles
msoConditionFileTypePowerPointPresentations
msoConditionFileTypeProjectFiles
msoConditionFileTypePublisherFiles
msoConditionFileTypeTaskItem
msoConditionFileTypeTemplates
msoConditionFileTypeVisioFiles
msoConditionFileTypeWebPages
msoConditionFileTypeWordDocuments
msoConditionFreeText
msoConditionIncludes
msoConditionIncludesFormsOf
msoConditionIncludesNearEachOther
msoConditionIncludesPhrase
msoConditionInTheLast
msoConditionInTheNext
msoConditionIsExactly
msoConditionIsNo
msoConditionIsNot
msoConditionIsYes
msoConditionLastMonth
msoConditionLastWeek
msoConditionLessThan
msoConditionMoreThan
msoConditionNextMonth
msoConditionNextWeek
msoConditionNotEqualToCompleted
msoConditionNotEqualToDeferred
msoConditionNotEqualToHigh
msoConditionNotEqualToInProgress
msoConditionNotEqualToLow
msoConditionNotEqualToNormal
msoConditionNotEqualToNotStarted
msoConditionNotEqualToWaitingForSomeoneElse
msoConditionOn
msoConditionOnOrAfter
msoConditionOnOrBefore
msoConditionThisMonth
msoConditionThisWeek
msoConditionToday
msoConditionTomorrow
msoConditionYesterday

Value Variant opcional. Valor de los criterios de búsqueda.

SecondValue Variant opcional. Valor superior del intervalo de búsqueda. Sólo es posible utilizar este argumento si Condition es msoConditionAnyTimeBetween o msoConditionAnyNumberBetween.

Connector MsoConnector opcional Especifica la forma en que se combinan dos criterios de búsqueda.

MsoConnector puede ser una de estas constantes de MsoConnector.
msoConnectorAnd predeterminado
msoConnectorOr

Método Add cuando se aplica al objeto SearchFolders.

Agrega una carpeta de búsqueda a una búsqueda de archivos.

expresión.Add(ScopeFolder)

expresión Requerida. Expresión que devuelve uno de los objetos anteriores.

ScopeFolder Objeto ScopeFolder requerido. La carpeta que se agregará a la búsqueda.

Ejemplo

Cuando se aplica al objeto AnswerWizardFiles.

Este ejemplo prepara el Asistente para Ayuda para que acepte una lista de archivos personalizados y agrega dos archivos personalizados del Asistente para Ayuda. En primer lugar, el ejemplo borra la lista de archivos y, a continuación, agrega dos archivos personalizados del Asistente para Ayuda y comprueba el nombre de los archivos para asegurarse de que los archivos se han agregado correctamente.

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

If customAnswerWizard.Files.Count = 2 Then
    MsgBox "Files " & customAnswerWizard.Files.Item(1) & _
    " and " & customAnswerWizard.Files(2) & _
    " were added sucessfully."
End If

Cuando se aplica al objeto CommandBarControls.

Este ejemplo crea una barra de herramientas personalizada que contienen botones (controles) para cortar, copiar y pegar

Dim customBar As CommandBar
Dim newButton As CommandBarButton
Set customBar = CommandBars.Add("Custom")
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("Edit") _
    .Controls("Cut").Id)
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("Edit") _
    .Controls("Copy").Id)
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("Edit") _
    .Controls("Paste").Id)
customBar.Visible = True

Cuando se aplica al objeto DocumentProperties.

Este ejemplo, diseñado para ejecutarlo en Microsoft Word, agrega tres propiedades personalizadas a la colección DocumentProperties.

With ActiveDocument.CustomDocumentProperties
    .Add Name:="CustomNumber", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeNumber, _
        Value:=1000
    .Add Name:="CustomString", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeString, _
        Value:="This is a custom property."
    .Add Name:="CustomDate", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeDate, _
        Value:=Date
End With

Cuando se aplica al objeto PropertyTests.

Este ejemplo agrega dos pruebas de propiedad a los criterios de búsqueda. La primera comprueba que los archivos encontrados sean documentos de Word y la segunda que los archivos encontrados hayan sido modificados entre el 1 de enero y el 30 de junio de 1996. El ejemplo también muestra un cuadro de mensaje que presenta el número total de archivos encontrados, si hay alguno, y el nombre de cada uno de esos archivos.

Set fs = Application.FileSearch
fs.NewSearch
With fs.PropertyTests
    .Add Name:="Files of Type", _
        Condition:=msoConditionFileTypeWordDocuments, _
        Connector:=msoConnectorOr
    .Add Name:="Last Modified", _
        Condition:=msoConditionAnytimeBetween, _
        Value:="1/1/98", SecondValue:="6/30/98", _
        Connector:=msoConnectorAnd
End With
If fs.Execute() > 0 Then
        For i = 1 To fs.FoundFiles.Count
            strFound = strFound & fs.FoundFiles(i) & vbCrLf
        Next i
        MsgBox "Search found the following " _
            & fs.FoundFiles.Count & _
            " file(s):" & vbCrLf & strFound
Else
    MsgBox "There were no files found."
End If
Cuando se aplica al objeto Scripts.

Este ejemplo agrega un nuevo Script a la hoja de trabajo del libro activo.

Dim rngScriptAnchorRange As Range
Dim objNewScript As Script

Set rngScriptAnchorRange = ActiveWorkbook. _
    Worksheets(1).Range("B5")
Set objNewScript = ActiveWorkbook. _
    Worksheets(1).Scripts.Add(rngScriptAnchorRange, _
      msoScriptLocationInBody, _
      msoScriptLanguageVisualBasic, _
      "MyNewScript", , _
      "MsgBox (""Added Script object MyNewScript"")")


Método AddItem

Agrega un elemento de lista al control de cuadro combinado de la barra de comandos especificada. El control de cuadro combinado debe ser un control personalizado y debe ser o un cuadro de lista emergente o un cuadro combinado.

Nota Este método fallará si se aplica a un control de cuadro combinado que sea un control de cuadro de edición o de cuadro combinado integrado.

expresión.AddItem(Text, Index)

expresión Requerida. Expresión que devuelve un objeto CommandBarComboBox.

Text String requerida. Elemento que se va a agregar al control especificado.

Index Variant opcional. La posición del elemento especificado de la lista. Si se omite este argumento, el elemento se agrega al final de la lista.

Ejemplo

Este ejemplo agrega un control de cuadro combinado a una barra de comandos. El ejemplo también agrega dos elementos al control, establece el número de elementos de línea y el ancho del cuadro combinado establecidos.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


Método AddToSearchFolders

Agrega un objeto ScopeFolder a la colección SearchFolders.

expresión.AddToSearchFolders

expresión Requerida. Expresión que devuelve un objeto ScopeFolder.

Comentarios

Aunque puede utilizar el método Add de la colección SearchFolders para agregar un objeto ScopeFolder a la colección SearchFolders, generalmente es más fácil utilizar el método AddToSearchFolders del objeto ScopeFolder que desee agregar, ya que sólo existe una sola colección SearchFolders para todas las búsquedas.

Ejemplo

El ejemplo siguiente agrega el objeto ScopeFolder raíz a la colección SearchFolders. Consulte el tema relativo a la colección SearchFolders si desea ver un ejemplo más extenso sobre la utilización del método AddToSearchFolders.

Application.FileSearch.SearchScopes(1).ScopeFolder.AddToSearchFolders


Método ApplyFilter

Aplica un filtro a un origen de datos de combinación de correspondencia para filtrar registros específicos que cumplan determinados criterios.

expresión.ApplyFilter

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

Este ejemplo agrega un filtro nuevo que quita todos los registros con un campo Región vacío y, a continuación, aplica el filtro a la publicación activa.

Sub OfficeFilters()
    Dim appOffice As OfficeDataSourceObject
    Dim appFilters As ODSOFilters

    Set appOffice = Application.OfficeDataSourceObject

    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    Set appFilters = appOffice.Filters

    MsgBox appOffice.RowCount

    appFilters.Add Column:="Region", Comparison:=msoFilterComparisonEqual, _
        Conjunction:=msoFilterConjunctionAnd, bstrCompareTo:="WA"
    appOffice.ApplyFilter

    MsgBox appOffice.RowCount

End Sub


Método Clear

Elimina todos los elementos de lista del control de cuadro combinado de la barra de comandos especificada (cuadro de lista emergente o cuadro combinado) y borra el cuadro de texto (cuadro de edición o cuadro combinado).

Nota Este método fallará si se aplica a un control de barra de comandos integrado.

expresión.Clear

expresión Requerida. Expresión que devuelve un objeto CommandBarComboBox.

Ejemplo

Este ejemplo comprueba el número de elementos del control de cuadro combinado en la barra de comandos "Custom". Si hay menos de tres elementos en la lista del cuadro combinado, el ejemplo la borra, agrega un nuevo primer elemento a la lista y, a continuación, muestra el nuevo elemento como predeterminado para el control de cuadro combinado.

Set myBar = CommandBars("Custom Bar")
Set myControl = myBar.Controls _
    Type:=msoControlComboBox)
With myControl
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
End With
If myControl.ListCount < 3 Then
    myControl.Clear
    myControl.AddItem Text:="New Item", Index:=1
End If


Método ClearFileList

Borra la lista de archivos del Asistente para Ayuda actual, incluida la lista predeterminada de archivos para la aplicación host de Microsoft Office.

expresión.ClearFileList

expresión Expresión que devuelve un objeto AnswerWizard.

Comentarios

Utilice este método para quitar todas las entradas de la lista de archivos actual relativa a la aplicación especificada. También puede utilizarlo para asegurarse de que los usuarios no pueden obtener acceso a ninguno de los archivos predeterminados AnswerWizard de la aplicación host. A continuación, puede crear una lista personalizada de archivos utilizando el método Add de la colección AnswerWizardFiles.

Para restablecer el conjunto predeterminado de archivos AnswerWizard de la aplicación host, utilice el método ResetFileList.

Ejemplo

Este ejemplo prepara el Asistente para Ayuda para que acepte una lista de archivos personalizados y, a continuación, añade dos archivos personalizados. En primer lugar, el ejemplo borra la lista de archivos y, a continuación, añade dos archivos personalizados del Asistente para Ayuda y comprueba el número de archivos para asegurarse de que los archivos se han añadido correctamente.

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

If customAnswerWizard.Files.Count = 2 Then
    MsgBox "Files " & customAnswerWizard.Files.Item(1) & _
    " and " & customAnswerWizard.Files(2) & _
    " were added sucessfully."
End If


Método Close

Cierra el globo no modal activo. Debe utilizar este método sólo en procedimientos de devolución de llamada.

expresión.Close

expresión Requerida. Expresión que devuelve un objeto Balloon.

Ejemplo

Este ejemplo muestra un globo que contiene un botón por cada tres impresoras. Siempre que el usuario haga clic en uno de esos tres botones, el procedimiento de devolución de llamada ProcessPrinter se ejecuta y el globo se cierra.

Sub selectPrinter()
Set bln = Assistant.NewBalloon
With bln
    .Heading = "Select a Printer."
    .Labels(1).Text = "Network Printer"
    .Labels(2).Text = "Local Printer"
    .Labels(3).Text = "Local Color Printer"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With
End Sub

Sub ProcessPrinter(bln As Balloon, lbtn As Long, _
 lPriv As Long)
    Assistant.Animation = msoAnimationPrinting
    Select Case lbtn
    Case -1
        ' Insert network printer-specific code.
    Case -2
        ' Insert local printer-specific code.
    Case -3
        ' Insert color printer-specific code.
    End Select
    bln.Close
End Sub


Método Commit

Guarda todos los cambios de la colección SignatureSet especificada en disco. Los cambios de la colección SignatureSet no se guardarán hasta que el método Commit se ejecute.

expresión.Commit

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

En el ejemplo siguiente se solicita al usuario que seleccione una firma digital para firmar el documento activo de Microsoft Word. Para utilizar este ejemplo, abra un documento en Word y ejecute esta función. La función realizará la comprobación para asegurarse de que la firma digital que el usuario selecciona no caduca antes de los 12 meses. Si caduca, no se adjuntará el certificado.

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Método Copy

Copia el control de barra de comandos especificado en una barra de comandos existente.

expresión.Copy(Bar, Before)

expresión Requerida. Expresión que devuelve un objeto CommandBarControl, CommandBarButton, CommandBarPopup o CommandBarComboBox.

Bar Variant opcional. Un objeto CommandBar que representa la barra de comandos de destino. Si se omite este argumento, el control se copia en la misma barra de comandos, es decir, la barra de comandos en la que ya estaba ubicada.

Before Variant opcional. Número que indica la posición del nuevo control en la barra de comandos especificada. El nuevo control se inserta delante del control ubicado en esta posición. Si se omite este argumento, el control se copia al final de la barra de comandos.

Ejemplo

Este ejemplo copia el primer control de la barra de comandos denominada "Standard" en la barra de comandos "Custom" y lo coloca en primer lugar.

Set myCustomBar = CommandBars("Custom")
Set myControl = CommandBars("Standard").Controls(1)
With myControl
    .Copy Bar:=myCustomBar, Before:=1
    .SetFocus
End With


Método CopyFace

Copia en el Portapapeles la imagen del control de botón de la barra de comandos especificada.

expresión.CopyFace

expresión Requerida. Expresión que devuelve un objeto CommandBarButton.

Comentarios

Utilice el método PasteFace para pegar el contenido del Portapapeles en una imagen de botón.

Ejemplo

Este ejemplo busca el botón Abrir integrado, copia su imagen en el Portapapeles y, a continuación, pega la imagen en el botón Ortografía y gramática.

Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=23)
myControl.CopyFace
Set myControl = CommandBars.FindControl(Type:=msoControlButton, ID:=2)
myControl.PasteFace


Método Delete

Método Delete cuando se aplica al objeto DocumentProperty.

Elimina una propiedad de documento personalizada.

expresión.Delete

expresión Requerida. Expresión que devuelve uno de los objetos anteriores.

Comentarios

No es posible eliminar una propiedad de documento integrada.

Método Delete cuando se aplica al objeto AnswerWizardFiles.

Elimina el objeto especificado de la colección que lo contiene.

expresión.Delete(FileName)

expresión Requerida. Expresión que devuelve uno de los objetos anteriores.

Filename String requerida. El nombre del archivo que se va a eliminar, incluyendo la ruta de acceso completa, el nombre del archivo y la extensión.

Método Delete cuando se aplica al objeto FileDialogFilters.

Elimina un filtro de diálogos de archivos.

expresión.Delete(filter)

expresión Requerida. Expresión que devuelve uno de los objetos anteriores.

filter Variant opcional. El filtro que se eliminará.

Método Delete cuando se aplica al objeto ODSOFilters.

Elimina un filtro de objetos de la colección ODSOFilters.

expresión.Delete(Index, DeferUpdate)

expresión Requerida. Expresión que devuelve uno de los objetos anteriores.

Index Long requerido. El número del filtro que se eliminará.

DeferUpdate Boolean opcional.

Método Delete cuando se aplica a los objetos CommandBar, Script, Scripts y Signature.

Elimina el objeto especificado de la colección.

expresión.Delete

expresión Requerida. Expresión que devuelve uno de los objetos anteriores.

Comentarios

En la colección Scripts, al utilizar el método Delete se quitan todas las secuencia de comandos del documento de Word especificado, de la hoja de cálculo de Excel o de la diapositiva de PowerPoint. Un delimitador de una secuencia de comandos está representado por una forma en la aplicación host. Por consiguiente, el objeto Shape asociado a cada delimitador de secuencia de comandos del tipo msoScriptAnchor, se elimina desde la colección Shapes en Excel y PowerPoint, y desde las colecciones InlineShapes y Shapes en Word.

Método Delete cuando se aplica a los objetos CommandBarButton, CommandBarComboBox, CommandBarControl y CommandBarPopup.

Elimina el objeto especificado de la colección que lo contiene.

expresión.Delete(Temporary)

expresión Requerida. Expresión que devuelve uno de los objetos anteriores.

Temporary Variant opcional. True para eliminar el control en la sesión actual. La aplicación mostrará de nuevo el control en la siguiente sesión.

Ejemplo

Cuando se aplica al objeto CommandBar.

Este ejemplo elimina todas las barras de comandos personalizadas no visibles.

foundFlag = False
delBars = 0
For Each bar In CommandBars
    If (bar.BuiltIn = False) And _
    (bar.Visible = False) Then
        bar.Delete
        foundFlag = True
        delBars = delBars + 1
    End If
Next bar
If Not foundFlag Then
    MsgBox "No command bars have been deleted."
Else
    MsgBox delBars & " custom bar(s) deleted."
End If

Cuando se aplica al objeto DocumentProperty.

Este ejemplo elimina una propiedad de documento personalizada. Debe pasarse el objeto DocumentProperty personalizado al procedimiento.

ActiveDocument.CustomDocumentProperties("CustomNumber").Delete


Método DoAlert

Muestra una alerta y devuelve un valor Long que indica qué botón ha presionado el usuario. Puede mostrar la alerta mediante el Ayudante de Microsoft Office o como un cuadro de mensaje normal.

expresión.DoAlert(bstrAlertTitle, bstrAlertText, alb, alc, ald, alq, varfSysAlert)

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

bstrAlertTitle String requerida. Establece el título de la alerta.

bstrAlertText String requerida. Establece el texto de la alerta.

alb MsoAlertButtonType requerido. Determina qué botones se mostrarán en la alerta.

MsoAlertButtonType puede ser una de estas constantes de MsoAlertButtonType.
msoAlertButtonAbortRetryIgnore
msoAlertButtonOK
msoAlertButtonOKCancel
msoAlertButtonRetryCancel
msoAlertButtonYesAllNoCancel Utilícelo sólo si el argumento varfSysAlert está establecido a False.
msoAlertButtonYesNo
msoAlertButtonYesNoCancel

alc MsoAlertIconType requerido. Determina el icono que aparece en la alerta.

MsoAlertIconType puede ser una de estas constantes de MsoAlertIconType.
msoAlertIconCritical
msoAlertIconInfo
msoAlertIconNoIcon
msoAlertIconQuery
msoAlertIconWarning

ald MsoAlertDefaultType requerido. Determina qué botón está establecido como el predeterminado de la alerta. Si este argumento está establecido a un valor superior al número de botones, devolverá un error.

MsoAlertDefaultType puede ser una de estas constantes de MsoAlertDefaultType.
msoAlertDefaultFifth
msoAlertDefaultFirst
msoAlertDefaultFourth
msoAlertDefaultSecond
msoAlertDefaultThird

alq MsoAlertCancelType requerido. Se debe establecer siempre a msoAlertCancelDefault. Cualquier otra configuración puede devolver un error.

MsoAlertCancelType puede ser una de estas constantes de MsoAlertCancelType.
msoAlertCancelDefault
msoAlertCancelFifth
msoAlertCancelFirst
msoAlertCancelFourth
msoAlertCancelSecond
msoAlertCancelThird

varfSysAlert Boolean requerido. True si la alerta se muestra en un cuadro de mensaje o False si se muestra en el Ayudante de Office.

Comentarios

Los valores devueltos del método DoAlert corresponden a los valores del tipo vbMsgBoxResult enumerado (por ejemplo, vbYes, vbNo o vbCancel). Además de estos valores, también se pueden devolver los siguientes:

  • "Yes to all" = 8
  • "Try again" = 10
  • "Continue" = 11

Ejemplo

El ejemplo siguiente muestra una alerta mediante el Ayudante de Office y un cuadro de mensaje que indica qué botón ha presionado el usuario. Si el ayudante está deshabilitado, la alerta se mostrará en un cuadro de mensaje normal.

Sub AssistantAlert()
    With Application.Assistant
        Select Case _
            .DoAlert( _
            "Test", _
            "Click a button.", _
            msoAlertButtonYesAllNoCancel, _
            msoAlertIconCritical, _
            msoAlertDefaultSecond, _
            msoAlertCancelFirst, _
            False)

            Case vbYes: MsgBox "The user clicked Yes."
            Case vbNo: MsgBox "The user clicked No."
            Case vbCancel: MsgBox "The user clicked Cancel."
            Case 8: MsgBox "The user clicked Yes To All" 'This is the return value for YesToAll
            Case Else
        End Select
    End With
End Sub


Método EndWizard

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Cierra la ventana del Ayudante de Office y suelta la variable que identifica de manera única la sesión del Asistente.

Nota Debe utilizar este método sólo para completar el proceso iniciado con el método StartWizard.

expresión.EndWizard(WizardID, varfSuccess, Animation)

expresión Requerida. Expresión que devuelve un objeto Assistant.

WizardID Long requerido. Número único que identifica la sesión del Asistente para el Ayudante de Office, devuelto por el método StartWizard.

varfSuccess Boolean requerido. Al volver el método, este argumento es True si el usuario finalizó correctamente el Asistente.

Animation Variant opcional. La animación del Ayudante de Office se realiza si varfSuccess se establece en True. El valor predeterminado es msoAnimationCharacterSuccessMajor.

Ejemplo

Este ejemplo cierra una sesión del Asistente para el Ayudante de Office que el usuario haya finalizado correctamente. La variable IHelpForWiz se ha establecido en el valor devuelto por el método StartWizard.

Assistant.EndWizard WizardId:=lHelpForWiz, _
    varfSuccess:=True, Animation:=msoAnimationGoodbye


Método Execute

Método Execute cuando se aplica al objeto FileSearch.

Comienza la búsqueda de los archivos especificados. Devuelve un valor Long; cero (0) si no se ha encontrado ningún archivo o un número positivo si ha encontrado uno o varios archivos.

expresión.Execute(SortBy, SortOrder, AlwaysAccurate)

expresión Requerida. Expresión que devuelve un objeto FileSearch.

SortBy MsoSortBy opcional. Método utilizado para clasificar los archivos devueltos.

MsoSortBy puede ser una de estas constantes de MsoSortBy.
msoSortByFileName predeterminado
msoSortByFileType
msoSortByLastModified
msoSortByNone
msoSortBySize

SortOrder MsoSortOrder opcional. Orden en que se clasifican los archivos devueltos.

MsoSortOrder puede ser una de estas constantes de MsoSortOrder.
msoSortOrderAscending predeterminado
msoSortOrderDescending

AlwaysAccurate Boolean opcional. True para que la búsqueda incluya archivos que hayan sido agregados, modificados o eliminados desde que se actualizó por última vez el índice. El valor predeterminado es True.

Método Execute cuando se aplica a los objetos CommandBarButton, CommandBarComboBox, CommandBarControl, CommandBarPopupy FileDialog.

Para los objetos de la barra de comandos, ejecuta el procedimiento o comando integrado asignado al control de barra de comandos especificado. Para controles personalizados, utilice la propiedad OnAction para especificar el procedimiento que desea ejecutar.

Para objetos FileDialog de tipo msoFileDialogOpen o msoFileDialogSaveAs, lleva a cabo la acción del usuario justo después de llamar al método Show.

expresión.Execute

expresión Requerida. Expresión que devuelve uno de los objetos anteriores.

Ejemplo

Cuando se aplica al objeto FileSearch.

Este ejemplo busca todos los archivos en la carpeta My Documents que terminan con la extensión de archivo ".doc" y, a continuación, muestra la ubicación y el nombre de cada archivo encontrado. El ejemplo ordena también la lista de los nombres de archivos devueltos en orden alfabético ascendente.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "*.doc"
    If .Execute(SortBy:=msoSortbyFileName, _
            SortOrder:=msoSortOrderAscending) > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With

Cuando se aplica a los objetos CommandBarButton, CommandBarComboBox, CommandBarControl y CommandBarPopup.

Este ejemplo de Microsoft Excel crea una barra de comandos y después agrega un control de botón de barra de comandos integrado a esa barra. El botón ejecuta la función de Excel Autosuma. Este ejemplo utiliza el método Execute para sumar el rango de celdas seleccionado cuando aparece la barra de comandos.

Dim cbrCustBar As CommandBar
Dim ctlAutoSum As CommandBarButton
Set cbrCustBar = CommandBars.Add("Custom")
Set ctlAutoSum = cbrCustBar.Controls _
    .Add(msoControlButton, CommandBars("Standard") _
    .Controls("AutoSum").Id)
cbrCustBar.Visible = True
ctlAutoSum.Execute


Método FindControl

Devuelve un objeto CommandBarControl que cumple los criterios especificados.

expresión.FindControl(Type, Id, Tag, Visible, Recursive)

expresión Requerida. Expresión que devuelve un objeto CommandBars.

Type MsoControlType opcional. Tipo de control.

MsoControlType puede ser una de estas constantes de MsoControlType.
msoControlActiveX
msoControlCustom
msoControlButton
msoControlEdit
msoControlDropdown
msoControlComboBox
msoControlButtonDropdown
msoControlSplitDropdown
msoControlGenericDropdown
msoControlGraphicCombo
msoControlSplitButtonMRUPopup
msoControlSplitExpandingGrid
msoControlGraphicDropdown
msoControlPopup
msoControlGraphicPopup
msoControlButtonPopup
msoControlGauge
msoControlLabel
msoControlExpandingGrid
msoControlGrid
msoControlOCXDropDown
msoControlSplitButtonPopup
msoControlPane

Id Variant opcional. Identificador del control que se va a buscar.

Tag Variant opcional. El valor de rótulo del control que se va a buscar.

Visible Variant opcional. True para incluir sólo controles de barra de comandos visibles en la búsqueda. El valor predeterminado es False. Las barras de comandos visibles incluyen todas las barras de herramientas visibles y cualquier menú que se abra a la vez que se ejecuta el método FindControl.

Recursive Boolean opcional. True para incluir en la búsqueda la barra de comandos y todas las subbarras de herramientas emergentes. Este argumento sólo se aplica al objeto CommandBar. El valor predeterminado es False.

Comentarios

Si la colección CommandBars contiene dos o más controles que cumplen los criterios de búsqueda, FindControl devuelve el primer control encontrado. Si no se encuentra ningún control que cumpla los criterios, FindControl devuelve Nothing.

Ejemplo

Este ejemplo encuentra el primer control de la barra de comandos denominada "Custom". Si el control es un botón, el ejemplo utiliza el método FindControl para buscar el botón Copy (en la barra de herramientas Standard) y, a continuación, copiar la imagen del botón Copy y pegarla en el control.

Set oldCtrl = CommandBars("Custom").Controls(1)
If oldCtrl.Type = 1 Then
    Set newCtrl = CommandBars.FindControl(Type:= _
        MsoControlButton, ID:= _
        CommandBars("Standard").Controls("Copy").ID)
    NewCtrl.CopyFace
    OldCtrl.PasteFace
End If


Método FindControls

Devuelve la colección CommandBarControls que cumple los criterios especificados.

expresión.FindControls(Type, Id, Tag, Visible)

expresión Requerida. Expresión que devuelve una colección CommandBarControls.

Type MsoControlType opcional. Tipo de control.

MsoControlType puede ser una de estas constantes de MsoControlType.
msoControlActiveX
msoControlCustom
msoControlButton
msoControlEdit
msoControlDropdown
msoControlComboBox
msoControlButtonDropdown
msoControlSplitDropdown
msoControlGenericDropdown
msoControlGraphicCombo
msoControlSplitButtonMRUPopup
msoControlSplitExpandingGrid
msoControlGraphicDropdown
msoControlPopup
msoControlGraphicPopup
msoControlButtonPopup
msoControlGauge
msoControlLabel
msoControlExpandingGrid
msoControlGrid
msoControlOCXDropDown
msoControlSplitButtonPopup
msoControlPane
Id Variant opcional. Identificador del control que se va a buscar.

Tag Variant opcional. El valor del rótulo de control que se va a buscar.

Visible Variant opcional. True para incluir sólo controles de barra de comandos visibles en la búsqueda. El valor predeterminado es False.

Comentarios

Si no se encuentra ningún control que cumpla los criterios, el método FindControls devuelve Nothing.

Ejemplo

Este ejemplo utiliza el método FindControls para devolver todos los miembros de la colección CommandBars que tengan un Id. igual a 18 y muestra en un cuadro de mensaje el número de controles que cumplen los criterios de búsqueda.

Dim myControls As CommandBarControls
Set myControls = CommandBars.FindControls(Type:=msoControlButton, ID:=18)
MsgBox "There are " & myControls.Count & _
    " controls that meet the search criteria."


Método Help

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Muestra el Ayudante de Office y el globo integrado del Ayudante "¿Qué desea hacer?" de la Ayuda en pantalla estándar de Office.

expresión.Help

expresión Requerida. Expresión que devuelve un objeto Assistant.

Ejemplo

El ejemplo muestra el globo integrado del Ayudante que le pregunta qué más desea hacer cuando el usuario activa la casilla de verificación "I need more information" (Se requiere más información).

Set b = Assistant.NewBalloon
With b
    .Heading = "User Information"
    .Text = "Select your skill level"
    .CheckBoxes(1).Text = "Beginner."
    .CheckBoxes(2).Text = "Advanced."
    .CheckBoxes(3).Text = "I need more information."
    .Show
End With
If b.CheckBoxes(3).Checked = True Then
    Assistant.Help
End If


Método Item

Método Item cuando se aplica al objeto COMAddIns.

Devuelve un miembro de la colección COMAddIns especificada.

expresión.Item(Index)

expresión Requerida. La colección COMAddIns especificada.

Index Variant requerido. Puede utilizar un valor ordinal que devuelva el complemento COM a dicha posición en la colección COMAddIns, o bien, un valor String que represente el ProgID del complemento COM especificado.

Método Item cuando se aplica al objeto FileDialogFilters.

Devuelve un objeto FileDialogFilter que es miembro de la colección FileDialogFilters especificada.

expresión.Item(Index)

expresión Requerida. Expresión que devuelve uno de los objetos anteriores.

Index Long requerido. Número de índice del objeto FileDialogFilter que se va a devolver.

Método Item cuando se aplica al objeto HTMLProjectItems.

Devuelve el objeto HTMLProjectItem que representa un proyecto específico en el Editor de secuencia de comandos de Microsoft.

expresión.Item(Index)

expresión Requerida. Una colección HTMLProjectItems.

Index Variant requerido. Nombre o número de índice del elemento del proyecto HTML que debe devolverse.

Método Item cuando se aplica al objeto Scripts.

Devuelve un miembro de la colección Scripts. Acepta el número de índice o el ID de la secuencia de comandos que desea que devuelva la aplicación de Microsoft Office. El método Item acepta un valor Variant que puede aceptar un número ordinal (valor índice), el cual devuelve la secuencia de comandos almacenada en dicha posición en la colección Scriptso puede aceptar un valor String que represente el nombre o el ID de la secuencia de comandos.

expresión.Item(Index)

expresión Requerida. Expresión que devuelve un objeto Scripts.

Index Variant requerido. El ID o el número de índice de la secuencia de comandos que debe devolverse.

Comentarios

La colección Scripts contiene todas las secuencias de comandos de un documento concreto en el orden original (el orden en el que los objetos Script aparecen en el archivo de origen). Las secuencias de comandos se mantienen en el orden original independientemente de su ubicación en el documento, es decir, sin tener en cuenta si están en el encabezado o en el texto independiente.

Puede utilizar el método Item para obtener acceso a una secuencia de comandos de la colección Scripts mediante el ID de la etiqueta <SCRIPT>. El atributo ID de la etiqueta <SCRIPT> es idéntico a la propiedad Id del objeto Script. Si hay ID duplicados o múltiples en el documento y utiliza la propiedad Id de un objeto Script para obtener acceso a una secuencia de comandos mediante el método Item, Office devolverá la primera secuencia de comandos que coincida con el ID; se omitirán las demás secuencias de comandos con el mismo ID.

Los nuevos delimitadores de secuencia de comandos que se agreguen a la colección se incluirán al final de la colección Scripts en el orden en el que se agregaron al documento. Los delimitadores de secuencia de comandos permanecerán en este orden hasta que el documento se guarde como HTML, se cierre y se vuelva a abrir en la aplicación host. Si sigue estos pasos, la colección Scripts se indizará en el orden en el que los delimitadores de secuencia de comandos aparecen en el documento, lo que puede diferir del orden en el que se agregaron. Por lo tanto, es conveniente que utilice la propiedad Id del objeto Script en lugar de la posición de la secuencia de comandos en la colección, pues de este modo, se asegurará de que identifica la secuencia de comandos con seguridad.

Método Item cuando se aplica al objeto FileDialogSelectedItems.

Devuelve un valor String que corresponde a la ruta de acceso a uno de los archivos que el usuario ha seleccionado en un cuadro de diálogo de archivos mostrado mediante el método Show del objeto FileDialog. La colección FileDialogSelectedItems es una colección de cadenas.

expresión.Item(Index)

expresión Requerida. Expresión que devuelve uno de los objetos anteriores.

Index Long requerido. Número de índice de la cadena que se va a devolver.


Método LoadFromFile

Actualiza el texto en el Editor de secuencias de comandos de Microsoft con texto del archivo especificado (en el disco).

expresión.LoadFromFile(Filename)

expresión Un objeto HTMLProjectItem.

Filename String requerida. La ruta completa del archivo de texto que contiene el texto que debe cargarse.

Ejemplo

Este ejemplo determina si el elemento HTML especificado está abierto; si el elemento está abierto, el ejemplo cargará la secuencia de comandos desde el archivo especificado.

If ActiveWorkbook.HTMLProject.HTMLProjectItems _
    .Item(1).IsOpen Then
    ActiveWorkbook.HTMLProject.HTMLProjectItems _
        .Item(1).LoadFromFile ("C:\MyScript.txt")
Else
    MsgBox "The HTMLProjectItem is not open."
End If


Método Move

Puede que algunas partes de este tema no sean aplicables a algunos idiomas.

Método Move cuando se aplica a los objetos CommandBarButton, CommandBarComboBox, CommandBarControl y CommandBarPopup.

Mueve el control de la barra de comandos especificado a una barra de comandos existente.

expresión.Move(Bar, Before)

expresión Requerida. Expresión que devuelve uno de los objetos anteriores.

Bar Variant opcional. Objeto CommandBar que representa la barra de comandos de destino del control. Si se omite este argumento, el control se mueve al final de la barra de comandos en que se encuentra actualmente.

Before Variant opcional. Número que indica la posición del control. El control se inserta antes del control que ocupa actualmente esta posición. Si se omite este argumento, el control se inserta en la misma barra de comandos.

Método Move cuando se aplica al objeto Assistant.

Mueve el Ayudante de Office a la ubicación especificada.

expresión.Move(xLeft, yTop)

expresión Requerida. Expresión que devuelve un objeto Assistant.

xLeft Integer Requerido. Posición izquierda, en puntos, de la ventana del Ayudante de Office.

yTop Integer Requerido. Posición superior, en puntos, de la ventana del Ayudante de Office.

Ejemplo

Método Move cuando se aplica a los objetos CommandBarButton, CommandBarComboBox, CommandBarControl, y CommandBarPopup.

Este ejemplo mueve el primer control de cuadro combinado desde la barra de comandos personalizada denominada Custom a la posición anterior al séptimo control de dicha barra. El ejemplo establece la etiqueta "Selection box" y asigna una prioridad baja al control para que se elimine de la barra de comandos si no se ajustan todos los controles a una fila.

Set allcontrols = CommandBars("Custom").Controls
For Each ctrl In allControls
    If ctrl.Type = msoControlComboBox Then
        With ctrl
            .Move Before:=7
             .Tag = "Selection box"
             .Priority = 5
         End With
         Exit For
    End If
Next

Método Move cuando se aplica al objeto Assistant.

Este ejemplo muestra el Ayudante de Office en la ubicación especificada y establece varias opciones antes de mostrarlo.

With Assistant
    .Reduced = True
    .Move xLeft:= 400, yTop:= 300
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Visible = True
    .Animation = msoAnimationGreeting
End With


Método NewSearch

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Restablece los valores predeterminados de todos los criterios de búsqueda.

expresión.NewSearch

expresión Requerida. Expresión que devuelve un objeto FileSearch.

Comentarios

Los valores de los criterios de búsqueda se mantienen durante una sesión de la aplicación. Utilice este método cada vez que cambie los criterios de búsqueda. Este método no restablece el valor de la propiedad LookIn.

Ejemplo

Este ejemplo utiliza el método NewSearch para restablecer los criterios de búsqueda predeterminados antes de comenzar una nueva búsqueda.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .FileName = "run"
    .TextOrProperty = "San*"
    .MatchAllWordForms = True
    .FileType = msoFileTypeAllFiles
    If .Execute() > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
        " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Método Open

Abre el proyecto HTML especificado o el elemento del proyecto HTML en el Editor de secuencias de comandos de Microsoft en una de las vistas que especifican las constantes opcionales MsoHTMLProjectOpen que figuran a continuación. Si no se especifica una de las constantes, el elemento del proyecto se abrirá en la vista predeterminada.

expresión.Open(OpenKind)

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

OpenKind MsoHTMLProjectOpen opcional. Vista en la que se abre el proyecto o el elemento de proyecto especificado.

MsoHTMLProjectOpen puede ser una de estas constantes de MsoHTMLProjectOpen.
msoHTMLProjectOpenSourceView
msoHTMLProjectOpenTextView

Comentarios

La vista predeterminada se establece en función de si está abierto o no el Editor de secuencias de comandos de Microsoft cuando se ejecuta el método Open. Si el Editor de secuencias de comandos no está abierto, el método Open iniciará el Editor de secuencias de comandos en la vista original. Si el Editor de secuencias de comandos ya está abierto, el método Open activará el Editor de secuencias de comandos y mostrará la secuencia de comandos en la vista actual.

Ejemplo

Este ejemplo abre el proyecto HTML en el libro activo en la vista original.

AppActiveWorkbook.HTMLProject.Open _
    (msoHTMLProjectOpenSourceView)

Este ejemplo abre el primer elemento del proyecto HTML del libro activo en vista de texto.

ActiveWorkbook.HTMLProject.HTMLProjectItems _
    Item(1).Open (msoHTMLProjectOpenTextView)


Método PasteFace

Pega el contenido del Portapapeles en el control de botón de la barra de comandos especificada.

expresión.PasteFace

expresión Requerida. Expresión que devuelve un objeto CommandBarButton.

Ejemplo

Este ejemplo busca el botón integrado FileOpen y pega la imagen desde el botón Ortografía y gramática en él desde el Portapapeles.

Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=2)
myControl.CopyFace
Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=23)
myControl.PasteFace


Método RefreshDocument

Actualiza el proyecto HTML en la aplicación host de Microsoft Office.

expresión.RefreshDocument(Refresh)

expresión Expresión que devuelve un objeto HTMLProject.

Refresh Boolean requerido. True si deben guardarse todos los cambios; False si deben omitirse todos los cambios.

Comentarios

La utilización de este método es equivalente a hacer clic en el botón Actualizar de la barra de herramientas Actualizar en la aplicación host de Office. Si actualiza el documento estableciendo el método RefreshDocument en True, todos los cambios realizados en el código HTML con el Editor de secuencias de comandos se guardarán en la aplicación host de Office. Si establece RefreshDocument en False, se pasarán por alto todos los cambios realizados en el código HTML. Tenga en cuenta que el valor devuelto por el método State se ve afectado por el método RefreshDocument. Si activa RefreshDocument (True), el método State devolverá msoHTMLProjectStateDocumentProjectUnlocked si se activa después de la operación de actualización.

Ejemplo

Este ejemplo actualiza el proyecto HTML del libro activo en la aplicación host.

ActiveWorkbook.HTMLProject.RefreshDocument (True)


Método RefreshProject

Actualiza el proyecto HTML especificado en el Editor de secuencias de comandos de Microsoft.

expresión.RefreshProject

expresión Expresión que devuelve un objeto HTMLProject.

Comentarios

La utilización de este método es equivalente a hacer clic en el botón Actualizar de la barra de herramientas Actualizar del Editor de secuencias de comandos de Microsoft. Si actualiza el documento estableciendo RefreshDocument en True, todos los cambios efectuados en el código HTML en la aplicación host de Office se guardarán en el proyecto HTML en el Editor de secuencias de comandos de Microsoft. Si establece RefreshDocument en False, se pasarán por alto todos los cambios realizados en el código HTML.

Ejemplo

Este ejemplo actualiza el proyecto HTML en el Editor de secuencias de comandos de Microsoft.

ActiveWorkbook.HTMLProject.RefreshProject (True)


Método RefreshScopes

Actualiza la lista de objetos ScopeFolder disponibles actualmente.

expresión.RefreshScopes

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

El ejemplo siguiente muestra todos los objetos ScopeFolder disponibles actualmente en la unidad C:\ del ámbito de Mi PC.

Sub TestRefreshScopesMethod()
' Displays what happens before and after the RefreshScopes
' method is called when a new folder is added to the list
' of scope folders.

    ' List before the folder is created.
    Call ListFolderNames

    ' Create a new folder on the C:\ drive in My Computer.
    ' An error will occur if this folder already exists.
    MkDir Path:="C:\Delete_After_Using"

    ' List after the folder is created.
    Call ListFolderNames

    ' Refresh the list of folders.
    Application.FileSearch.RefreshScopes

    ' The newly-created folder now appears in the list.
    Call ListFolderNames

End Sub

Sub ListFolderNames()

    Dim strResults As String

    ' Loop through all the folder names on the C:\ drive
    ' in My Computer and report the results.
    ' .SearchScopes.Item(1) = "My Computer"
    ' .ScopeFolders.Item(2) = "C:\"
    With Application.FileSearch.SearchScopes.Item(1). _
        ScopeFolder.ScopeFolders.Item(2)

        For i = 1 To .ScopeFolders.Count
            strResults = strResults & .ScopeFolders. _
                Item(i).Name & vbCrLf
        Next i

        MsgBox "Folder Names on C:\...." & vbCrLf & strResults

    End With

End Sub


Método ReleaseFocus

Libera el foco de la interfaz de usuario de todas las barras de comandos.

expresión.ReleaseFocus

expresión Requerida. Expresión que devuelve un objeto CommandBars.

Ejemplo

Este ejemplo agrega tres botones en blanco a la barra de comandos denominada "Custom" y establece el foco en el centro del botón. A continuación, el botón espera cinco segundos antes de liberar el foco de la interfaz de usuario desde todas las barras de comandos.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton
    .Controls.Add Type:=msoControlButton
    .Controls.Add Type:=msoControlButton
    .Visible = True
End With
Set myControl = CommandBars("Custom").Controls(2)
With myControl
    .SetFocus
End With
PauseTime = 5   ' Set duration.
    Start = Timer   ' Set start time.
    Do While Timer < Start + PauseTime
        DoEvents    ' Yield to other processes.
    Loop
    Finish = Timer
CommandBars.ReleaseFocus


Método Remove

Método Remove cuando se aplica al objeto NewFile.

Quita un elemento del panel de tareas Nuevo elemento. Devuelve un valor Boolean.

expresión.Remove(FileName, Section, DisplayName, Action)

expresión Requerida. Expresión que devuelve un objeto NewFile.

Filename String requerida. Nombre de la referencia a archivo.

Section Variant opcional. La sección del panel de tareas en que se encuentra la referencia a archivo. Puede ser cualquier constante msoFileNewSection.

DisplayName Variant opcional. Texto de la referencia a archivo.

Action Variant opcional. La acción que se ejecuta cuando el usuario hace clic en el elemento. Puede ser cualquier constante msoFileNewSection.

Método Remove cuando se aplica a los objetos FileTypes, PropertyTests y SearchFolders.

Quita el objeto especificado de la colección.

expresión.Remove(Index)

expresión Requerida. Expresión que devuelve uno de los objetos anteriores.

Index Long requerido. Número de índice de la prueba de propiedad que se va a eliminar.

Ejemplo

Cuando se aplica a los objetos FileTypes, PropertyTests y SearchFolders.

Este ejemplo elimina el primer criterio de búsqueda de la colección.

Application.FileSearch.PropertyTests.Remove(1)

Cuando se aplica al objeto NewFile.

Este ejemplo quita el elemento especificado del panel de tareas NewDocument de Word.

Sub RemoveDocFromTaskPane()
    Application.NewDocument.Remove FileName:="C:\Newfile.doc", _
            Section:=msoNewfromTemplate, DisplayName:="NewFile"
    CommandBars("Task Pane").Visible = True
End Sub


Método RemoveItem

Elimina un elemento de lista del control de cuadro combinado de la barra de comandos especificada.

Nota Esta propiedad falla cuando se aplica a controles que no sean controles de lista.

expresión.RemoveItem(Index)

expresión Requerida. Expresión que devuelve un objeto CommandBarComboBox.

Index Long requerido. Elemento que se va a eliminar de la lista.

Ejemplo

Este ejemplo determina si hay más de tres elementos en el cuadro combinado especificado. Si hay más de tres elementos, el ejemplo quita el segundo elemento, altera el estilo para que no muestre el rótulo del cuadro combinado y establece un nuevo valor. También establece la propiedad Tag del objeto maestro, objeto CommandBarControl, para que muestre que la lista ha cambiado.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
End With
Set myControl = myBar.Controls(1)
With myControl
    If .ListCount > 3 Then
        .RemoveItem 2
        .Style = msoComboNormal
        .Text = "New Default"
         Set ctrl = .Parent
    End If
End With


Método Reset

Restablece la barra de comandos integrada especificada a su configuración predeterminada o restablece el control de barra de comandos a su función e imagen predeterminadas.

expresión.Reset

expresión Requerida. Expresión que devuelve un objeto CommandBar, CommandBarControl, CommandBarButton, CommandBarPopup o CommandBarComboBox.

Comentarios

Al restablecer un control integrado se restablecen sus acciones originales y todas las propiedades a su estado original. Al restablecer una barra de comandos integrada se eliminan los controles personalizados y se restablecen los controles integrados.

Ejemplo

Este ejemplo utiliza el valor de user para ajustar las barras de comando de acuerdo con el nivel de usuario. Si user es "Level 1," se muestra la barra de comandos denominada "Custom". Si user es cualquier otro valor, la barra de comandos integrada de Visual Basic se restablece a su estado predeterminado y se deshabilita la barra de comandos denominada "Custom".

Set myBar = CommandBars("Custom")
If user = "Level 1" Then
    myBar.Visible = True
Else
    CommandBars("Visual Basic").Reset
    myBar.Enabled = False
End If


Método ResetFileList

Restablece la lista de archivos del Asistente para Ayuda actual a la lista de archivos de la aplicación host de Microsoft Office.

expresión.ResetFileList

expresión Expresión que devuelve un objeto AnswerWizard.

Comentarios

Utilice este método para restablecer todas las entradas de la lista actual de archivos del Asistente para Ayuda a la lista del registro de Windows de la aplicación host. Puede establecer una lista de archivos predeterminada añadiendo los nombres de los archivos personalizados a la clave de registro adecuada.

Ejemplo

Este ejemplo restablece la lista de archivos del Asistente para Ayuda actual y, a continuación, muestra el número de archivos y los nombres de los archivos en un cuadro de mensaje.

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer
Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "There are " & customAnswerWizard.Files.Count & _
    " files avaialble through this AnswerWizard: " & _
    Chr(13) & strFileList


Método ResetTips

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Restablece las sugerencias de la aplicación que aparecerán en el globo del Ayudante de Office.

expresión.ResetTips

expresión Requerida. Expresión que devuelve un objeto Assistant.

Comentarios

El método ResetTips corresponde al botón Restablecer mis sugerencias de la ficha Opciones, en el cuadro de diálogo Ayudante de Office.

Ejemplo

Este ejemplo restablece las sugerencias de la aplicación antes de mostrar el Ayudante de Office. Aparecerá un globo de confirmación indicando al usuario que se han restablecido las sugerencias de la aplicación.

With Application.Assistant
    .On = True
    .Visible = True
    .Animation = msoAnimationGreeting
    .ResetTips
End With


Método SaveCopyAs

Guarda el proyecto HTML especificado con un nuevo nombre de archivo.

expresión.SaveCopyAs(Filename)

expresión Un objeto HTMLProjectItem.

Filename String requerida. Ruta completa del archivo en el que desea guardar el elemento del proyecto HTML.

Ejemplo

Este ejemplo guarda una copia del texto del elemento del proyecto HTML actual en el archivo NewScript.txt.

ActiveWorkbook.HTMLProject.HTMLProjectItems. _
    Item(1).SaveCopyAs("C:\NewScript.txt")


Método SetAvoidRectangle

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Evita que se muestre el globo del Ayudante de Office en un área específica de la pantalla.

expresión.SetAvoidRectangle(Left, Top, Right, Bottom)

expresión Requerida. Expresión que devuelve un objeto Assistant.

Left, Top, Right, Bottom Long requerido. Coordenadas, en puntos y con relación a la pantalla, del área de la pantalla donde no se mostrará el globo del Ayudante de Office.

Comentarios

Esta propiedad evita que el globo del Ayudante de Office se superponga a los cuadros de diálogo y Asistentes personalizados.

Ejemplo

Este ejemplo evita que el globo del Ayudante de Office representado por la variable myBalloon se muestre en el área de la pantalla definida por las coordenadas especificadas, medida en píxeles.

Set myBalloon = Assistant.NewBalloon
With myBalloon
    .SetAvoidRectangle 300, 250, 700, 500
    .Text = "Cannot display in coordinates " & _
        "300, 250, 700, 500."
    .Show
End With


Método SetFocus

Mueve el foco del teclado al control de barra de comandos especificado para poder recibir la entrada de teclado. El tipo de entrada de teclado que se puede dirigir al control depende del tipo de control de que se trate.

Comentarios

El foco sobre el control es imperceptible. Después de utilizar este método, notará un realce tridimensional en ese control. Para desplazarse por las barras de herramientas, presione las teclas de dirección, de la misma forma que si hubiera tenido acceso al control presionando sólo los controles del teclado.

expresión.SetFocus

expresión Requerida. Expresión que devuelve un objeto CommandBarControl, CommandBarButton, CommandBarPopup o CommandBarComboBox.

Ejemplo

Este ejemplo crea una barra de comandos denominada "Custom" y agrega los controles ComboBox y Button a esa barra. A continuación, el ejemplo utiliza el método SetFocus para establecer el foco en el control ComboBox.

Set focusBar = CommandBars.Add(Name:="Custom")
With CommandBars("Custom")
    .Visible = True
    .Position = msoBarTop
End With

Set testComboBox = CommandBars("Custom").Controls _
    .Add(Type:=msoControlComboBox, ID:=1)
With testComboBox
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
End With
Set testButton = CommandBars("Custom").Controls _
    .Add(Type:=msoControlButton)
testButton.FaceId = 17
' Set the focus to the combo box.
testComboBox.SetFocus


Método SetSortOrder

Establece el orden de clasificación de los datos de combinación de correspondencia.

expresión.SetSortOrder(SortField1, SortAscending1, SortField2, SortAscending2, SortField3, SortAscending3)

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

SortField1 String requerida. El primer campo en el que se clasifican los datos de combinación de correspondencia.

SortAscending1 Boolean opcional. True (predeterminado) para realizar una clasificación ascendente en SortField1; False para realizar una clasificación descendente.

SortField1 String requerida. El segundo campo en el que se clasifican los datos de combinación de correspondencia. El valor predeterminado es una cadena vacía.

SortAscending2 Boolean opcional. True (predeterminado) para realizar una clasificación ascendente en SortField2; False para realizar una clasificación descendente.

SortField3 String requerida. El tercer campo en el que se clasifican los datos de combinación de correspondencia. El valor predeterminado es una cadena vacía.

SortAscending3 Boolean opcional. True (predeterminado) para realizar una clasificación ascendente en SortField3; False para realizar una clasificación descendente.

Ejemplo

El ejemplo siguiente clasifica primero el origen de datos según el código postal en orden descendente, a continuación según el apellido y el nombre de pila en orden ascendente.

Sub SetDataSortOrder()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject

    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    appOffice.SetSortOrder SortField1:="ZipCode", _
        SortAscending1:=False, SortField2:="LastName", _
        SortField3:="FirstName"
End Sub


Método Show

Método Show cuando se aplica al objeto Balloon.

Muestra el objeto globo especificado. Devuelve una constante de MsoBalloonButtonType que indica en qué botón o rótulo hace clic el usuario. Es de sólo lectura.

MsoBalloonButtonType puede ser una de estas constantes de MsoBalloonButtonType.
msoBalloonButtonAbort
msoBalloonButtonBack
msoBalloonButtonCancel
msoBalloonButtonClose
msoBalloonButtonIgnore
msoBalloonButtonNext
msoBalloonButtonNo
msoBalloonButtonNull
msoBalloonButtonOK
msoBalloonButtonOptions
msoBalloonButtonRetry
msoBalloonButtonSearch
msoBalloonButtonSnooze
msoBalloonButtonTips
msoBalloonButtonYes
msoBalloonButtonYesToAll

expresión.Show

expresión Requerida. Expresión que devuelve un objeto Balloon.

Método Show cuando se aplica al objeto FileDialog.

Muestra un cuadro de diálogo de archivos y devuelve un valor Long que indica si el usuario ha presionado el botón de acción (-1) o el de cancelar (0). Si activa el método Show, no se ejecutará ningún código más hasta que el usuario cierre el cuadro de diálogo de archivos. En el caso de los cuadros de diálogo Guardar como y Abrir, utilice el método Execute después del método Show para ejecutar la acción del usuario.

expresión.Show

expresión Requerida. Expresión que devuelve un objeto FileDialog.

Ejemplo

Cuando se aplica al objeto Balloon.

Este ejemplo crea un globo con dos opciones de rótulos del globo para establecer la orientación de la impresión: Portrait y Landscape. El ejemplo utiliza el método Show en una instrucción Select Case para determinar qué orientación ha elegido el usuario.

Set balNew = Assistant.NewBalloon
With balNew
    .Heading = "Please choose a printer orientation"
    .Labels(1).Text = "Portrait"
    .Labels(2).Text = "Landscape"
    .Button = msoButtonSetNone
End With

Select Case balNew.Show
    Case 1
        ' Insert code to set printer to Portrait.
    Case 2
        ' Insert code to set printer to Landscape.
End Select

Este ejemplo crea un globo con tres botones de comando: Yes, No y Cancel. El ejemplo utiliza el método Show en una instrucción Select Case para determinar el valor devuelto del botón en el que el usuario ha hecho clic.

Set balNew = Assistant.NewBalloon
With balNew
    .Heading = "Are you sure you want to set the " & _
    "printer orientation to Landscape?"
    .BalloonType = msoBalloonTypeButtons
    .Button = msoButtonSetYesNoCancel
End With

Select Case balNew.Show
    Case -2	' User selected Cancel button.
        returnValue = MsgBox("Operation canceled.", _
        vbOKOnly, "Printer Message")
    Case -3	' User selected Yes button.
        returnValue = MsgBox("Printer set to " & _
        "Landscape.", vbOKOnly, "Printer Message")
    Case -4	' User selected No button.
        returnValue = MsgBox("Printer orientation not " & _
        "reset.", vbOKOnly, "Printer Message")
End Select

Cuando se aplica al objeto FileDialog.

El ejemplo siguiente muestra un cuadro de diálogo Selector de archivos mediante el objeto File Dialog, así como cada archivo seleccionado en un cuadro de mensaje.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
    If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a string that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "The path is: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
    Else
        End If
    End With

    'Set the object variable to nothing.
    Set fd = Nothing

End Sub


Método ShowPopup

Muestra la barra de comandos especificada como un menú contextual en las coordenadas especificadas o en las coordenadas actuales del puntero.

Nota Si la propiedad Position de la barra de comandos no se establece en msoBarPopup, este método falla.

expresión.ShowPopup(x, y)

expresión Requerida. Expresión que devuelve un objeto CommandBar.

x Variant opcional. Coordenada X de la posición del menú contextual. Si se omite este argumento, se utilizará la coordenada X actual del puntero.

y Variant opcional. Coordenada Y de la posición del menú contextual. Si se omite este argumento, se utilizará la coordenada Y actual del puntero.

Ejemplo

Este ejemplo crea un menú contextual que contiene dos controles. El método ShowPopup se utiliza para mostrar el menú contextual.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarPopup, Temporary:=False)
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls.Add Type:=msoControlComboBox
End With
myBar.ShowPopup


Método StartWizard

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Inicia el Ayudante de Office y devuelve un valor Long que identifica la sesión. Sólo puede utilizar este método para iniciar el Ayudante de Office en un asistente personalizado.

Nota El número devuelto por el método StartWizard lo utilizan los métodos ActivateWizard y EndWizard.

expresión.StartWizard(On, Callback, PrivateX, Animation, CustomTeaser, Top, Left, Bottom, Right)

expresión Requerida. Expresión que devuelve un objeto Assistant.

On Boolean requerido. True para mostrar el globo de Office. El globo de Office pregunta al usuario si desea ayuda para el asistente personalizado activo. No es necesario utilizar la propiedad Visible para mostrar el Ayudante de Office Assistant si se ha especificado True para este argumento.

Callback String requerida. El nombre del procedimiento de devolución de llamada iniciado por el globo de Office y el globo secundario. El globo secundario permite al usuario a elegir entre la ayuda personalizada que proporciona el asistente y la ayuda estándar de Office.

PrivateX Long requerido. Un número que identifica el globo que ha iniciado el procedimiento de devolución de llamada.

Animation Variant opcional. La animación del Ayudante de Office cuando se utiliza este método. El valor predeterminado es msoAnimationGetWizardy.

CustomTeaser Variant opcional. False para mostrar el globo de Office.

Top, Left, Bottom, Right Variant opcional. La posición de las esquinas, en puntos y con relación a la pantalla, del asistente personalizado desde el Ayudante de Office determinará cuándo aparece el Ayudante de Office.

Comentarios

A diferencia de los procedimientos de devolución de llamada utilizados por los globos estándar sin modo, el procedimiento de devolución llamado por el globo de Office y el globo secundario que aparece durante una sesión del asistente para el Ayudante de Office, sólo lleva dos argumentos: una constante MsoWizardMsgType y el único valor especificado por el argumento PrivateX del método StartWizard.

Si el usuario hace clic con el botón secundario en el globo de Office o en el globo secundario, la constante msoWizardMsgShowHelp pasa al primer argumento del procedimiento de devolución de llamada. Si el usuario hace clic en el botón secundario, pasa la constante msoWizardLocalStateOff. Las demás constantes MsoWizardMsgType pasan por el método ActivateWizard si se ha especificado msoWizardActResume o msoWizardActSuspend para el argumento Act. En el caso de msoWizardMsgShowHelp, el procedimiento de devolución de llamada debe mostrar el globo adecuado para el panel actual del asistente personalizado. Además, en el caso de msoWizardLocalStateOff, el procedimiento de devolución de llamada debe ocultar el globo visible.

Ejemplo

Este ejemplo inicia el Ayudante de Office como parte del proceso que proporciona información mientras se ejecuta un asistente personalizado. La variable IHelpForWiz se ha establecido en el valor devuelto por el método StartWizard, que es Long.

lHelpForWiz = Assistant.StartWizard(On:=True, _
    Callback:="myCallback", PrivateX:=23)


Método Update

Actualiza el contenido de la colección COMAddIns de la lista de complementos almacenados en el registro de Windows.

expresión.Update

expresión La colección COMAddIns.

Comentarios

Antes de utilizar un complemento COM determinado en una aplicación de Microsoft Office, el complemento debe estar incluido en el registro de Windows como componente COM, junto con su Id. correspondiente de categoría de componente.

Ejemplo

El siguiente ejemplo actualiza el contenido de la colección COMAddIns de la lista de complementos almacenados en el registro de Windows.

Application.COMAddIns.Update


Propiedad ActionControl

Devuelve el objeto CommandBarControl cuya propiedad OnAction está establecida para que ejecute el procedimiento. Si el procedimiento de ejecución no ha sido iniciado por un control de barra de comandos, esta propiedad devuelve Nothing. Es de sólo lectura.

Ejemplo

Este ejemplo crea una barra de comandos denominada "Custom", agrega tres botones a esa barra y, a continuación, utiliza las propiedades ActionControl y Tag para determinar el último botón de la barra de comandos en el que se hizo clic.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
Set buttonOne = myBar.Controls.Add(Type:=msoControlButton)
With buttonOne
    .FaceId = 133
    .Tag = "RightArrow"
    .OnAction = "whichButton"
End With
Set buttonTwo = myBar.Controls.Add(Type:=msoControlButton)
With buttonTwo
    .FaceId = 134
    .Tag = "UpArrow"
    .OnAction = "whichButton"
End With
Set buttonThree = myBar.Controls.Add(Type:=msoControlButton)
With buttonThree
    .FaceId = 135
    .Tag = "DownArrow"
    .OnAction = "whichButton"
End With
myBar.Visible = True

La subrutina whichButton responde al método OnAction y determina el último botón de la barra de comandos en el que se hizo clic.

Sub whichButton()
Select Case CommandBars.ActionControl.Tag
    Case "RightArrow"
        MsgBox ("Right Arrow button clicked.")
    Case "UpArrow"
        MsgBox ("Up Arrow button clicked.")
    Case "DownArrow"
        MsgBox ("Down Arrow button clicked.")
End Select
End Sub


Propiedad ActiveMenuBar

Devuelve un objeto CommandBar que representa la barra de menús activa de la aplicación contenedora. Es de sólo lectura.

Ejemplo

Este ejemplo agrega un control emergente temporal denominado "Custom" al final de la barra de menús activa y, a continuación, agrega un control de botón denominado "Import" en la barra de comandos mostrada por el control.

Set myMenuBar = CommandBars.ActiveMenuBar
Set newMenu = myMenuBar.Controls.Add(Type:=msoControlPopup, Temporary:=True)
newMenu.Caption = "Custom"
Set ctrl1 = newMenu.CommandBar.Controls _
    .Add(Type:=msoControlButton, Id:=1)
With ctrl1
    .Caption = "Import"
    .TooltipText = "Import"
    .Style = msoButtonCaption
End With


Propiedad AdaptiveMenu

True si se habilita un menú personalizado. Boolean de Lectura/Escritura.

Ejemplo

Este ejemplo establece la propiedad AdaptiveMenu en False para el menú Archivo de la aplicación Microsoft Office en la que esté trabajando.

CommandBars("File").AdaptiveMenu = False


Propiedad AdaptiveMenus

True si los menús adaptables están habilitados. Boolean de Lectura/Escritura.

Ejemplo

Este ejemplo establece tres opciones para todas las barras de comandos en Microsoft Office, incluyendo las barras de comandos personalizadas y los controles de esas barras.

With CommandBars
    .LargeButtons = True
    .DisplayFonts = True
    .AdaptiveMenus = True
End With


Propiedad AllowMultiSelect

True si se permite al usuario seleccionar varios archivos en un cuadro de diálogo de archivos. Boolean de Lectura/Escritura.

expresión.AllowMultiSelect

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Comentarios

Esta propiedad no tiene efecto en los cuadros de diálogo Selector de carpetas o Guardar como porque los usuarios no deberían poder seleccionar varios archivos en este tipo de cuadros de diálogo de archivos.

Ejemplo

El ejemplo siguiente muestra un cuadro de diálogo Selector de archivos mediante el objeto File Dialog, así como cada archivo seleccionado en un cuadro de mensaje.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Allow the selection of multiple files.
        .AllowMultiSelect = True

        'Use the Show method to display the file picker dialog and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Propiedad Animation

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Devuelve o establece la acción de animación de Ayudante de Office. Si se aplica esta propiedad al objeto Assistant y la animación es compatible, el Ayudante se anima inmediatamente (si está visible y habilitado). Al aplicar esta propiedad al objeto Balloon, el Ayudante se anima sólo mientras se muestre el globo. MsoAnimationType de Lectura/Escritura.

MsoAnimationType puede ser una de estas constantes de MsoAnimationType.
msoAnimationAppear
msoAnimationBeginSpeaking
msoAnimationCharacterSuccessMajor
msoAnimationCheckingSomething
msoAnimationDisappear
msoAnimationEmptyTrash
msoAnimationGestureDown
msoAnimationGestureLeft
msoAnimationGestureRight
msoAnimationGestureUp
msoAnimationGetArtsy
msoAnimationGetAttentionMajor
msoAnimationGetAttentionMinor
msoAnimationGetTechy
msoAnimationGetWizardy
msoAnimationGoodbye
msoAnimationGreeting
msoAnimationIdle
msoAnimationListensToComputer
msoAnimationLookDown
msoAnimationLookDownLeft
msoAnimationLookDownRight
msoAnimationLookLeft
msoAnimationLookRight
msoAnimationLookUp
msoAnimationLookUpLeft
msoAnimationLookUpRight
msoAnimationPrinting
msoAnimationRestPose
msoAnimationSaving
msoAnimationSearching
msoAnimationSendingMail
msoAnimationThinking
msoAnimationWorkingAtSomething
msoAnimationWritingNotingSomething

Comentarios

"Clippit" es el Ayudante predeterminado y msoAnimationIdle es el tipo de animación predeterminado para el Ayudante.

Dependiendo del Ayudante seleccionado, la propiedad Animation puede producir o no una animación obvia. Sin embargo, todas las constantes MsoAnimationType son válidas para todos los Ayudantes. Observe que distintas constantes pueden producir la misma animación.

Las siguientes constantes MsoAnimationType representan animaciones que repiten la acción especificada hasta que se cierre el Ayudante o hasta que la propiedad Animation se restablezca con otra animación:

msoAnimationCheckingSomething

msoAnimationGetTechy

msoAnimationListensToComputer

msoAnimationSearching

 msoAnimationThinking

msoAnimationWorkingAtSomething

msoAnimationWritingNotingSomething

Ejemplo

Este ejemplo muestra el Ayudante de Office en una ubicación específica y configura varias opciones antes de mostrarlo.

With Assistant
    .On = True
    .Visible = True
    .Move xLeft:= 400, yTop:= 300
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Animation = msoAnimationGreeting
End With


Propiedad Application

Devuelve un objeto Application que representa la aplicación contenedora del objeto especificado (puede utilizar esta propiedad con un objeto Automation para devolver la aplicación contenedora del objeto).

expresión.Application

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

Este ejemplo devuelve el nombre de la aplicación en la que se creó la barra de comandos denominada Standard y muestra el resultado en un cuadro de mensaje.

Set Appobj = CommandBars("Standard").Application
MsgBox Appobj


Propiedad AssistWithAlerts

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

True si el globo del Ayudante de Office muestra mensajes de alerta de la aplicación siempre que esté visible. Boolean de Lectura/Escritura.

Comentarios

La propiedad AssistWithAlerts corresponde a la opción Mostrar alertas de Utilizar el Ayudante de Office de la ficha Opciones, en el cuadro de diálogo Ayudante de Office.

Si esta propiedad está establecida en False, la aplicación muestra mensajes de alerta en cuadros de diálogo sin el Ayudante de Office.

Ejemplo

Este ejemplo establece que el Ayudante de Office se muestre siempre que se genere una alerta de la aplicación.

With Assistant
    .On = True
    .Visible = True
    .AssistWithHelp = True
    .AssistWithAlerts = True
    .Animation = msoAnimationGetAttentionMajor
End With


Propiedad AssistWithHelp

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

True si el Ayudante de Office aparece siempre que el usuario presione la tecla F1 para mostrar la Ayuda. Boolean de Lectura/Escritura.

Comentarios

La propiedad AssistWithHelp corresponde a la opción Responder a la tecla F1 de Utilizar el Ayudante de Office en la ficha Opciones del cuadro de diálogo Ayudante de Office.

Si el valor de esta propiedad es False, aparecerá el cuadro de diálogo Temas de Ayuda en lugar del Ayudante de Office.

Ejemplo

Este ejemplo muestra el Ayudante de Office siempre que el usuario presione la tecla F1 para mostrar la Ayuda.

With Assistant
    .On = True
    .Visible = True
    .AssistWithHelp = True
    .AssistWithAlerts = True
    .Animation = msoAnimationGetAttentionMajor
End With


Propiedad AssistWithWizards

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

True si el Ayudante de Office proporciona información de Ayuda acerca de los asistentes. Boolean de Lectura/Escritura.

Comentarios

La propiedad AssistWithWizards corresponde a la opción Ayuda con asistentes de Utilizar el Ayudante de Office en la ficha Opciones del cuadro de diálogo Ayudante de Office.

Ejemplo

Este ejemplo configura el Ayudante de Office para que ofrezca información de Ayuda acerca de los asistentes.

Assistant.AssistWithWizards = True


Propiedad AttachCertificate

True si el certificado digital que corresponde al objeto Signature especificado se adjunta al documento. Boolean de Lectura/Escritura.

expresión.AttachCertificate

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

En el ejemplo siguiente se solicita al usuario que seleccione una firma digital para firmar el documento activo de Microsoft Word. Para utilizar este ejemplo, abra un documento en Word y ejecute esta función. La función realizará la comprobación para asegurarse de que la firma digital que selecciona el usuario no caduca antes de 12 meses. Si caduca, no se adjunta el certificado.

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    sig.AttachCertificate = True

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Propiedad BalloonError

Devuelve un valor que indica el último error de globo registrado. MsoBalloonErrorType de sólo lectura.

MsoBalloonErrorType puede ser una de estas constantes de MsoBalloonErrorType.
msoBalloonErrorBadCharacter El globo contiene un carácter de control ASCII distinto de CR o LF y menor que 32.
msoBalloonErrorBadPictureRef El globo contiene un mapa de bits que no se ha podido mostrar porque el archivo no existe o porque el mapa de bits no es un archivo .BMP o .WMF válido.
msoBalloonErrorBadReference El globo contiene una referencia no reconocida o no admitida.
msoBalloonErrorButtonlessModal El globo que intentó mostrar es modal, pero no contiene botones. El globo no se mostrará porque no puede cerrarse.
msoBalloonErrorButtonModeless El globo que intentó mostrar no tiene modo, contiene botones y no tiene un procedimiento asignado a la propiedad Callback. El globo no se mostrará porque se requiere un procedimiento para evaluar el botón seleccionado en él.
msoBalloonErrorCharNotTopmostForModal El globo de modo ha sido requerido por una aplicación distinta a la aplicación activa. Microsoft Office sólo muestra globos para la aplicación activa (la superior).
msoBalloonErrorCOMFailure El globo no se ha podido mostrar debido a un fallo COM.
msoBalloonErrorNone No se encontró ningún error.
msoBalloonErrorOther El globo no aparecerá porque se ha producido algún otro error; por ejemplo, otro globo modal ya está activo.
msoBalloonErrorOutOfMemory El globo no aparecerá porque no hay memoria suficiente.
msoBalloonErrorTooBig El globo es demasiado grande como para mostrarse en pantalla.
msoBalloonErrorTooManyControls El globo contiene más de veinte controles (casillas de verificación o etiquetas).

Ejemplo

Este ejemplo crea un globo que genera un error. El error se debe a que el globo se ha creado sin posibilidad de cerrarlo. El tipo de botón se ha establecido en msoButtonSetNone y el modo de globo predeterminado es msoModeModal, produciendo un globo modal sin botones. Observe que no hay forma de cerrar un globo modal sin botones.

With Application.Assistant
With .NewBalloon
    .Heading = "This will never show."
    .Text = "Imagine a balloon here."
    .Button = msoButtonSetNone
    .Show
End With
.Visible = True
If .BalloonError = msoBalloonErrorButtonlessModal Then
    MsgBox "You need a button to dismiss the balloon."
End If
End With


Propiedad BalloonType

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Devuelve o establece el tipo de globo que utiliza el Ayudante de Office. Al crear un objeto Balloon, esta propiedad está inicialmente establecida en msoBalloonTypeButtons. MsoBalloonType de Lectura/Escritura.

MsoBalloonType puede ser una de estas constantes de MsoBalloonType.
msoBalloonTypeBullets
msoBalloonTypeButtons
msoBalloonTypeNumbers

Ejemplo

Este ejemplo crea un globo de instrucciones que explica cómo seleccionar una impresora. El globo no tiene modo, de forma que el usuario puede seguir las instrucciones del globo y mantenerlo visible mientras trabaja.

Set bln = Assistant.NewBalloon
With bln
    .Heading = "Instructions for Choosing a Printer."
    .Text = "Click OK when you've chosen a printer."
    .Labels(1).Text = "From the File menu, choose Print."
    .Labels(2).Text = "Click Setup."
    .Labels(3).Text = "Select the name of the printer."
    .BalloonType = msoBalloonTypeNumbers
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Button = msoButtonSetOK
    .Show
End With


Propiedad BeginGroup

True si el control de barra de comandos especificado está al principio de un grupo de controles en la barra de herramientas. Boolean de Lectura/Escritura.

Ejemplo

Este ejemplo establece que el último control de la barra de menús activa esté al principio de su propio grupo.

Set myMenuBar = CommandBars.ActiveMenuBar
Set lastMenu = myMenuBar _
    .Controls(myMenuBar.Controls.Count)
lastMenu.BeginGroup = True


Propiedad BuiltIn

True si la barra de comandos o el control de barra de comandos especificado es una barra de comandos o control integrados de la aplicación contenedora. False si se trata de una barra de comandos o control personalizados, o si se trata de un control integrado cuya propiedad OnAction ha sido establecida. Boolean de sólo lectura.

Ejemplo

Este ejemplo elimina todas las barras de comandos personalizadas no visibles.

foundFlag = False
deletedBars = 0
For Each bar In CommandBars
    If (bar.BuiltIn = False) And (bar.Visible = False) Then
        bar.Delete
        foundFlag = True
        deletedBars = deletedBars + 1
    End If
Next
If Not foundFlag Then
    MsgBox "No command bars have been deleted."
Else
    MsgBox deletedBars & " custom command bar(s) deleted."
End If


Propiedad BuiltInFace

True si la imagen del control de botón de la barra de comandos especificada es una imagen integrada. El valor de esta propiedad sólo puede ser True que restablecerá la imagen integrada. Boolean de Lectura/Escritura.

Ejemplo

Este ejemplo determina si la imagen del primer control de la barra de comandos denominada "Custom" es la imagen integrada. En este caso, el ejemplo copia la imagen de botón en el Portapapeles.

Set myControl = CommandBars("My Custom Bar").Controls(1)
With myControl
    If .BuiltInFace = True Then .CopyFace
End With


Propiedad Button

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Devuelve o establece el tipo de botón mostrado en la parte inferior del globo Ayudante de Office. Al crear un objeto Balloon, esta propiedad está inicialmente establecida en msoButtonSetOK. MsoButtonSetType de Lectura/Escritura.

MsoButtonSetType puede ser una de estas constantes de MsoButtonSetType.
msoButtonSetAbortRetryIgnore
msoButtonSetBackClose
msoButtonSetBackNextClose
msoButtonSetBackNextSnooze
msoButtonSetCancel
msoButtonSetNextClose
msoButtonSetNone
msoButtonSetOK
msoButtonSetOkCancel
msoButtonSetRetryCancel
msoButtonSetSearchClose
msoButtonSetTipsOptionsClose
msoButtonSetYesAllNoCancel
msoButtonSetYesNo
msoButtonSetYesNoCancel

Ejemplo

Este ejemplo muestra un globo con encabezado, texto, tres opciones de región y dos botones de comando (OK y Cancel).

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
End With


Propiedad ButtonName

Establece o devuelve un valor String que representa el texto que se muestra en el botón de acción de un cuadro de diálogo de archivos. De forma predeterminada, esta propiedad está establecida en el texto estándar para el tipo de cuadro de diálogo de archivos. Por ejemplo, en el caso del cuadro de diálogo Abrir, la propiedad está establecida a "Abrir" de forma predeterminada. Lectura/Escritura.

expresión.ButtonName

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

El ejemplo siguiente muestra un cuadro de diálogo Selector de archivos mediante el objeto File Dialog, así como cada archivo seleccionado en un cuadro de mensaje.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Change the text on the action button.
        .ButtonName = "Archive"

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each String in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Propiedad Callback

Establece el nombre del procedimiento para que se ejecute en un globo no modal. String de Lectura/Escritura.

Comentarios

El procedimiento que se especifique para la propiedad Callback debe estar escrito para recibir dos o tres argumentos, según con qué se vaya a utilizar la propiedad. Si se utiliza la propiedad Callback con un asistente, se debe escribir el procedimiento para recibir dos argumentos: un número entero largo que represente el valor msoBalloonButtonType del botón en el que el usuario hace clic, y un número entero largo que sólo identifique al globo. Si se utiliza la propiedad Callback con un globo no modal, se debe escribir el procedimiento para recibir tres argumentos: el objeto Balloon que llama al procedimiento; un número entero largo que representa el valor msoBalloonButtonType del botón en el que el usuario hace clic; y un número entero largo que sólo identifique al globo que llama al procedimiento, como se indica en la propiedad del globo Private.

El procedimiento de devolución de llamada debe contener, por lo menos, una condición bajo la que se aplique el método Close al objeto Balloon al que se ha traspasado; si no, el globo no modal no se podrá cerrar.

Si especifica un procedimiento que se almacene en un módulo de clase independiente, debe incluir el nombre del módulo en el valor que se asigne a la propiedad Callback; por ejemplo, "Sheet1.MyCallback).

Ejemplo

Este ejemplo muestra un globo que contiene un botón por cada tres impresoras. Siempre que el usuario haga clic en uno de esos tres botones, el procedimiento de devolución de llamada ProcessPrinter se ejecuta y el globo se cierra.

Sub selectPrinter()
Set bln = Assistant.NewBalloon
With bln
    .Heading = "Select a Printer."
    .Labels(1).Text = "Network Printer"
    .Labels(2).Text = "Local Printer"
    .Labels(3).Text = "Local Color Printer"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With
End Sub

Sub ProcessPrinter(bln As Balloon, lbtn As Long, _
 lPriv As Long)
    Assistant.Animation = msoAnimationPrinting
    Select Case lbtn
    Case -1
        ' Insert network printer-specific code.
    Case -2
        ' Insert local printer-specific code.
    Case -3
        ' Insert color printer-specific code.
    End Select
    bln.Close
End Sub


Propiedad Caption

Devuelve o establece el texto del título del control de barra de comandos especificado. String de Lectura/Escritura.

Nota El título de un control también se muestra como Sugerencia predeterminada.

Ejemplo

Este ejemplo agrega un control de barra de comandos con la imagen de botón del corrector ortográfico a una barra de comandos personalizada y, a continuación, establece el título "Spelling checker".

Set myBar = CommandBars.Add(Name:="Custom", _
Position:=msoBarTop, Temporary:=True)
myBar.Visible = True
Set myControl = myBar.Controls _
.Add(Type:=msoControlButton, Id:=2)
With myControl
    .DescriptionText = "Starts the spelling checker"
    .Caption = "Spelling checker"
End With


Propiedad Checkboxes

Devuelve la colección BalloonCheckboxes que representa todas las casillas de verificación del globo especificado. Es de sólo lectura.

Para obtener más información acerca de cómo devolver un solo miembro de una colección, vea Devolver un objeto de una colección.

Ejemplo

Este ejemplo crea un globo con encabezado, texto y tres opciones de región. Cuando el usuario selecciona una casilla de verificación y, a continuación, hace clic en Aceptar en el globo, se imprimen los datos de la región o regiones seleccionadas.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select the region(s) you want to print."
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    If .Show = msoBalloonButtonOK Then
        dataPrinted = 0
        For i = 1 To 3
            If .CheckBoxes(i).Checked = True Then
                ' Code to print region data.
                dataPrinted = dataPrinted + 1
                MsgBox "Region " & i & " data printed."
            End If
        Next
        If dataPrinted = 0 Then MsgBox "No data printed."
    End If
End With


Propiedad Checked

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

True si la casilla de verificación especificada en el globo Ayudante de Office está activada. Boolean de Lectura/Escritura.

Ejemplo

Este ejemplo crea un globo con encabezado, texto y tres opciones de región. Cuando el usuario selecciona una casilla de verificación y, a continuación, hace clic en Aceptar en el globo, se imprimen los datos de la región o regiones seleccionadas.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select the region(s) you want to print."
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    If .Show = msoBalloonButtonOK Then
        dataPrinted = 0
        For i = 1 To 3
            If .CheckBoxes(i).Checked = True Then
                ' Code to print region data.
                dataPrinted = dataPrinted + 1
                MsgBox "Region " & i & " data printed."
            End If
        Next
        If dataPrinted = 0 Then MsgBox "No data printed."
    End If
End With


Propiedad Column

Devuelve o establece un valor String que representa el nombre del campo del origen de datos de combinación de correspondencia que utilizará en el filtro. Lectura/Escritura.

expresión.Column

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

El ejemplo siguiente cambia un filtro existente para quitar de la combinación de correspondencia todos los registros que no tengan un campo Región igual a "WA".

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Propiedad Columns

Devuelve un objeto ODSOColumns que representa los campos de un origen de datos.

expresión.Columns

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

El ejemplo siguiente muestra los nombres de campos del origen de datos adjunto a la publicación activa.

Sub ShowFieldNames()
    Dim appOffice As OfficeDataSourceObject
    Dim intCount As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        For intCount = 1 To .Count
            MsgBox "Field Name: " & .Item(intCount).Name
        Next
    End With
End Sub


Propiedad CommandBar

Devuelve un objeto CommandBar que representa el menú mostrado por el control emergente especificado. Es de sólo lectura.

Ejemplo

Este ejemplo establece el valor fourthLevel para el cuarto control de la barra de comandos denominada "Drawing".

Set fourthLevel = CommandBars("Drawing") _
    .Controls(1).CommandBar.Controls(4)


Propiedad CommandBars

Devuelve una colección CommandBars.

expresión.CommandBars

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

El ejemplo siguiente devuelve la colección CommandBars del objeto MsoEnvelope en Microsoft Word.

Dim cbars As CommandBars
Set cbars = Application.ActiveDocument.MailEnvelope.Commandbars


Propiedad CompareTo

Devuelve o establece un valor String que representa el texto de comparación del criterio de filtro de consultas. Lectura/Escritura.

expresión.CompareTo

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

El ejemplo siguiente cambia un filtro existente para quitar de la combinación de correspondencia todos los registros que no tengan un campo Región igual a "WA".

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Propiedad Comparison

Devuelve o establece una constante de MsoFilterComparison que representa cómo comparar las propiedades Column y CompareTo. Lectura/Escritura.

MsoFilterComparison puede ser una de estas constantes de MsoFilterComparison.
msoFilterComparisonContains
msoFilterComparisonEqual
msoFilterComparisonGreaterThan
msoFilterComparisonGreaterThanEqual
msoFilterComparisonIsBlank
msoFilterComparisonIsNotBlank
msoFilterComparisonLessThan
msoFilterComparisonLessThanEqual
msoFilterComparisonNotContains
msoFilterComparisonNotEqual

expresión.Comparison

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

El ejemplo siguiente cambia un filtro existente para quitar de la combinación de correspondencia todos los registros que no tengan un campo Región igual a "WA".

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Propiedad Condition

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Devuelve la condición de los criterios de búsqueda especificados. MsoCondition de sólo lectura.

MsoCondition puede ser una de estas constantes de MsoCondition.
msoConditionAnyNumberBetween
msoConditionAnytime
msoConditionAnytimeBetween
msoConditionAtLeast
msoConditionAtMost
msoConditionBeginsWith
msoConditionDoesNotEqual
msoConditionEndsWith
msoConditionEquals
msoConditionFileTypeAllFiles
msoConditionFileTypeBinders
msoConditionFileTypeCalendarItem
msoConditionFileTypeContactItem
msoConditionFileTypeDatabases
msoConditionFileTypeDataConnectionFiles
msoConditionFileTypeDesignerFiles
msoConditionFileTypeEPaperFiles
msoConditionFileTypeExcelWorkbooks
msoConditionFileTypeJournalItem
msoConditionFileTypeMailItem
msoConditionFileTypeNoteItem
msoConditionFileTypeOfficeFiles
msoConditionFileTypeOutlookItems
msoConditionFileTypePhotoDrawFiles
msoConditionFileTypePowerPointPresentations
msoConditionFileTypeProjectFiles
msoConditionFileTypePublisherFiles
msoConditionFileTypeTaskItem
msoConditionFileTypeTemplates
msoConditionFileTypeVisioDocuments
msoConditionFileTypeWebPages
msoConditionFileTypeWordDocuments
msoConditionFreeText
msoConditionIncludes
msoConditionIncludesFormsOf
msoConditionIncludesNearEachOther
msoConditionIncludesPhrase
msoConditionInTheLast
msoConditionInTheNext
msoConditionIsExactly
msoConditionIsNo
msoConditionIsNot
msoConditionIsYes
msoConditionLastMonth
msoConditionLastWeek
msoConditionLessThan
msoConditionMoreThan
msoConditionNextMonth
msoConditionNextWeek
msoConditionOn
msoConditionOnOrAfter
msoConditionOnOrBefore
msoConditionThisMonth
msoConditionThisWeek
msoConditionToday
msoConditionTomorrow
msoConditionYesterday

Ejemplo

Este ejemplo devuelve el valor de condición de los criterios de búsqueda de la primera prueba de propiedades.

With Application.FileSearch.PropertyTests(1)
    MsgBox "The condition you've set is: " & .Condition
End With


Propiedad Conjunction

Devuelve o establece una constante de MsoFilterConjunction que representa cómo está relacionado un criterio de filtro con otro criterio de filtro del objeto ODSOFilters. Lectura/Escritura.

MsoFilterConjunction puede ser una de estas constantes de MsoFilterConjunction.
msoFilterConjunctionAnd
msoFilterConjunctionOr

expresión.Conjunction

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

El ejemplo siguiente cambia un filtro existente para quitar de la combinación de correspondencia todos los registros que no tengan un campo Región igual a "WA".

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Propiedad Connect

Devuelve o establece el estado de conexión del objeto COMAddIn especificado. Boolean de Lectura/Escritura.

Comentarios

La propiedad Connect devuelve True si el complemento está activo; devuelve False si el complemento está inactivo. Un complemento activo está registrado y conectado; un complemento inactivo está registrado, pero no está conectado actualmente.

Ejemplo

El ejemplo siguiente muestra un cuadro de mensaje que indica si el complemento COM está registrado y conectado actualmente.

If Application.COMAddIns(1).Connect Then
    MsgBox "The add-in is connected."
Else
    MsgBox "The add-in is not connected."
End If


Propiedad Connector

Devuelve el conector entre dos valores de prueba de propiedades similares. El valor predeterminado es msoConnectorAnd. MsoConnector de sólo lectura.

MsoConnector puede ser una de estas constantes de MsoConnector.
msoConnectorAnd
msoConnectorOr

Comentarios

Un conector especifica si dos criterios de búsqueda similares se combinarán para formar una prueba de propiedad, como con msoConnectorAnd o se tratarán independientemente, como con msoConnectorOr.

Ejemplo

Este ejemplo muestra un mensaje que describe cómo se evaluarán los criterios de búsqueda de una búsqueda de archivos.

With Application.FileSearch.PropertyTests(1)
If .Connector = msoConnectorAnd Then
   MsgBox "All search criteria will be combined."
Else
    MsgBox "Criteria will be treated independently"
End If
End With


Propiedad ConnectString

Devuelve o establece un valor String que representa la conexión al origen de datos de combinación de correspondencia especificado. Lectura/Escritura.

expresión.ConnectString

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

Este ejemplo comprueba si la cadena de conexión contiene los caracteres ODSOOutlook y muestra el mensaje correspondiente.

Sub VerifyCorrectDataSource()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    If InStr(appOffice.ConnectString, "ODSOOutlook") > 0 Then
        MsgBox "Your Outlook address book is used as the data source."
    Else
        MsgBox "Your Outlook address book is not used as the data source."
    End If

End Sub


Propiedad Context

Devuelve o establece una cadena que determina si se guardará la barra de comandos especificada. La aplicación define e interpreta la cadena. String de Lectura/Escritura.

Comentarios

La propiedad Context sólo puede establecerse para barras de comandos personalizadas. Esta propiedad fallará si la aplicación no reconoce la cadena de contexto o si no admite que el programa cambie las cadenas de contexto.

Ejemplo

Este ejemplo muestra un cuadro de mensaje con la cadena de contexto para la barra de comandos denominada "Custom". Este ejemplo funciona en Microsoft Word y en cualquier aplicación que admita la propiedad Context.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=2
    .Visible = True
End With
MsgBox (myBar.Context)


Propiedad Controls

Devuelve un objeto CommandBarControls que representa todos los controles de la barra de comandos o del control emergente. Es de sólo lectura.

Para obtener más información sobre cómo devolver un solo miembro de una colección, vea Devolver un objeto de una colección.

Ejemplo

Este ejemplo agrega un control de cuadro combinado a la barra de comandos denominada "Custom" y agrega dos elementos a la lista del cuadro combinado. El ejemplo también establece el número de elementos de línea, el ancho del cuadro combinado y un valor vacío predeterminado para el cuadro combinado.

Set myControl = CommandBars("Custom").Controls _
    .Add(Type:=msoControlComboBox, Before:=1)
With myControl
    .AddItem Text:="First Item", Index:=1
    .AddItem Text:="Second Item", Index:=2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


Propiedad Count

Puede que algunas partes de este tema no sean aplicables a algunos idiomas.

Devuelve o establece un valor Long que indica el número de elementos de la colección especificada. Long de Lectura /Escritura para los objetos BalloonCheckboxes y BalloonLabels; Long de sólo lectura para el resto de los objetos de la lista Aplicar a.

expresión.Count

expresión Requerida. Expresión que devuelve uno de los objetos anteriores.

Comentarios

Para la colección CommandBars, el recuento sólo incluye barras de menús, barras de herramientas y menús contextuales.

Para la colección Scripts el recuento que se devuelve es el número de bloques de secuencia de comandos del documento especificado. En Microsoft Word, Scripts.Count devuelve el número total de delimitadores de secuencias de comandos en línea y flotantes combinados.

Ejemplo

Este ejemplo utiliza la propiedad Count para mostrar el número de barras de comandos en la colección CommandBars.

MsgBox "There are " & CommandBars.Count & _
    " bars in the CommandBars collection."

Este ejemplo utiliza la propiedad Count para mostrar el número de casillas de verificación en el globo Ayudante de Office.

With Assistant.NewBalloon
    .CheckBoxes(1).Text = "First Choice"
    .CheckBoxes(2).Text = "Second Choice"
    .Text = "You have the following " _
    & .CheckBoxes.Count & " choices."
    .Show
End With

Este ejemplo muestra el número de propiedades personalizadas de un documento en el documento activo.

MsgBox ("There are " & _
    ActiveDocument.CustomDocumentProperties.Count & _
    " custom document properties in the " & _
    "active document.")


Propiedad Creator

Devuelve el código de cuatro caracteres de la aplicación en que se creó el objeto especificado. Sólo aplicable en equipos Macintosh. Long de sólo lectura.

expresión.Creator

expresión Requerida. Expresión que devuelve uno de los objetos anteriores.


Propiedad DataSource

Devuelve o establece un valor String que representa el nombre del origen de datos adjunto. Lectura/Escritura.

expresión.DataSource

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

El ejemplo siguiente establece el nombre del origen de datos si el nombre está en blanco.

Sub SetAndReturnDataSourceName()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    With appOffice
        .Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
            "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

        If .DataSource = "" Then
            .DataSource = "Northwind"
            MsgBox .DataSource
        End If
    End With
End Sub


Propiedad Description

Propiedad Description cuando se aplica al objeto COMAddIn.

Devuelve o establece un valor String descriptivo para el objeto COMAddIn especificado. Lectura/Escritura.

expresión.Description

expresión Requerida. Expresión que devuelve un objeto COMAddIn.

Propiedad Description cuando se aplica al objeto FileDialogFilter.

Devuelve la descripción de cada objeto Filter como un valor String. La descripción es el texto que se muestra en el cuadro de diálogo del archivo. Es de sólo lectura.

expresión.Description

expresión Requerida. Expresión que devuelve un objeto FileDialogFilter.

Ejemplo

Cuando se aplica al objeto COMAddIn.

El ejemplo siguiente muestra el texto descriptivo del complemento COM de accesibilidad para dibujar de Microsoft Office.

MsgBox "The description of this " & _
    "COMAddIn is """ & Application.COMAddIns. _
    Item("msodraa9.ShapeSelect"). _
    Description & """

Cuando se aplica al objeto FileDialogFilter.

El ejemplo siguiente repite los filtros predeterminados del cuadro de diálogo Guardar como y muestra la descripción de los filtros que incluye cada archivo de Microsoft Excel. La propiedad Extensions se utiliza para encontrar los objetos de filtro apropiados.

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files.
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Filter description: " & fdf.Description
        End If
    Next fdf

End Sub


Propiedad DescriptionText

Devuelve o establece la descripción del control de la barra de comandos especificado. La descripción no se muestra al usuario, pero puede ser útil para documentar el comportamiento del control para otros programadores. String de Lectura/Escritura.

Comentarios

Esta propiedad se utiliza para el globo de Ayuda en Macintosh.

Ejemplo

Este ejemplo agrega un control a una barra de comandos con una descripción del comportamiento del control.

Set myBar = CommandBars.Add("Custom", msoBarTop, , True)
myBar.Visible = True
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, ID:= _
    CommandBars("Standard").Controls("Paste").ID)
With myControl
    .DescriptionText = "Pastes the contents of the Clipboard"
    .Caption = "Paste"
End With


Propiedad DialogType

Devuelve una constante de MsoFileDialogType que representa el tipo de cuadro de diálogo que el objeto FileDialog está establecido para mostrar. Es de sólo lectura.

MsoFileDialogType puede ser una de estas constantes de MsoFileDialogType.
msoFileDialogFilePicker
msoFileDialogFolderPicker
msoFileDialogOpen
msoFileDialogSaveAs

expresión.DialogType

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

El ejemplo siguiente toma un objeto FileDialog de tipo desconocido y ejecuta el método Execute si es un cuadro de diálogo Guardar como o Abrir.

Sub DisplayAndExecuteFileDialog(ByRef fd As FileDialog)

    'Use a With...End With block to reference the FileDialog object.
    With fd
        'If the user presses the action button...
        If .Show = -1 Then

            'Use the DialogType property to determine whether to
            'use the Execute method.
            Select Case .DialogType
                Case msoFileDialogOpen, msoFileDialogSaveAs: .Execute
                'Do nothing otherwise.
                Case Else
            End Select
        'If the user presses Cancel...
        Else
        End If
    End With

End Sub


Propiedad DisableAskAQuestionDropdown

True si está habilitado el menú desplegable del Asistente para Ayuda. Boolean de Lectura/Escritura.

expresión.DisableAskAQuestionDropdown

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

El ejemplo siguiente alterna la propiedad DisableAskAQuestionDropdown.

Sub ToggleQuestionDropdown()
    With Application.CommandBars
        If .DisableAskAQuestionDropdown = True Then
            .DisableAskAQuestionDropdown = False
        Else
            .DisableAskAQuestionDropdown = True
        End If
    End With
End Sub


Propiedad DisableCustomize

True si está deshabilitada la personalización de la barra de herramientas. Boolean de Lectura/Escritura.

expresión.DisableCustomize

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

El ejemplo siguiente alterna la propiedad DisableCustomize.

Sub ToggleCustomize()
    With Application.CommandBars
        If .DisableCustomize = True Then
            .DisableCustomize = False
        Else
            .DisableCustomize = True
        End If
    End With
End Sub


Propiedad DisplayFonts

True si los nombres de las fuentes del cuadro Fuente aparecen en sus fuentes actuales. Boolean de Lectura/Escritura.

Ejemplo

Este ejemplo establece tres opciones para todas las barras de comandos en Microsoft Office, incluyendo las barras de comandos personalizadas y los controles de esas barras.

With CommandBars
    .LargeButtons = True
    .DisplayFonts = True
    .AdaptiveMenus = True
End With


Propiedad DisplayKeysInTooltips

True si se muestran las teclas de método abreviado en los ToolTips de cada control de barra de comandos. Boolean de Lectura/Escritura.

Comentarios

Para mostrar las teclas en los ToolTips, debe establecer también la propiedad DisplayTooltips en True.

Ejemplo

Este ejemplo establece las opciones de todas las barras de comandos de Microsoft Office.

With CommandBars
    .LargeButtons = True
    .DisplayTooltips = True
    .DisplayKeysInTooltips = True
    .MenuAnimationStyle = msoMenuAnimationUnfold
End With


Propiedad DisplayTooltips

True si se muestran Sugerencias siempre que el usuario sitúe el puntero en los controles de barra de comandos. Boolean de Lectura/Escritura.

Comentarios

Establecer la propiedad DisplayTooltips en una aplicación contenedora afecta inmediatamente a todas las barras de comandos de dicha aplicación y de cualquier otra aplicación de Microsoft Office que se esté ejecutando en ese momento o que se abra después, hasta que esta propiedad se establezca de nuevo.

Ejemplo

Este ejemplo muestra controles grandes e Información sobre herramientas en todas las barras de comandos.

Set allBars = CommandBars

allBars.LargeButtons = True
allBars.DisplayTooltips = True


Propiedad DropDownLines

Devuelve o establece el número de líneas del control de cuadro combinado de la barra de comandos especificada. El control de cuadro combinado debe ser un control personalizado y debe ser cuadro de lista emergente o un cuadro combinado. Long de Lectura/Escritura.

Nota Este método fallará si la propiedad se establece para un control de cuadro combinado que sea un control de cuadro de edición o de cuadro combinado integrado.

Comentarios

Si esta propiedad se establece en 0 (cero), el número de líneas de control se basará en el número de elementos de la lista.

Ejemplo

Este ejemplo agrega un control de cuadro combinado a la barra de comandos denominada "Custom" y, a continuación, agrega dos elementos a la lista del cuadro combinado. El ejemplo también establece el número de elementos de línea, el ancho del cuadro combinado y un valor vacío predeterminado para el cuadro combinado.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem Text:="First Item", Index:=1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


Propiedad DropDownWidth

Devuelve o establece el ancho, en píxeles, de la lista del control de cuadro combinado de la barra de comandos especificada. Long de Lectura/Escritura.

Nota Si esta propiedad se establece para una barra de comandos integrada, se producirá un error.

Comentarios

Si esta propiedad se establece en -1, el ancho de la lista se basará en la longitud del elemento más largo de la lista del cuadro combinado. Si esta propiedad se establece en 0, el ancho de la lista se basará en el ancho del control.

Ejemplo

Este ejemplo agrega un control de cuadro combinado a la barra de comandos denominada "Custom" y, a continuación, agrega dos elementos a la lista del cuadro combinado. El ejemplo también establece el número de elementos de línea, el ancho del cuadro combinado y un valor vacío predeterminado para el cuadro combinado.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


Propiedad Enabled

True si está habilitada la barra de comandos o control de barra de comandos especificados. Boolean de Lectura/Escritura.

Comentarios

Para barras de comandos, si se establece esta propiedad en True el nombre de la barra aparecerá en la lista de barras de comandos disponibles.

Para controles integrados, si establece la propiedad Enabled en True la aplicación determina su estado; si se establece en False los deshabilita.

Ejemplo

Este ejemplo ajusta las barras de comandos de acuerdo con el nivel de usuario especificado por user. Si user es "Level 1," se muestra la barra de comandos denominada "VB Custom Bar". Si user es cualquier otro valor, la barra de comandos integrada de Visual Basic se restablece a su estado predeterminado y se deshabilita la barra de comandos denominada "VB Custom Bar".

Set myBar = CommandBars _
    .Add(Name:="VB Custom Bar", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=2
    .Visible = True
End With
If user = "Level 1" Then
    myBar.Visible = True
Else
    CommandBars("Visual Basic").Reset
    myBar.Enabled = False
End If

Este ejemplo añade dos botones de barra de comandos a la barra de comandos denominada "Custom". De forma predeterminada, el primer control está deshabilitado y el segundo habilitado.

Set myBar = CommandBars("Custom")
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls(1).Enabled = False
    .Controls.Add Type:=msoControlButton, Id:=3
End With
myBar.Visible = True


Propiedad ExpireDate

Devuelve una variable Variant que representa la fecha en que caduca la firma digital que corresponde al objeto Signature. Es de sólo lectura.

expresión.ExpireDate

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

En el ejemplo siguiente se solicita al usuario que seleccione una firma digital para firmar el documento activo de Microsoft Word. Para utilizar este ejemplo, abra un documento en Word y ejecute esta función. La función realizará la comprobación para asegurarse de que la firma digital que selecciona el usuario no caduca antes de 12 meses. Si caduca, no se adjunta el certificado.

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This Certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Propiedad Extended

Establece o devuelve atributos agregados a la etiqueta <SCRIPT>, a excepción de los atributos LANGUAGE e ID. String de Lectura/Escritura.

Comentarios

Los atributos se separan por espacios, al igual que sucede en HTML. No puede pasar el atributo LANGUAGE o el atributo ID utilizando la propiedad Extended.

La aplicación host de Microsoft Office no proporciona ningún medio para comprobar la sintaxis de los atributos pasados.

Si pasa el atributo LANGUAGE en la propiedad Extended, la etiqueta <SCRIPT> recibe dos opciones de idioma, lo que origina un conflicto.

Si pasa un atributo ID en la propiedad Extended y no se ha establecido ningún ID a través del parámetro ID del método Add o de la propiedad Id del objeto Script, el ID se exportará correctamente.

Ejemplo

Este ejemplo comprueba la propiedad Extended para asegurarse de que no se han agregado atributos adicionales a la primera secuencia de comandos de la hoja uno del libro activo.

If ActiveWorkbook.Worksheets(1).Scripts(1).Extended _
    <> "" Then
      MsgBox "This script contains extended attributes."
End If


Propiedad Extensions

Devuelve un valor String que contiene las extensiones que determinan qué archivos se muestran en un cuadro de diálogo de archivos para cada objeto Filter. Es de sólo lectura.

expresión.Extensions

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

El ejemplo siguiente repite los filtros predeterminados del cuadro de diálogo Guardar como y muestra la descripción de los filtros que incluye cada archivo de Microsoft Excel. La propiedad Extensions se utiliza para encontrar los objetos de filtro apropiados.

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files.
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Description of filter: " & fdf.Description
        End If
    Next fdf
End Sub


Propiedad FaceId

Devuelve o establece el número de Id. de la imagen de botón actualmente asignada al control de botón de la barra de comandos especificada. Long de Lectura/Escritura.

Comentarios

La propiedad FaceId indica el aspecto, no la función, de un botón de la barra de comandos. La propiedad Id del objeto CommandBarControl determina la función del botón.

El valor de la propiedad FaceId de un botón de la barra de comandos con una imagen personalizada es 0 (cero).

Ejemplo

Este ejemplo agrega un botón a una barra de comandos personalizada. Hacer clic en este botón equivale a hacer clic en el comando Abrir del menú Archivo ya que el número de Id. es 23 aunque el botón tiene la misma imagen que el botón integrado Gráfico.

Set newBar = CommandBars.Add(Name:="Custom2", _
     Position:=msoBarTop, Temporary:=True)
newBar.Visible = True
Set con = newBar.Controls.Add(Type:=msoControlButton, Id:=23)
con.FaceId = 17


Propiedad FeatureTips

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

True si el Ayudante de Office proporciona información acerca de la utilización de las funciones de la aplicación más eficazmente. Boolean de Lectura/Escritura.

Comentarios

La propiedad FeatureTips se corresponde con la opción Uso más efectivo de las funciones en la ficha Opciones del cuadro de diálogo Ayudante de Office.

Ejemplo

Este ejemplo configura el Ayudante de Office para proporcionar información sobre cómo utilizar las funciones de la aplicación de una manera más eficaz.

Assistant.FeatureTips = True


Propiedad FileName

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Objeto Assistant: Devuelve o establece la ruta de acceso y el nombre del archivo del Ayudante de Office activo. String de Lectura/Escritura.

Objeto FileSearch: Devuelve o establece el nombre del archivo que desea buscar en una búsqueda de archivos. En el nombre del archivo pueden incluirse los comodines * (asterisco) o ? (signo de interrogación). Utilice el comodín del signo de interrogación para indicar cualquier carácter sencillo. Por ejemplo, escriba m?les para indicar "males" y "miles". Utilice el comodín del asterisco para indicar cualquier número de caracteres. Por ejemplo, escriba *.txt para buscar todos los archivos que tengan extensión .TXT. String de Lectura/Escritura.

expresión.FileName

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

Este ejemplo busca los archivos ubicados en la carpeta My Documents que empiezan por cmd y tienen una extensión en el nombre del archivo. El nombre y la ubicación de los archivos encontrados se muestra en el ejemplo.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "cmd*.*"
    If .Execute > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Propiedad Files

Devuelve una colección AnswerWizardFiles que representa la lista de archivos disponibles en el Asistente para Ayuda actual. Es de sólo lectura.

Para obtener más información sobre cómo devolver un solo miembro de una colección, vea Devolver un objeto de una colección.

Ejemplo

Este ejemplo restablece la lista de archivos del Asistente para Ayuda actual y, a continuación, muestra el número de archivos y los nombres de los archivos en un cuadro de mensaje.

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer
Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "There are " & customAnswerWizard.Files.Count & _
    " files avaialble through this AnswerWizard: " & _
    Chr(13) & strFileList


Propiedad FileType

Devuelve o establece el tipo de archivo que buscar durante una búsqueda de archivos. MsoFileType de Lectura/Escritura.

MsoFileType puede ser una de estas constantes de MsoFileType.
msoFileTypeAllFiles
msoFileTypeBinders
msoFileTypeCalendarItem
msoFileTypeContactItem
msoFileTypeCustom
msoFileTypeDatabases
msoFileTypeDataConnectionFiles
msoFileTypeDesignerFiles
msoFileTypeDocumentImagingFiles
msoFileTypeExcelWorkbooks
msoFileTypeJournalItem
msoFileTypeMailItem
msoFileTypeNoteItem
msoFileTypeOfficeFiles
msoFileTypeOutlookItems
msoFileTypePhotoDrawFiles
msoFileTypePowerPointPresentations
msoFileTypeProjectFiles
msoFileTypePublisherFiles
msoFileTypeTaskItem
msoFileTypeTemplates
msoFileTypeVisioFiles
msoFileTypeWebPages
msoFileTypeWordDocuments

expresión.FileType

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Comentarios

La constante msoFileTypeOfficeFiles incluye todos los archivos que tienen una de las siguientes extensiones: *.doc, *.xls, *.ppt, *.pps, *.obd, *.mdb, *.mpd, *.dot, *.xlt, *.pot, *.obt, *.htm, or *.html.

Ejemplo

Este ejemplo busca todos los archivos de Cuaderno ubicados en la carpeta My Documents. El ejemplo muestra en un cuadro de mensaje con el nombre y la ubicación de cada archivo encontrado.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileType = msoFileTypeBinders
    If .Execute > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " Binder file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no Binder files found."
    End If
End With


Propiedad FileTypes

Devuelve una colección FileTypes.

expresión.FileTypes

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

El ejemplo siguiente busca todos los archivos de Microsoft Excel y HTML de la unidad C:\.

Sub SearchForFiles()

    'Declare a variable to act as a generic counter.
    Dim lngCount As Long

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Clear all the parameters of the previous searches.
        'This method doesn't clear the LookIn property or
        'the SearchFolders collection.
        .NewSearch

        'Setting the FileType property clears the
        'FileTypes collection and sets the first
        'item in the collection to the file type
        'defined by the FileType property.
        .FileType = msoFileTypeWebPages

        'Add a second item to the FileTypes collection.
        .FileTypes.Add msoFileTypeExcelWorkbooks

        'Display the number of FileTypes objects in the collection.
        MsgBox "You are about to search for " & .FileTypes.Count & _
            " file types."

        'Set up the search to look in all subfolders on the C:\ drive.
        .LookIn = "C:\"
        .SearchSubFolders = True

        'Execute the search and test to see if any files
        'were found.
        If .Execute <> 0 Then

            'Display the number of files found.
            MsgBox "Files found: " & .FoundFiles.Count

            'Loop through the list of found files and
            'display the path of each one in a message box.
            For lngCount = 1 To .FoundFiles.Count
                If MsgBox(.FoundFiles.Item(lngCount), vbOKCancel, _
                    "Found files") = vbCancel Then

                    'Break out of the loop
                    lngCount = .FoundFiles.Count

                End If
            Next lngCount
        Else
            MsgBox "No files found."
        End If
    End With
End Sub


Propiedad FilterIndex

Devuelve o establece un valor Long que indica el filtro de archivos predeterminado de un cuadro de diálogo de archivos. El filtro predeterminado determina qué tipos de archivos se muestran al abrir por primera vez el cuadro de diálogo de archivos. Lectura/Escritura.

expresión.FilterIndex

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Comentarios

Si intenta establecer esta propiedad a un número superior que el de filtros, se seleccionará el último filtro disponible.

Ejemplo

El ejemplo siguiente muestra un cuadro de diálogo Selector de archivos mediante el objeto File Dialog, así como cada archivo seleccionado en un cuadro de mensaje. Este ejemplo muestra también cómo agregar un filtro de archivos nuevo y hacer que sea el filtro predeterminado.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Add a filter that includes GIF and JPEG images and make it the second item in the list.
        .Filters.Add "Images", "*.gif; *.jpg; *.jpeg", 2

        'Sets the initial file filter to number 2.
        .FilterIndex = 2

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Propiedad Filters

Devuelve una colección FileDialogFilters.

expresión.Filters

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

El ejemplo siguiente muestra un cuadro de diálogo Selector de archivos mediante el objeto File Dialog, así como cada archivo seleccionado en un cuadro de mensaje. El ejemplo agrega también un filtro de archivos nuevo denominado "Images."

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Add a filter that includes GIF and JPEG images and make it the first item in the list.
        .Filters.Add "Images", "*.gif; *.jpg; *.jpeg", 1

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Propiedad FixedWidthFont

Establece o devuelve la opción de fuente de ancho fijo en la aplicación host. String de Lectura/Escritura.

Comentarios

Cuando establece la propiedad FixedWidthFont, la aplicación host no comprueba si el valor es válido.

Ejemplo

Este ejemplo establece la fuente y el tamaño de fuente de ancho fijo para el conjunto de caracteres Inglés/Europeo occidental/Otro alfabeto latino dentro de la aplicación activa.

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFont = "System"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFontSize = 12


Propiedad FixedWidthFontSize

Establece o devuelve la opción de tamaño de fuente de ancho fijo en la aplicación host, en puntos. Single de lectura/escritura.

Comentarios

Cuando establece la propiedad FixedWidthFontSize, la aplicación host no comprueba si el valor es válido. Si especifica un valor no válido, como puede ser un carácter no numérico, la aplicación host establecerá el tamaño en 0 puntos. Puede asignar los tamaños de medio en medio punto; si inserta otras fracciones de tamaño en puntos, éstas se redondearán hacia arriba o hacia abajo al medio punto más cercano.

Ejemplo

Este ejemplo establece la fuente y el tamaño de fuente de ancho fijo para el conjunto de caracteres Inglés/Europeo occidental/Otro alfabeto latino dentro de la aplicación activa.

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFont = "System"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFontSize = 12


Propiedad FoundFiles

Devuelve un objeto FoundFiles que contiene los nombres de todos los archivos encontrados en la operación de búsqueda. Es de sólo lectura.

Ejemplo

Este ejemplo recorre la lista de archivos encontrados durante la búsqueda y muestra la ruta de acceso de cada archivo.

With Application.FileSearch
For i = 1 To .FoundFiles.Count
    MsgBox .FoundFiles(i)
Next I
End With


Propiedad GuessHelp

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

True si el Ayudante de Office muestra una lista de temas de Ayuda relevantes basados en el contexto en que se encuentre el usuario inmediatamente antes de hacer clic en la ventana del Ayudante o presionar F1. Boolean de Lectura/Escritura.

Comentarios

La propiedad GuessHelp corresponde a la opción Sugerir temas de Ayuda de Utilizar el Ayudante de Office en la ficha Opciones del cuadro de diálogo Ayudante de Office.

Ejemplo

Este ejemplo configura el Ayudante de Office para que sugiera temas de Ayuda.

Assistant.GuessHelp = True


Propiedad Guid

Devuelve el identificador de clase exclusivo global (GUID) para el objeto COMAddIn especificado. String de sólo lectura.

Ejemplo

El ejemplo siguiente muestra en un cuadro de mensaje el ProgID y el GUID del complemento COM uno.

MsgBox "My ProgID is " & _
    Application.COMAddIns(1).ProgID & _
    " and my GUID is " & _
    Application.COMAddIns(1).Guid


Propiedad Heading

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Devuelve o establece el encabezado que aparece en el diálogo Ayudante de Office. String de Lectura/Escritura.

Comentarios

Puede especificar que se muestre un gráfico en el título de globo de texto utilizando la sintaxis siguiente: {type location sizing_factor}, donde type es bmp (mapa de bits) o wmf (metarchivo de Windows), location es el identificador de recursos o la ruta de acceso y nombre de archivo, y sizing_factor indica el ancho del wmf (se omite para los bmp).

El título de globo de texto también admite texto subrayado y texto que tiene aplicado uno de los 16 colores de la paleta del sistema. Para mostrar el texto subrayado de un título, utilice la sintaxis {ul} o {ul 1}; utilice {ul 0} para desactivar el subrayado. Para cambiar el color del texto del título, inserte delante de la cadena de texto la secuencia de caracteres {cf number}, donde number es uno de los colores de sistema incluidos en la siguiente tabla.

Número de color del sistema | Color
0 | Negro
1 | Rojo oscuro
2 | Verde oscuro
3 | Amarillo oscuro
4 | Azul marino
5 | Púrpura
6 | Verde azulado
7 | Plateado
248 | Gris claro
249 | Rojo
250 | Verde
251 | Amarillo
252 | Azul
253 | Fucsia
254 | Aguamarina
255 | Blanco

Si especifica un número distinto de los números de color especificados aquí, el texto del título será negro.

Ejemplo

Este ejemplo crea un diálogo con encabezado, texto y tres opciones de región y, a continuación, lo muestra.

With Assistant.NewBalloon
    .Button = msoButtonSetOkCancel
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With


Propiedad Height

Devuelve o establece el alto del control de la barra de comandos o de la barra de comandos. Long de Lectura/Escritura.

expresión.Height

expresión Requerida. Expresión que devuelve uno de los objetos anteriores.

Ejemplo

Este ejemplo agrega un control personalizado a la barra de comandos denominada Custom. El ejemplo establece el alto del control personalizado en el doble del alto de la barra de comandos y establece el ancho del control en 50 píxeles. Observe cómo la barra de comandos cambia su tamaño de forma automática para adaptarlo al control.

Set myBar = CommandBars("Custom")
barHeight = myBar.Height
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    Id:= CommandBars("Standard").Controls("Save").Id, _
     Temporary:=True)
With myControl
    .Height = barHeight * 2
    .Width = 50
End With
myBar.Visible = True


Propiedad HelpContextId

Devuelve o establece el identificador de contexto del tema de Ayuda adjunto al control de barra de comandos. Long de Lectura/Escritura.

Comentarios

Para utilizar esta propiedad, también debe establecer la propiedad HelpFile. Los temas de la Ayuda se obtienen presionando Mayús+F1.

Ejemplo

Este ejemplo agrega una barra de comandos personalizada con un cuadro combinado que realiza el seguimiento de los datos almacenados. Además, este ejemplo especifica el tema de la Ayuda que se va a mostrar en el cuadro combinado cuando el usuario presiona MAYÚS+F1.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
    .HelpFile = "C:\corphelp\custom.hlp"
    .HelpContextID = 47
End With


Propiedad HelpFile

Devuelve o establece el nombre de archivo del tema de Ayuda adjunto al control de barra de comandos. String de Lectura/Escritura.

Comentarios

Para utilizar esta propiedad, también debe establecer la propiedad HelpContextID. Los temas de la Ayuda se obtienen presionando MAYÚS+F1.

Ejemplo

Este ejemplo agrega una barra de comandos personalizada con un cuadro combinado que realiza el seguimiento de los datos almacenados. Además, este ejemplo especifica el tema de la Ayuda que se va a mostrar en el cuadro combinado cuando el usuario presiona MAYÚS+F1.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
    .HelpFile = "C:\corphelp\custom.hlp"
    .HelpContextID = 47
End With


Propiedad HighPriorityTips

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

True si el Ayudante de Office muestra sugerencias de prioridad alta. Boolean de Lectura/Escritura.

Comentarios

La propiedad HighPriorityTips corresponde a la opción Mostrar sólo sugerencias de prioridad alta de Mostrar sugerencias acerca de en la ficha Opciones del cuadro de diálogo Ayudante de Office.

Ejemplo

Este ejemplo configura el Ayudante de Office para que muestre sugerencias de prioridad alta.

Assistant.HighPriorityTips = True


Propiedad HTMLProjectItems

Devuelve la colección HTMLProjectItems que se incluye en el proyecto HTML especificado. HTMLProjectItems de sólo lectura.

Ejemplo

Este ejemplo devuelve el número de elementos incluidos en la colección HTMLProjectItems del proyecto HTML del libro activo.

intCount = ActiveWorkbook.HTMLProject.HTMLProjectItems.Count


Propiedad HyperlinkType

Establece o devuelve el tipo de hipervínculo asociado con el botón de la barra de comandos. MsoCommandBarButtonHyperlinkType de Lectura/Escritura.

MsoCommandBarButtonHyperlinkType puede ser una de estas constantes de MsoCommandBarButtonHyperlinkType.
msoCommandBarButtonHyperlinkInsertPicture
msoCommandBarButtonHyperlinkNone
msoCommandBarButtonHyperlinkOpen

Ejemplo

Este ejemplo comprueba la propiedad HyperlinkType para el botón especificado de la barra de comandos en la barra de comandos denominada "Custom". Si HyperlinkType se establece en msoCommandBarButtonHyperlinkNone, el ejemplo establecerá la propiedad en msoCommandBarButtonHyperlinkOpen y la URL en www.microsoft.com.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
Set myButton = myBar.Controls.Add(Type:=msoControlButton)
With myButton
    .FaceId = 277
    .HyperlinkType = msoCommandBarButtonHyperlinkNone
End With
If myButton.HyperlinkType <> _
    msoCommandBarButtonHyperlinkOpen Then
    myButton.HyperlinkType = _
        msoCommandBarButtonHyperlinkOpen
    myButton.TooltipText = "www.microsoft.com"
End If


Propiedad Icon

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Devuelve o establece el tipo de icono que aparece en la parte superior izquierda del globo Ayudante de Office. MsoIconType de Lectura/Escritura.

MsoIconType puede ser una de estas constantes de MsoIconType.
msoIconAlert
msoIconAlertCritical
msoIconAlertInfo
msoIconAlertQuery
msoIconAlertWarning
msoIconNone
msoIconTip

Ejemplo

Este ejemplo crea un globo con un icono de "Alerta" que indica al usuario que seleccione una impresora.

With Assistant.NewBalloon
    .Heading = "Select A Printer"
    .Text = "You must select a printer before printing."
    .Icon = msoIconAlert
    .CheckBoxes(1).Text = "Local printer"
    .CheckBoxes(2).Text = "Network printer"
    .Show
End With


Propiedad Id

Propiedad Id, según se aplica a los objetos CommandBarButton, CommandBarComboBox y CommandBarControl.

Devuelve el Id. para un control de la barra de comandos integrado. Long de sólo lectura.

expresión.Id

expresión Requerida. Una expresión que devuelve uno de los objetos anteriores.

Comentarios

Un Id. de control determina la acción integrada para ese control. El valor de la propiedad Id para todos los controles personalizados es 1.

Propiedad Id, según se aplica al objeto Script.

Establece o devuelve el ID de un objeto Script. String de Lectura/Escritura.

expresión.Id

expresión Requerida. Expresión que devuelve un objeto Script.

Comentarios

El ID devuelto es el atributo ID de la etiqueta <SCRIPT> en HTML. Si no se ha especificado un atributo ID en la etiqueta <SCRIPT>, la propiedad Id devolverá una cadena vacía.

Id especifica un identificador SGML utilizado para denominar elementos. Entre los identificadores válidos se incluye cualquier cadena que comience con una letra y esté constituida por caracteres alfanuméricos; la cadena también puede incluir el carácter de subrayado ( _ ).

El ID debe ser único dentro del documento HTML.

Ejemplo

Según se aplica a los objetos CommandBarButton, CommandBarComboBox y CommandBarControl.

Este ejemplo cambia la cara del botón del primer control en la barra de comandos denominada "Custom2" si el valor del Id. del botón es inferior a 25.

Set ctrl = CommandBars("Custom").Controls(1)
With ctrl
    If .Id < 25 Then
        .FaceId = 17
        .Tag = "Changed control"
    End If
End With

El siguiente ejemplo cambia el título de cada control de la barra de comandos denominada "Standard" al valor actual de la propiedad Id para ese control.

For Each ctl In CommandBars("Standard").Controls
    ctl.Caption = CStr(ctl.Id)
Next ctl

Según se aplica al objeto Script.

Este ejemplo establece un nuevo valor para la propiedad Id de la primera secuencia de comandos de la hoja uno del libro activo.

ActiveWorkbook.Worksheets(1).Scripts(1).Id = "UpdatedScriptName"


Propiedad Index

Devuelve un valor Long, que representa el número de índice de un objeto de la colección. Es de sólo lectura.

expresión.Index

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Comentarios

La posición del primer control de barra de comandos es 1. Los separadores no se cuentan en la colección CommandBarControls.

Ejemplo

Este ejemplo busca en la barra de comandos denominada "Custom2" un control con un número de Id. igual a 23. Si se encuentra este control y su número de índice es mayor que 5, el control se situará en primer lugar en la barra de comandos.

Set myBar = CommandBars("Custom2")
Set ctrl1 = myBar.FindControl(Id:=23)
If ctrl1.Index > 5 Then
    ctrl1.Move before:=1
End If


Propiedad InitialFileName

Establece o devuelve un valor String que representa la ruta de acceso y/o nombre de archivo que se muestra inicialmente en un cuadro de diálogo de archivos. Lectura/Escritura.

expresión.InitialFileName

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Comentarios

Puede utilizar los caracteres comodín '*' (asterisco) e '?' (interrogación) al especificar el nombre de archivo, pero no al especificar la ruta de acceso. '*' (asterisco) representa cualquier número de caracteres consecutivos e '?' (interrogación) un solo carácter. Por ejemplo, .InitialFileName = "c:\c*s.txt" devolverá "charts.txt" y "checkregister.txt."

Si especifica la ruta de acceso sin el nombre del archivo, aparecerán todos los archivos que pasan el filtro de archivos en el cuadro de diálogo.

Si especifica un archivo que se encuentra en la carpeta de inicio, sólo aparecerá este archivo en el cuadro de diálogo.

Si especifica un nombre de archivo que no está en la carpeta de inicio, en el cuadro de diálogo no aparecerá ningún archivo. El tipo de archivo que especifique en la propiedad InitialFileName sobrescribirá los valores del filtro de archivos.

Si especifica una ruta de acceso no válida, se utilizará la última que haya utilizado. Un mensaje advertirá al usuario de que se ha utilizado una ruta de acceso no válida.

Si se establece esta propiedad en una cadena superior a 256 caracteres se producirá un error de tiempo de ejecución.

Ejemplo

El ejemplo siguiente muestra un cuadro de diálogo Selector de archivos mediante el objeto File Dialog, así como cada archivo seleccionado en un cuadro de mensaje.

Sub Main()

    'Declare a variable as a FileDialog object
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Set the initial path to the C:\ drive.
        .InitialFileName = "C:\"

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Propiedad InitialView

Devuelve o establece una constante de MsoFileDialogView que representa la presentación inicial de archivos y carpetas en un cuadro de diálogo de archivos. Lectura/Escritura.

MsoFileDialogView puede ser una de estas constantes de MsoFileDialogView.
msoFileDialogViewDetails
msoFileDialogViewLargeIcons
msoFileDialogViewList
msoFileDialogViewPreview
msoFileDialogViewProperties
msoFileDialogViewSmallIcons
msoFileDialogViewThumbnail Esta constante sólo está disponible en Microsoft Windows 2000, Microsoft Windows Millennium Edition o posterior.
msoFileDialogViewWebView No disponible. Si selecciona esta constante, se utilizará la vista predeterminada.

expresión.InitialView

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

El ejemplo siguiente muestra un cuadro de diálogo Selector de archivos en vista detallada mediante el objeto File Dialog, así como cada archivo seleccionado en un cuadro de mensaje.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Set the initial view to the details view.
        .InitialView = msoFileDialogViewDetails

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Propiedad Introduction

Establece o devuelve el texto de introducción que se incluye en un documento enviado utilizando el objeto MsoEnvelope. El texto de introducción se incluye en la parte superior del documento de correo electrónico. String de Lectura/Escritura.

expresión.Introduction

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

El ejemplo siguiente envía el documento activo de Microsoft Word como un correo electrónico a la dirección de correo electrónico que pase a la subrutina.

Sub SendMail(ByVal strRecipient As String)

    'Use a With...End With block to reference the MsoEnvelope object.
    With Application.ActiveDocument.MailEnvelope

        'Add some introductory text before the body of the e-mail.
        .Introduction = "Please read this and send me your comments."

        'Return a MailItem object that you can use to send the document.
        With .Item

            'All of the mail item settings are saved with the document.
            'When you add a recipient to the Recipients collection
            'or change other properties these settings will persist.

            .Recipients.Add strRecipient
            .Subject = "Here is the document."

            'The body of this message will be
            'the content of the active document.
            .Send
        End With
    End With
End Sub


Propiedad IsCertificateExpired

True si el certificado digital que corresponde al objeto Signature ha caducado. Boolean de sólo lectura.

expresión.IsCertificateExpired

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

En el ejemplo siguiente se solicita al usuario que seleccione una firma digital para firmar el documento activo de Microsoft Word. Para utilizar este ejemplo, abra un documento de Word y pase a esta función los nombres de un emisor y de un firmante de certificados en los campos Emitido por y Emitido para de un certificado digital, en el cuadro de diálogo Certificados digitales. Este ejemplo comprueba que la firma digital que el usuario selecciona cumple ciertos criterios, como no haber caducado, antes de que se guarde la firma nueva en el disco.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Propiedad IsCertificateRevoked

True si el emisor del certificado digital que corresponde al objeto Signature lo ha revocado. Boolean de sólo lectura.

expresión.IsCertificateRevoked

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

En el ejemplo siguiente se solicita al usuario que seleccione una firma digital para firmar el documento activo de Microsoft Word. Para utilizar este ejemplo, abra un documento de Word y pase a esta función los nombres de un emisor y de un firmante de certificados en los campos Emitido por y Emitido para de un certificado digital, en el cuadro de diálogo Certificados digitales. Este ejemplo comprueba que la firma digital que el usuario selecciona cumple ciertos criterios, como no haber caducado, antes de que se guarde la firma nueva en el disco.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Propiedad IsOpen

True si el proyecto HTML está abierto en el Editor de secuencias de comandos de Microsoft. Boolean de sólo lectura.

Ejemplo

Este ejemplo determina si está abierto el elemento especificado del proyecto HTML. Si lo está, el ejemplo cargará la secuencia de comandos del archivo especificado.

If ActiveWorkbook.HTMLProject.HTMLProjectItems _
    .Item(1).IsOpen Then
    ActiveWorkbook.HTMLProject.HTMLProjectItems _
        .Item(1).LoadFromFile ("C:\MyScript.txt")
Else
    MsgBox "The HTMLProjectItem is not open."
End If


Propiedad IsPriorityDropped

True si el control no se encuentra actualmente en el menú o en la barra de herramientas que se basa en las estadísticas de uso y en la distribución del espacio. Nótese que no se trata de lo mismo que la visibilidad de controles definida en la propiedad Visible. Un control con la propiedad Visible establecida en True, no estará visible inmediatamente en un menú personalizado o barra de herramientas si IsPriorityDropped es True. Boolean de sólo lectura.

Comentarios

Para determinar cuándo establecer IsPriorityDropped en True para un elemento de menú específico, Microsoft Office mantiene un recuento total del número de veces que se utilizó el elemento de menú y un registro del número de diferentes sesiones de la aplicación en las que el usuario utilizó otro elemento del mismo menú sin utilizar dicho elemento. Cuando este valor alcanza determinados valores de umbral, el recuento disminuye. Cuando el recuento llega a cero, la propiedad IsPriorityDropped se establece en True. Los programadores no pueden establecer el valor de la sesión, ni el valor del umbral, ni la propiedad IsPriorityDropped. Sin embargo, pueden utilizar la propiedad AdaptiveMenus para deshabilitar los menús adaptables en menús específicos de una aplicación.

Para determinar cuándo establecer IsPriorityDropped en True para un control específico de una barra de herramientas, Office mantiene una lista del orden en que se ejecutaron por última vez los controles de esa barra de herramientas. Una barra de herramientas mostrará tantos controles como tenga espacio para mostrar, comenzando por el que se utilizó por última vez hasta el que se utilizó menos recientemente. Los controles que tengan la propiedad Priority establecida en 1 se mostrarán siempre y la barra de herramientas ajustará las filas, en caso necesario, para mostrar estos controles. Los programadores pueden utilizar la propiedad Priority para que se muestren siempre determinados controles de una barra de herramientas o para volver a colocar barras de herramientas, de modo que haya espacio suficiente para mostrar todos los controles.

Puede utilizar la siguiente tabla para predecir el número de sesiones durante las que un elemento de menú de un menú personalizado quedará visible antes de que la propiedad IsPriorityDropped del mismo se establezca en True.

Número de veces de utilización del control de la barra de comandos | Número de sesiones de la aplicación
0, 1 | 3
2 | 6
3 | 9
4, 5 | 12
6- 8 | 17
9-13 | 23
14-24 | 29
25 o más | 31

Ejemplo

Este ejemplo comprueba la propiedad IsPriorityDropped para el primer control de la barra de comandos denominada "Custom". Si IsPriorityDropped es True, el ejemplo establece la propiedad AdaptiveMenus en False, restaurando la barra de comandos perdida.

If CommandBars("Custom").Controls(1).IsPriorityDropped Then
    CommandBars.AdaptiveMenus = True
End If


Propiedad Issuer

Devuelve un valor String que representa el nombre del emisor del certificado digital que corresponde al objeto Signature. Es de sólo lectura.

expresión.Issuer

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

En el ejemplo siguiente se solicita al usuario que seleccione una firma digital para firmar el documento activo de Microsoft Word. Para utilizar este ejemplo, abra un documento de Word y pase a esta función los nombres de un emisor y de un firmante de certificados en los campos Emitido por y Emitido para de un certificado digital, en el cuadro de diálogo Certificados digitales. Este ejemplo comprueba que la firma digital que el usuario selecciona cumple ciertos criterios, como no haber caducado, antes de que se guarde la firma nueva en el disco.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Propiedad IsValid

True si el certificado digital que corresponde al objeto Signature es válido. Un certificado puede no ser válido por diferentes motivos: desde haber caducado hasta haberse producido cambios en el documento que lo contiene. Boolean de sólo lectura.

expresión.IsValid

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

En el ejemplo siguiente se solicita al usuario que seleccione una firma digital para firmar el documento activo de Microsoft Word. Para utilizar este ejemplo, abra un documento de Word y pase a esta función los nombres de un emisor y de un firmante de certificados en los campos Emitido por y Emitido para de un certificado digital, en el cuadro de diálogo Certificados digitales. Este ejemplo comprueba que la firma digital que el usuario selecciona cumple ciertos criterios, como no haber caducado, antes de que se guarde la firma nueva en el disco.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Propiedad Item

Propiedad Item cuando se aplica a la colección FileTypes.

Devuelve un valor que indica el tipo de archivo que se buscará mediante el método Execute del objeto FileSearch. MsoFileType de sólo lectura.

MsoFileType puede ser una de estas constantes de MsoFileType.
msoFileTypeAllFiles
msoFileTypeBinders
msoFileTypeCalendarItem
msoFileTypeContactItem
msoFileTypeDatabases
msoFileTypeDataConnectionFiles
msoFileTypeDesignerFiles
msoFileTypeDocumentImagingFiles
msoFileTypeExcelWorkbooks
msoFileTypeJournalItem
msoFileTypeMailItem
msoFileTypeNoteItem
msoFileTypeOfficeFiles
msoFileTypeOutlookItems
msoFileTypePhotoDrawFiles
msoFileTypePowerPointPresentations
msoFileTypeProjectFiles
msoFileTypePublisherFiles
msoFileTypeTaskItem
msoFileTypeTemplates
msoFileTypeVisioFiles
msoFileTypeWebPages
msoFileTypeWordDocuments

expresión.Item(Index)

expresión Requerida. Expresión que devuelve una colección FileTypes.

Index Long requerido. Número de índice del objeto que se va a devolver.

Propiedad Item cuando se aplica al objeto CommandBars.

Devuelve un objeto CommandBar de la colección CommandBars.

expresión.Item(Index)

expresión Requerida. Expresión que devuelve un objeto CommandBars.

Index Variant requerido. Nombre o número de índice del objeto que se va a devolver.

Propiedad Item cuando se aplica al objeto CommandBarControls.

Devuelve un objeto CommandBarControl de la colección CommandBarControls.

expresión.Item(Index)

expresión Requerida. Expresión que devuelve un objeto CommandBarControls.

Index Variant requerido. Nombre o número de índice del objeto que se va a devolver.

Propiedad Item cuando se aplica al objeto DocumentProperties.

Devuelve un objeto DocumentProperty de la colección DocumentProperties.

expresión.Item(Index)

expresión Requerida. Expresión que devuelve un objeto DocumentProperties.

Index Variant requerido. Nombre o número de índice de la propiedad de documento que se va a devolver.

Propiedad Item cuando se aplica a los objetos BalloonCheckboxes y BalloonLabels.

Devuelve un objeto BalloonCheckBox o BalloonLabel .

expresión.Item(Index)

expresión Requerida. Expresión que devuelve uno de los objetos anteriores.

Index Long requerido. Número de índice de la casilla de verificación o rótulo que se va a devolver.

Propiedad Item cuando se aplica al objeto MsoEnvelope.

Devuelve un objeto MailItem que puede utilizarse para enviar el documento como un correo electrónico.

expresión.Item

expresión Requerida. Expresión que devuelve un objeto MsoEnvelope.

Propiedad Item cuando se aplica al objeto PropertyTests.

Devuelve un objeto PropertyTest de la colección PropertyTests.

expresión.Item(Index)

expresión Requerida. Expresión que devuelve un objeto PropertyTests.

Index Long requerido. Número de índice de la prueba de propiedad que se va a devolver.

Propiedad Item cuando se aplica a los objetos ScopeFolders y SearchFolders.

Devuelve un objeto ScopeFolder que representa una subcarpeta del objeto primario.

expresión.Item(Index)

expresión Requerida. Expresión que devuelve uno de los objetos anteriores.

Index Long requerido. Determina qué subcarpeta devuelve.

Propiedad Item cuando se aplica al objeto SearchScopes.

Devuelve un objeto SearchScope que corresponde al área en que se realizará la búsqueda de archivos, como las unidades locales o las carpetas de Microsoft Outlook.

expresión.Item(Index)

expresión Requerida. Expresión que devuelve un objeto SearchScopes.

Index Long requerido. Determina qué objeto SearchScope devuelve.

Propiedad Item cuando se aplica al objeto SignatureSet.

Devuelve un objeto Signature que corresponde al de las firmas digitales con las que está firmado el documento actualmente.

expresión.Item(iSig)

expresión Requerida. Expresión que devuelve un objeto SignatureSet.

iSig Long requerido. Determina qué objeto Signature devuelve.

Propiedad Item cuando se aplica a los objetos AnswerWizardFiles y FoundFiles.

Devuelve una cadena de nombres de archivo de una colección AnswerWizardFiles o un nombre de archivo de la lista de nombres de archivo que representa el objeto FoundFiles, respectivamente. String de sólo lectura.

expresión.Item(Index)

expresión Requerida. Expresión que devuelve uno de los objetos anteriores.

Index Long requerido. Número de índice de la cadena de nombre de archivo del Asistente para Ayuda o el nombre del archivo que devuelve.

Propiedad Item cuando se aplica a los objetos Assistant, BalloonCheckbox, BalloonLabel y FileDialog.

Devuelve el texto asociado al objeto especificado. String de sólo lectura.

expresión.Item

expresión Requerida. Expresión que devuelve uno de los objetos anteriores.

Propiedad Item cuando se aplica al objeto WebPageFonts.

Devuelve un objeto WebPageFont de la colección WebPageFonts para un valor determinado de MsoCharacterSet.

expresión.Item(Index)

expresión Requerida. Expresión que devuelve uno de los objetos anteriores.

Index MsoCharacterSet requerido. El juego de caracteres especificado.

MsoCharacterSet puede ser una de estas constantes de MsoCharacterSet.
msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese

Ejemplo

Cuando se aplica al objeto CommandBars.

Item es el miembro predeterminado del objeto o colección. Las dos siguientes instrucciones asignan un objeto CommandBar a cmdBar.

Set cmdBar = CommandBars.Item("Standard")
Set cmdBar = CommandBars("Standard")

Cuando se aplica a los objetos BalloonCheckboxes y BalloonLabels.

Item es el miembro predeterminado del objeto o colección. Las dos instrucciones siguientes asignan a lblText el texto del primer rótulo del objeto Balloon asignado a myBalloon.

lblText = myBalloon.Labels(1).Item
lblText = myBalloon.Labels(1)

Cuando se aplica a los objetos AnswerWizardFiles y FoundFiles.

Este ejemplo restablece la lista de archivos del Asistente para Ayuda actual y muestra el número de archivos y los nombres de los mismos en un cuadro de mensaje, utilizando la propiedad Item para devolver los nombres de archivo.

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer
Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "There are " & customAnswerWizard.Files.Count & _
    " files avaialble through this AnswerWizard: " & _
    Chr(13) & strFileList

Cuando se aplica al objeto WebPageFonts.

El ejemplo siguiente utiliza la propiedad Item para establecer myFont en el objeto WebPageFont del juego de caracteres Inglés/Europeo occidental/Otro alfabeto latino en la aplicación activa.

Dim myFont As WebPageFont
Set myFont = _
 Application.DefaultWebOptions.Fonts. _
 Item(msoCharacterSetEnglishWesternEuropeanOtherLatinScript)

Cuando se aplica al objeto MsoEnvelope.

El ejemplo siguiente envía el documento activo de Microsoft Word como un correo electrónico a la dirección de correo electrónico que pase a la subrutina.

Sub SendMail(ByVal strRecipient As String)

    'Use a With...End With block to reference the msoEnvelope object.
    With Application.ActiveDocument.MailEnvelope

        'Add some introductory text before the body of the e-mail message.
        .Introduction = "Please read this and send me your comments."

        'Return a MailItem object that you can use to send the document.
        With .Item

            'All of the mail item settings are saved with the document.
            'When you add a recipient to the Recipients collection
            'or change other properties these settings will persist.

            .Recipients.Add strRecipient
            .Subject = "Here is the document."

            'The body of this message will be
            'the content of the active document.
            .Send
        End With
    End With
End Sub


Propiedad KeyboardShortcutTips

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

True si el Ayudante de Office proporciona información de Ayuda acerca de los métodos abreviados del teclado. Boolean de Lectura/Escritura.

Comentarios

La propiedad KeyboardShortcutTips corresponde a la opción Métodos abreviados de Mostrar sugerencias acerca de en la ficha Opciones del cuadro de diálogo Ayudante de Office.

Ejemplo

Este ejemplo configura el Ayudante de Office para que ofrezca información de Ayuda acerca de las teclas de método abreviado.

Assistant.KeyboardShortcutTips = True


Propiedad Labels

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Devuelve una colección BalloonLabels que representa todos los rótulos de botones, rótulos de números y rótulos de viñetas contenidos en el globo Ayudante de Office especificado. Es de sólo lectura.

Para obtener más información acerca de cómo devolver un solo miembro de una colección, vea Devolver un objeto de una colección.

Ejemplo

Este ejemplo crea un globo que contiene tres opciones. La variable x se configura como el valor devuelto por el método Show, que será 1, 2 ó 3 según el rótulo seleccionado por el usuario. En el ejemplo, un cuadro de mensaje muestra el valor de la variable x, pero puede pasar el valor a otro procedimiento o puede utilizarlo en una instrucción Select Case.

Set b = Assistant.NewBalloon
With b
    .Heading = "This is my heading"
    .Text = "Select one of these things:"
    .Labels(1).Text = "Choice One"
    .Labels(2).Text = "Choice Two"
    .Labels(3).Text = "Choice Three"
    x = .Show
End With
MsgBox x


Propiedad Language

Especifica o devuelve el idioma de la secuencia de comandos activa. MsoScriptLanguage de Lectura/Escritura.

MsoScriptLanguage puede ser una de estas constantes de MsoScriptLanguage.
msoScriptLanguageASP
msoScriptLanguageJava
msoScriptLanguageOther
msoScriptLanguageVisualBasic

Comentarios

Las constantes MsoScriptLanguage utilizadas con la propiedad Language también se utilizan en el parámetro Language del método Add de la colección Scripts.

Ejemplo

Este ejemplo comprueba la propiedad Language para asegurarse de que la primera secuencia de caracteres de la hoja uno del libro activo está escrita en VBScript.

If ActiveWorkbook.Worksheets(1).Scripts(1).Language <> _
    msoScriptLanguageVisualBasic Then
      MsgBox "Language is not set to VBScript."
End If


Propiedad LanguageID

Devuelve el identificador local (LCID) del lenguaje de instalación, del idioma de la interfaz de usuario o del idioma de la Ayuda. Long de sólo lectura.

expresión.LanguageID(Id)

expresión Requerida. Expresión que devuelve un objeto LanguageSettings.

Id MsoAppLanguageID Requerida.

Constante MsoAppLanguageID | Significado
msoLanguageIDExeMode | El modo de idioma que está utilizando la aplicación. Esta opción se aplica sólo a Microsoft Excel y Microsoft Access. Esta opción afecta a los idiomas se que pueden mostrar y editar, así como a las características específicas de idioma disponibles, el estilo de los números, las opciones de moneda, etc. Si no se utiliza ninguno de los idiomas admitidos en Excel y Access, la aplicación host no se configurará para admitir los idiomas orientales de escritura de derecha a izquierda. Los idiomas admitidos son los siguientes: Árabe Chino simplificado Chino tradicional Coreano Hebreo Japonés Persa Urdu Yiddish
msoLanguageIDHelp | Idioma utilizado para la Ayuda en pantalla.
msoLanguageIDInstall | Opciones de idioma utilizadas por Microsoft Office para configurar los valores predeterminados. Por ejemplo, Microsoft Word utiliza esta opción para determinar el diseño de las barras de herramientas y los tipos predeterminados de viñetas y números basados en cada idioma.
msoLanguageIDUI | Idioma utilizado por la interfaz de usuario de la aplicación host.
msoLanguageIDUIPrevious | Opción de idioma de la interfaz de usuario en el momento en el que el equipo se reinició por última vez. Un programa o complemento puede utilizar esto para determinar si ha cambiado el idioma de la interfaz de usuario.

Ejemplo

Este ejemplo de Microsoft Excel comprueba las opciones de la propiedad LanguageID para la interfaz de usuario, así como el modo de ejecución para verificar que están establecidos en el mismo LCID. El ejemplo devolverá un error si encuentra una discrepancia.

If Application.LanguageSettings.LanguageID(msoLanguageIDExeMode) _
    <> Application.LanguageSettings.LanguageID(msoLanguageIDUI) _
    Then MsgBox "The user interface language and execution " & _
    "mode are different."


Propiedad LanguagePreferredForEditing

Devuelve True si se ha modificado el valor de la constante msoLanguageID en el registro de Windows como idioma preferido para edición. Boolean de sólo lectura.

expresión.LanguagePreferredForEditing(lid)

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

lid MsoLanguageID Requerida.

MsoLanguageID puede ser una de estas constantes de MsoLanguageID.
msoLanguageIDAfrikaans
msoLanguageIDAlbanian
msoLanguageIDAmharic
msoLanguageIDArabic
msoLanguageIDArabicAlgeria
msoLanguageIDArabicBahrain
msoLanguageIDArabicEgypt
msoLanguageIDArabicIraq
msoLanguageIDArabicJordan
msoLanguageIDArabicKuwait
msoLanguageIDArabicLebanon
msoLanguageIDArabicLibya
msoLanguageIDArabicMorocco
msoLanguageIDArabicOman
msoLanguageIDArabicQatar
msoLanguageIDArabicSyria
msoLanguageIDArabicTunisia
msoLanguageIDArabicUAE
msoLanguageIDArabicYemen
msoLanguageIDArmenian
msoLanguageIDAssamese
msoLanguageIDAzeriCyrillic
msoLanguageIDAzeriLatin
msoLanguageIDBasque
msoLanguageIDBelgianDutch
msoLanguageIDBelgianFrench
msoLanguageIDBengali
msoLanguageIDBrazilianPortuguese
msoLanguageIDBulgarian
msoLanguageIDBurmese
msoLanguageIDByelorussian
msoLanguageIDCatalan
msoLanguageIDCherokee
msoLanguageIDChineseHongKong
msoLanguageIDChineseMacao
msoLanguageIDChineseSingapore
msoLanguageIDCroatian
msoLanguageIDCzech
msoLanguageIDDanish
msoLanguageIDDutch
msoLanguageIDEnglishAUS
msoLanguageIDEnglishBelize
msoLanguageIDEnglishCanadian
msoLanguageIDEnglishCaribbean
msoLanguageIDEnglishIreland
msoLanguageIDEnglishJamaica
msoLanguageIDEnglishNewZealand
msoLanguageIDEnglishPhilippines
msoLanguageIDEnglishSouthAfrica
msoLanguageIDEnglishTrinidad
msoLanguageIDEnglishUK
msoLanguageIDEnglishUS
msoLanguageIDEnglishZimbabwe
msoLanguageIDEstonian
msoLanguageIDFaeroese
msoLanguageIDFarsi
msoLanguageIDFinnish
msoLanguageIDFrench
msoLanguageIDFrenchCameroon
msoLanguageIDFrenchCanadian
msoLanguageIDFrenchCotedIvoire
msoLanguageIDFrenchLuxembourg
msoLanguageIDFrenchMali
msoLanguageIDFrenchMonaco
msoLanguageIDFrenchReunion
msoLanguageIDFrenchSenegal
msoLanguageIDFrenchWestIndies
msoLanguageIDFrenchZaire
msoLanguageIDFrisianNetherlands
msoLanguageIDGaelicIreland
msoLanguageIDGaelicScotland
msoLanguageIDGalician
msoLanguageIDGeorgian
msoLanguageIDGerman
msoLanguageIDGermanAustria
msoLanguageIDGermanLiechtenstein
msoLanguageIDGermanLuxembourg
msoLanguageIDGreek
msoLanguageIDGujarati
msoLanguageIDHebrew
msoLanguageIDHindi
msoLanguageIDHungarian
msoLanguageIDIcelandic
msoLanguageIDIndonesian
msoLanguageIDInuktitut
msoLanguageIDItalian
msoLanguageIDJapanese
msoLanguageIDKannada
msoLanguageIDKashmiri
msoLanguageIDKazakh
msoLanguageIDKhmer
msoLanguageIDKirghiz
msoLanguageIDKonkani
msoLanguageIDKorean
msoLanguageIDLao
msoLanguageIDLatvian
msoLanguageIDLithuanian
msoLanguageIDMacedonian
msoLanguageIDMalayalam
msoLanguageIDMalayBruneiDarussalam
msoLanguageIDMalaysian
msoLanguageIDMaltese
msoLanguageIDManipuri
msoLanguageIDMarathi
msoLanguageIDMexicanSpanish
msoLanguageIDMixed
msoLanguageIDMongolian
msoLanguageIDNepali
msoLanguageIDNone
msoLanguageIDNoProofing
msoLanguageIDNorwegianBokmol
msoLanguageIDNorwegianNynorsk
msoLanguageIDOriya
msoLanguageIDOromo
msoLanguageIDPolish
msoLanguageIDPortuguese
msoLanguageIDPunjabi
msoLanguageIDRhaetoRomanic
msoLanguageIDRomanian
msoLanguageIDRomanianMoldova
msoLanguageIDRussian
msoLanguageIDRussianMoldova
msoLanguageIDSamiLappish
msoLanguageIDSanskrit
msoLanguageIDSerbianCyrillic
msoLanguageIDSerbianLatin
msoLanguageIDSesotho
msoLanguageIDSimplifiedChinese
msoLanguageIDSindhi
msoLanguageIDSlovak
msoLanguageIDSlovenian
msoLanguageIDSorbian
msoLanguageIDSpanish
msoLanguageIDSpanishArgentina
msoLanguageIDSpanishBolivia
msoLanguageIDSpanishChile
msoLanguageIDSpanishColombia
msoLanguageIDSpanishCostaRica
msoLanguageIDSpanishDominicanRepublic
msoLanguageIDSpanishEcuador
msoLanguageIDSpanishElSalvador
msoLanguageIDSpanishGuatemala
msoLanguageIDSpanishHonduras
msoLanguageIDSpanishModernSort
msoLanguageIDSpanishNicaragua
msoLanguageIDSpanishPanama
msoLanguageIDSpanishParaguay
msoLanguageIDSpanishPeru
msoLanguageIDSpanishPuertoRico
msoLanguageIDSpanishUruguay
msoLanguageIDSpanishVenezuela
msoLanguageIDSutu
msoLanguageIDSwahili
msoLanguageIDSwedish
msoLanguageIDSwedishFinland
msoLanguageIDSwissFrench
msoLanguageIDSwissGerman
msoLanguageIDSwissItalian
msoLanguageIDTajik
msoLanguageIDTamil
msoLanguageIDTatar
msoLanguageIDTelugu
msoLanguageIDThai
msoLanguageIDTibetan
msoLanguageIDTigrignaEritrea
msoLanguageIDTigrignaEthiopic
msoLanguageIDTraditionalChinese
msoLanguageIDTsonga
msoLanguageIDTswana
msoLanguageIDTurkish
msoLanguageIDTurkmen
msoLanguageIDUkrainian
msoLanguageIDUrdu
msoLanguageIDUzbekCyrillic
msoLanguageIDUzbekLatin
msoLanguageIDVenda
msoLanguageIDVietnamese
msoLanguageIDWelsh
msoLanguageIDXhosa
msoLanguageIDZulu

Comentarios

Debe comprobar todos los valores msoLanguageID válidos para enumerar el conjunto de idiomas preferidos.

Ejemplo

Este ejemplo muestra un mensaje si el idioma preferido para edición es Inglés (Estados Unidos).

If Application.LanguageSettings. _
    LanguagePreferredForEditing(msoLanguageIDEnglishUS) Then
    MsgBox "One of the preferred editing languages is US English."
End If


Propiedad LargeButtons

True si se muestran botones grandes en la barra de herramientas. Boolean de Lectura/Escritura.

Ejemplo

Este ejemplo alterna el tamaño de presentación de los botones de la barra de herramientas en todas las barras de comandos.

Set allBars = CommandBars
If allBars.LargeButtons Then
    allBars.LargeButtons = False
Else
    allBars.LargeButtons = True
End If


Propiedad LastModified

Devuelve o establece una constante que representa el tiempo transcurrido desde la última vez que se modificó y guardó el archivo. El valor predeterminado es msoLastModifiedAnyTime. MsoLastModified de Lectura/Escritura.

MsoLastModified puede ser una de estas constantes de MsoLastModified.
msoLastModifiedAnyTime
msoLastModifiedLastMonth
msoLastModifiedLastWeek
msoLastModifiedThisMonth
msoLastModifiedThisWeek
msoLastModifiedToday
msoLastModifiedYesterday

Ejemplo

Este ejemplo establece las opciones para la búsqueda de un archivo. Los archivos que devolverá esta búsqueda han sido previamente modificados y están ubicados en la carpeta C:\Mis documentos o en una subcarpeta de ésta.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .LastModified = msoLastModifiedYesterday
End With


Propiedad Left

Puede que algunas partes de este tema no sean aplicables a algunos idiomas.

Propiedad Left cuando se aplica a los objetos Assistant y CommandBar.

Establece o devuelve la posición horizontal de la ventana del Ayudante de Office, en puntos, o la distancia, en puntos, de la barra de comandos, desde el borde izquierdo del objeto especificado con relación a la pantalla. Long de Lectura/Escritura.

expresión.Left

expresión Requerida. Expresión que devuelve uno de los objetos anteriores.

Propiedad Left cuando se aplica a los objetos CommandBarButton, CommandBarComboBox, CommandBarControl y CommandBarPopup.

Establece o devuelve la posición horizontal del control de la barra de comandos especificado, en píxeles, con relación al borde izquierdo de la pantalla. Devuelve la distancia desde el lado izquierdo del área de acoplamiento. Long de sólo lectura.

expresión.Left

expresión Requerida. Expresión que devuelve uno de los objetos anteriores.

Ejemplo

Cuando se aplica a los objetos Assistant y CommandBar.

Este ejemplo muestra el Ayudante de Office y lo mueve a la posición especificada dentro de la ventana de la aplicación.

With Assistant
    .Visible = True
    .Left = 300
    .Top = 300
End With

Este ejemplo mueve la barra de comandos personalizada denominada Custom de su posición acoplada a lo largo de la parte superior de la ventana hasta la esquina izquierda de la misma.

Set myBar = CommandBars("Custom")
With myBar
    .Position = 1
    .RowIndex = 2
    .Left = 0
End With


Propiedad LinkSource

Devuelve o establece el origen de la propiedad de documento personalizada vinculada especificada. String de Lectura/Escritura.

Comentarios

Esta propiedad se aplica sólo a propiedades de documento personalizadas; no puede utilizarse en propiedades de documento integradas.

El origen del vínculo especificado está definido por la aplicación contenedora.

Al establecer la propiedad LinkSource, la propiedad LinkToContent se establece en True.

Ejemplo

Este ejemplo muestra el estado vinculado de una propiedad de documento personalizada. Para que el ejemplo funcione, dp debe ser un objeto DocumentProperty válido.

Sub DisplayLinkStatus(dp As DocumentProperty)
    Dim stat As String, tf As String
    If dp.LinkToContent Then
        tf = ""
    Else
        tf = "not "
    End If
    stat = "This property is " & tf & "linked"
    If dp.LinkToContent Then
        stat = stat + Chr(13) & "The link source is " & dp.LinkSource
    End If
    MsgBox stat
End Sub


Propiedad LinkToContent

True si el valor de la propiedad de documento personalizada especificada está vinculado al contenido del documento contenedor. False si el valor es estático. Boolean de Lectura/Escritura.

Comentarios

Esta propiedad se aplica sólo a propiedades de documento personalizadas. Para propiedades de documento integradas, esta propiedad es siempre False.

Utilice la propiedad LinkSource para establecer el origen de la propiedad vinculada especificada. Al establecer la propiedad LinkSource, la propiedad LinkToContent se establece en True.

Ejemplo

Este ejemplo muestra el estado vinculado de la propiedad de documento actual. Para que el ejemplo funcione, dp debe ser un objeto DocumentProperty válido.

Sub DisplayLinkStatus(dp As DocumentProperty)
    Dim stat As String, tf As String
    If dp.LinkToContent Then
        tf = ""
    Else
        tf = "not "
    End If
    stat = "This property is " & tf & "linked"
    If dp.LinkToContent Then
        stat = stat + Chr(13) & "The link source is " & dp.LinkSource
    End If
    MsgBox stat
End Sub


Propiedad List

Devuelve o establece el valor de un elemento de lista del control de cuadro combinado de la barra de comandos. String de Lectura/Escritura.

Nota Esta propiedad es sólo de lectura para controles de cuadro combinado integrados.

expresión.List(Index)

expresión Requerida. Expresión que devuelve un objeto CommandBarComboBox.

Index Long Requerida. Elemento de lista que se va a establecer.

Ejemplo

Este ejemplo comprueba el valor del cuarto elemento de lista del control de cuadro combinado cuyo título es "Stock Data" en la barra de comandos denominada "Custom". Si el valor no es "View News", el ejemplo muestra un mensaje que advierte al usuario que el cuadro combinado puede estar dañado y solicitándole que vuelva a instalar la aplicación.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
End With
If CommandBars("Custom").Controls(1).List(4) _
     <> "View News" Then
MsgBox ("Stock Data appears to be damaged." & _
     " Please reinstall application.")
End If


Propiedad ListCount

Devuelve el número de elementos de lista del control de cuadro combinado de la barra de comandos. Long de sólo lectura.

Ejemplo

Este ejemplo comprueba el número de elementos del cuadro combinado en la barra de comandos denominada "Custom". Si no hay tres elementos en la lista producidos por el procedimiento, el ejemplo muestra un mensaje que advierte al usuario que el cuadro combinado puede resultar dañado y solicitándole que vuelva a instalar la aplicación.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
End With
If CommandBars("Custom").Controls(1).ListCount _
     <> 4 Then
MsgBox ("ComboBox appears to be damaged." & _
     " Please reinstall.")
End If


Propiedad ListHeaderCount

Devuelve o establece el número de elementos de lista del control de cuadro combinado de la barra de comandos que aparece encima de la línea separadora. Long de Lectura/Escritura.

Nota Esta propiedad es sólo de lectura para controles de cuadro combinado integrados.

Comentarios

Si la propiedad ListHeaderCount tiene valor -1 indica que no hay línea separadora en el control de cuadro combinado.

Ejemplo

Este ejemplo agrega un control de cuadro combinado a la barra de comandos denominada "Custom" y, a continuación, agrega dos elementos al cuadro combinado. El ejemplo utiliza la propiedad ListHeaderCount para mostrar una línea de separación entre el primer elemento y el segundo elemento en el cuadro combinado. El ejemplo también establece el número de elementos de línea, el ancho del cuadro combinado y un valor vacío predeterminado para el cuadro combinado.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox)
With myControl
    .AddItem Text:="First Item", Index:=1
    .AddItem Text:="Second Item", Index:=2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 1
End With


Propiedad ListIndex

Devuelve o establece el número de índice el elemento seleccionado en la lista del control de cuadro combinado de la barra de comandos. Si no se selecciona ningún elemento de la lista, esta propiedad devuelve cero. Long de Lectura/Escritura.

Nota Esta propiedad falla cuando se aplica a controles que no sean controles de lista.

Comentarios

Al establecer la propiedad ListIndex el control especificado selecciona el elemento dado y ejecuta la acción apropiada en la aplicación.

Ejemplo

Este ejemplo utiliza la propiedad ListIndex para determinar la subrutina correcta que se debe ejecutar, a partir de la selección del cuadro combinado en la barra de comandos denominada "My Custom Bar". Como el procedimiento utiliza ListIndex, el texto del cuadro combinado puede ser cualquier texto.

Sub processSelection()
Dim userChoice As Long
userChoice = CommandBars("My Custom Bar").Controls(1).ListIndex
    Select Case userChoice
        Case 1
            chartcourse
        Case 2
            displaygraph
        Case Else
            MsgBox ("Invalid choice. Please choose again.")
    End Select
End Sub


Propiedad Location

Devuelve la ubicación del delimitador de la secuencia de comandos dentro del documento HTML especificado. MsoScriptLocation de sólo lectura.

MsoScriptLocation puede ser una de estas constantes de MsoScriptLocation.
msoScriptLocationInBody
msoScriptLocationInHead

Comentarios

Las etiquetas de las secuencias de comandos de un documento HTML pueden aparecer en cualquier lugar entre las etiquetas <HTML> del documento. En Microsoft Word, Excel o PowerPoint, sólo se ven los delimitadores de secuencias de comandos situados entre las etiquetas <BODY>. La secuencia de comandos HTML adicional que aparece antes o después de las etiquetas <BODY> queda almacenada, pero el usuario no puede verla.

La colección Scripts contiene todos los delimitadores de secuencias de comandos que aparecen en el documento, independientemente de si están dentro o fuera del texto principal. Utilizando el argumento Location del método Add, puede insertar los delimitadores de secuencias de comandos dentro de las etiquetas <HEAD> y <BODY> del documento HTML. También puede utilizar la propiedad Location para determinar el lugar en el que debe almacenarse un delimitador de secuencias de comandos determinado dentro del documento.

Ejemplo

Este ejemplo comprueba la propiedad Location de la primera secuencia de comandos de la hoja del libro activo y muestra la ubicación en un cuadro de mensaje.

If ActiveWorkbook.Worksheets(1).Scripts(1).Location = 1 Then
    MsgBox "The script in located in the header."
End If
If ActiveWorkbook.Worksheets(1).Scripts(1).Location = 2 Then
    MsgBox "The script in located in the body of the worksheet."
End If


Propiedad LookIn

Devuelve o establece la carpeta en que se buscará durante la búsqueda de archivos especificada. String de Lectura/Escritura.

Ejemplo

Este ejemplo busca en las carpetas de My Documents todos los archivos cuyos nombres comiencen con "Cmd" y muestra el nombre y ubicación de cada archivo encontrado.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "cmd*.*"
    If .Execute > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
        " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Propiedad Mask

Devuelve un objeto IPictureDisp que representa la imagen de máscara de un objeto CommandBarButton. La imagen de máscara determina qué partes de la imagen del botón son transparentes.

expresión.Mask

expresión Requerida. Expresión que devuelve un objeto CommandBarButton.

Comentarios

Al crear una imagen para utilizar como imagen de máscara, las áreas que desee que sean transparentes deberán ser blancas y las que desee mostrar, negras.

Configure siempre la máscara después de establecer la imagen para el objeto CommandBarButton.

Ejemplo

El ejemplo siguiente establece la imagen y la máscara del primer CommandBarButton que devuelve el código. Para realizar este trabajo, cree una imagen de máscara y una imagen de botón y sustituya las rutas de acceso del ejemplo por las rutas de acceso a las imágenes.

Sub ChangeButtonImage()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    Set picPicture = stdole.StdFunctions.LoadPicture( _
        "c:\images\picture.bmp")
    Set picMask = stdole.StdFunctions.LoadPicture( _
        "c:\images\mask.bmp")

    'Reference the first button on the first command bar
    'using a With...End With block.
    With Application.CommandBars.FindControl(msoControlButton)
        'Change the button image.
        .Picture = picButton

        'Use the second image to define the area of the
        'button that should be transparent.
        .Mask = picMask
    End With
End Sub

El ejemplo siguiente obtiene la imagen y la máscara del primer CommandBarButton que devuelve el código y envía cada una a un archivo. Para realizar este trabajo, especifique una ruta de acceso a los archivos de salida.

Sub GetButtonImageAndMask()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    With Application.CommandBars.FindControl(msoControlButton)
        'Get the button image and mask of the this CommandBarButton object
        Set picPicture = .Picture
        Set picMask = .Mask
    End With

    'Save the button image and mask in a folder.
    stdole.SavePicture picPicture, "c:\temp\image.bmp"
    stdole.SavePicture picMask, "c:\temp\mask.bmp"
End Sub


Propiedad MatchAllWordForms

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

True si el archivo de búsqueda especificado se amplía para que incluya todas las formas de la palabra especificada que aparezcan en el texto o en las propiedades del archivo. Boolean de Lectura/Escritura.

Comentarios

Esta propiedad sólo está disponible si se ha instalado y registrado el archivo Mswds_en.lex. Observe que este archivo no se instala con la configuración típica.

Ejemplo

Este ejemplo devuelve todos los archivos que contienen la palabra "run", "running", "runs" o "ran" en el texto o en las propiedades del archivo. La propiedad TextOrProperty establece la palabra de comparación y limita la búsqueda al texto o bien a las propiedades del archivo.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .TextOrProperty = "run"
    .MatchAllWordForms = True
    .FileType = msoFileTypeAllFiles
End With


Propiedad MatchTextExactly

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

True si la búsqueda de archivos especificada sólo busca archivos cuyo texto o propiedades contengan la palabra o frase exacta especificada. Boolean de Lectura/Escritura.

Ejemplo

Este ejemplo busca en la carpeta C:\Mis Documentos y devuelve todos los archivos que contienen la palabra "Run" en el texto o en las propiedades del archivo.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .TextOrProperty = "Run"
    .MatchTextExactly = True
    .FileType = msoFileTypeAllFiles
End With


Propiedad MenuAnimationStyle

Devuelve o establece la manera en que se anima la barra de comandos. MsoMenuAnimation de Lectura/Escritura.

MsoMenuAnimation puede ser una de estas constantes de MsoMenuAnimation.
msoMenuAnimationNone
msoMenuAnimationRandom
msoMenuAnimationSlide
msoMenuAnimationUnfold

Example

Este ejemplo establece las opciones de todas las barras de comandos de Microsoft Office.

With CommandBars
    .LargeButtons = True
    .DisplayTooltips = True
    .DisplayKeysInTooltips = True
    .MenuAnimationStyle = msoMenuAnimationUnfold
End With


Propiedad Mode

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Devuelve o establece el comportamiento modal del globo Ayudante de Office. Al crear un objeto Balloon, esta propiedad está inicialmente establecida en msoModeModal. MsoModeType de Lectura/Escritura.

MsoModeType puede ser una de estas constantes de MsoModeType.
msoModeAutoDown
msoModeModal
msoModeModeless

Comentarios

Si la propiedad Mode de un globo se establecen en msoModeModeless, el usuario puede trabajar en la aplicación mientras el globo está visible. Si la propiedad se establece en msoModeModal, el usuario debe cerrar el globo antes de poder volver a trabajar en la aplicación. Si la propiedad se establece en msoModeAutoDown, el globo se cierra cuando el usuario hace clic en cualquier parte de la pantalla.

Si la propiedad Mode de un globo se establece en msoModeModeless y no se ha proporcionado un valor para la propiedad Callback, se produce un error. El método Close sólo puede utilizarse en el procedimiento especificado por la propiedad Callback cuando la propiedad Mode está establecida en msoModeModeless.

Ejemplo

Este ejemplo crea un globo con un icono de alerta que indica al usuario que seleccione una impresora. Como el globo no tiene modo, el usuario tiene acceso a los comandos de la impresora mientras el globo está visible. Cuando el usuario hace clic en el botón Aceptar, se ejecuta el procedimiento especificado en la propiedad Callback.

With Assistant.NewBalloon
    .Heading = "Select A Printer"
    .Text = "You must select a printer before printing."
    .Icon = msoIconAlert
    .CheckBoxes(1).Text = "Local printer"
    .CheckBoxes(2).Text = "Network printer"
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With


Propiedad MouseTips

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

True si el Ayudante de Office ofrece sugerencias para utilizar el mouse (ratón) de forma más efectiva. Boolean de Lectura/Escritura.

Comentarios

La propiedad MouseTips corresponde a la opción Uso más efectivo del mouse (ratón) de Mostrar sugerencias acerca de en la ficha Opciones del cuadro de diálogo Ayudante de Office.

Ejemplo

Este ejemplo configura el Ayudante de Office para ofrecer sugerencias para utilizar el mouse (ratón) de forma más efectiva.

Assistant.MouseTips = True


Propiedad MoveWhenInTheWay

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

True si la ventana del Ayudante de Office se mueve cuando se encuentre en el área de trabajo del usuario. Por ejemplo, el Ayudante se moverá si molesta para arrastrar y colocar, o para escribir con el teclado. Boolean de Lectura/Escritura.

Comentarios

El valor predeterminado es True. La propiedad MoveWhenInTheWay corresponde a la opción Mover cuando moleste de Utilizar el Ayudante de Office en la ficha Opciones del cuadro de diálogo Ayudante de Office.

Ejemplo

Este ejemplo muestra el Ayudante de Office en una ubicación específica y configura varias opciones antes de mostrarlo y activarlo.

With Assistant
    .On = True
    .Visible = True
    .Left = 400
    If Not MoveWhenInTheWay Then MoveWhenInTheWay = True
    .Animation = msoAnimationGetAttentionMajor
End With


Propiedad Name

Devuelve o establece el nombre del objeto especificado. String de Lectura/Escritura para los objetos CommandBar y DocumentProperty; String de sólo lectura para todos los demás objetos.

Comentarios

El nombre local de la barra de comandos integrada aparece en la barra de título, cuando la barra no está acoplada, y en la lista de barras de comandos disponibles, siempre que se muestre dicha lista en la aplicación contenedora.

Para una barra de comandos integrada, la propiedad Name devuelve el nombre de la barra de comandos en inglés de EE.UU. Utilice la propiedad NameLocal para devolver el nombre adaptado.

Si cambia el valor de la propiedad LocalName de una barra de comandos personalizada, también cambiará el valor de Name y viceversa.

Ejemplo

Este ejemplo busca en la colección de barras de comandos la barra de comandos denominada "Custom". Si se encuentra esta barra de comandos, el ejemplo lo muestra.

foundFlag = False
For Each bar In CommandBars
    If bar.Name = "Custom" Then
        foundFlag = True
        bar.Visible = True
    End If
Next
If Not foundFlag Then
    MsgBox "'Custom' bar isn't in collection."
Else
    MsgBox "'Custom' bar is now visible."
End If

Este ejemplo muestra el nombre, tipo y valor de una propiedad de documento. Debe pasar un objeto DocumentProperty válido al procedimiento.

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "value = " & dp.Value & Chr(13) & _
        "type = " & dp.Type & Chr(13) & _
        "name = " & dp.Name
End Sub


Propiedad NameLocal

Devuelve el nombre de una barra de comandos integrada tal como se muestra en el idioma de la aplicación contenedora o devuelve, o establece el nombre de una barra de comandos personalizada. String de Lectura/Escritura.

Nota Al tratar de establecer esta propiedad para una barra de comandos integrada, se producirá un error.

Comentarios

El nombre local de la barra de comandos integrada aparece en la barra de título, cuando la barra no está acoplada, y en la lista de barras de comandos disponibles, siempre que se muestre dicha lista en la aplicación contenedora.

Si cambia el valor de la propiedad LocalName de una barra de comandos personalizada, también cambiará el valor de Name y viceversa.

Ejemplo

Este ejemplo muestra el nombre y el nombre adaptado de la primera barra de comandos de la aplicación contenedora.

With CommandBars(1)
    MsgBox "The name of the command bar is " & .Name
    MsgBox "The localized name of the command bar is " & .NameLocal
End With


Propiedad NewBalloon

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Crea un nuevo globo del Ayudante de Office. Devuelve un objeto Balloon. Es de sólo lectura.

Ejemplo

Este ejemplo crea un globo con encabezado, texto y tres opciones de región y, a continuación, lo muestra.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select one or more regions"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With


Propiedad Object

Establece o devuelve el objeto que constituye la base para el objeto COMAddIn especificado. Object de lectura/escritura.

Comentarios

Esta propiedad se utiliza sobre todo para permitir que un COMAddIn se comunique con otro COMAddIn.

Ejemplo

El ejemplo siguiente devuelve el objeto asociado con el complemento COM msodraa9.ShapeSelect.

Dim objBaseObject As Object
Set objBaseObject = _
    Application.COMAddIns.Item("msodraa9.ShapeSelect"). _
      Object


Propiedad OLEMenuGroup

Devuelve o establece el grupo de menús al que pertenece el control emergente de la barra de comandos cuando el grupo de menús del servidor OLE se combina con el grupo de menús de un cliente OLE, es decir, cuando un objeto del tipo aplicación contenedora se incrusta en otra aplicación. MsoOLEMenuGroup de Lectura/Escritura.

MsoOLEMenuGroup puede ser una de estas constantes de MsoOLEMenuGroup.
msoOLEMenuGroupContainer
msoOLEMenuGroupEdit
msoOLEMenuGroupFile
msoOLEMenuGroupHelp
msoOLEMenuGroupNone
msoOLEMenuGroupObject
msoOLEMenuGroupWindow

Nota Esta propiedad es sólo de lectura para controles integrados.

Comentarios

Esta propiedad permite que las aplicaciones complementarias especifiquen cómo serán representados sus controles de barra de comandos en la aplicación Office. Si ni la aplicación contenedora ni el servidor contienen barras de comandos, se producirá una combinación de menús OLE normal. Se combinarán la barra de menús y todas las barras de herramientas del servidor y ninguna de las barras de herramientas del contenedor. Esta propiedad sólo es relevante para controles emergentes de la barra de menús ya que los menús se combinan por categorías de grupos de menús.

Si las dos aplicaciones que se combinan contienen barras de comandos, los controles de barras de comandos se combinan de acuerdo con la propiedad OLEUsage.

Ejemplo

Este ejemplo comprueba la propiedad OLEMenuGroup de un nuevo control emergente personalizado en la barra de comandos denominada "Custom" y establece la propiedad en msoOLEMenuGroupNone.

Set myControl = CommandBars("Custom").Controls _
    .Add(Type:=msoControlPopup,Temporary:=False)
myControl.OLEMenuGroup = msoOLEMenuGroupNone


Propiedad OLEUsage

Devuelve o establece las funciones del cliente OLE y del servidor OLE en que se utilizará un control de barra de comandos al combinarse dos aplicaciones de Microsoft Office. MsoControlOLEUsage de Lectura/Escritura.

MsoControlOLEUsage puede ser una de estas constantes de MsoControlOLEUsage.
msoControlOLEUsageBoth
msoControlOLEUsageClient
msoControlOLEUsageNeither
msoControlOLEUsageServer

Comentarios

Esta propiedad permite especificar cómo serán representados los controles de barra de comandos de las aplicaciones complementarias en una aplicación de Office cuando se combinan con otra aplicación de Office. Si tanto el cliente como el servidor contienen barras de comandos, los controles de barra de comandos se incrustan en el cliente control a control. Los controles personalizados marcados como sólo del cliente (o ni del cliente ni del servidor) se eliminan del servidor y los controles marcados como sólo del servidor (o ni del cliente ni del servidor) se eliminan del cliente. El resto de los controles se combinan.

Si una de las aplicaciones de combinación no es una aplicación de Office se utiliza la combinación de menús normal, controlada por la propiedad OLEMenuGroup.

Ejemplo

Este ejemplo agrega un nuevo botón a la barra de comandos denominada Tools y establece su propiedad OLEUsage.

Set myControl = CommandBars("Tools").Controls _
    .Add(Type:=msoControlButton,Temporary:=True)
myControl.OLEUsage = msoControlOLEUsageNeither


Propiedad On

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

True si el Ayudante de Office está habilitado. Boolean de Lectura/Escritura.

Ejemplo

Este ejemplo deshabilita el Ayudante de Office, muestra un cuadro de mensaje que pregunta al usuario si desea habilitar el Ayudante y lo habilita si el usuario hace clic en Sí. Si se habilita el Ayudante, éste aparece y ejecuta la animación msoAnimationGreeting.

Assistant.On = False
If MsgBox("Enable Office Assistant?", _
    vbYesNo, "Assistant is Off") = vbYes Then
    Assistant.On = True
    Assistant.Visible = True
    Assistant.Animation = _
        msoAnimationGetAttentionMajor
End If


Propiedad OnAction

Devuelve o establece el nombre de la macro de Visual Basic que se ejecutará cuando el usuario haga clic o cambie el valor de un control de barra de comandos. String de Lectura/Escritura.

Nota La aplicación contenedora determina si el valor es un nombre de macro válido.

Ejemplo

Este ejemplo añade un control de barra de comandos a la barra de comandos denominada "Custom". La macro denominada "MySub" se ejecuta siempre que se haga clic en el botón.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls _
    .Add(Type:=msocontrolButton)
With myControl
    .FaceId = 2
    .OnAction = "MySub"
End With
myBar.Visible = True

Este ejemplo añade un control de barra de comandos a la barra de comandos denominada "Custom". El complemento COM denominado "FinanceAddIn" se ejecutará cada vez que se haga clic en el control.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls _
    .Add(Type:=msocontrolButton)
With myControl
    .FaceId = 2
    .OnAction = "!<FinanceAddIn>"
End With
myBar.Visible = True


Propiedad Parameter

Devuelve o establece una cadena que una aplicación pueda utilizar para ejecutar un comando asociado con un control de barra de comandos. String de Lectura/Escritura.

Comentarios

Si el parámetro especificado se establece para un control integrado, la aplicación puede modificar su comportamiento predeterminado si puede analizar y utilizar el nuevo valor. Si el parámetro se establece para controles personalizados, puede utilizarse para enviar información a los procedimientos de Visual Basic o para guardar la información acerca del control, de forma similar a un segundo valor de la propiedad Tag.

Ejemplo

Este ejemplo asigna un nuevo parámetro y establece el foco en el nuevo botón.

Set myControl = CommandBars("Custom").Controls(4)
With myControl
    .Copy , 1
    .Parameter = "2"
    .SetFocus
End With


Propiedad Parent

Devuelve el objeto Parent del objeto especificado. Es de sólo lectura.

Ejemplo

Este ejemplo muestra el nombre del objeto maestro de una propiedad de documento. Debe pasar un objeto DocumentProperty válido al procedimiento.

Sub DisplayParent(dp as DocumentProperty)
    MsgBox dp.Parent.Name
End Sub


Propiedad Path

Devuelve un valor String que indica la ruta de acceso completa a un objeto ScopeFolder. Es de sólo lectura.

expresión.Path

expresión Requerida. Expresión que devuelve un objeto ScopeFolder.

Ejemplo

El ejemplo siguiente muestra la ruta de acceso raíz a cada directorio de Mi PC. Para recuperar esta información, el ejemplo obtiene primero el objeto ScopeFolder de la raíz de Mi PC. La ruta de acceso de este objeto ScopeFolder será siempre "*". Como con todos los objetos ScopeFolder, el objeto raíz contiene una colección ScopeFolders. Este ejemplo recorre esta colección ScopeFolders y muestra la ruta de acceso a cada objeto ScopeFolder de la misma. Las rutas de acceso a estos objetos ScopeFolder serán "A:\", "C:\", etc.

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder collections in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "Path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Next ss
    End With
End Sub


Propiedad Picture

Devuelve un objeto IPictureDisp que representa la imagen de un objeto CommandBarButton.

expresión.Picture

expresión Requerida. Expresión que devuelve un objeto CommandBarButton.

Comentarios

Al cambiar la imagen de un botón, también deseará utilizar la propiedad Mask para establecer una imagen de máscara. La imagen de máscara determina qué partes de la imagen del botón son transparentes. Configure siempre la máscara después de establecer la imagen para el objeto CommandBarButton.

Nota No se pueden cambiar las imágenes de los botones Ver aplicación de Microsoft e Insertar elemento de la barra de herramientas Estándar del Editor de Visual Basic.

Ejemplo

El ejemplo siguiente establece la imagen y la máscara del primer CommandBarButton que devuelve el código. Para realizar este trabajo, cree una imagen de máscara y una imagen de botón y sustituya las rutas de acceso del ejemplo por las rutas de acceso a las imágenes.

Sub ChangeButtonImage()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    Set picPicture = stdole.StdFunctions.LoadPicture( _
        "c:\images\picture.bmp")
    Set picMask = stdole.StdFunctions.LoadPicture( _
        "c:\images\mask.bmp")

    'Reference the first button on the first command bar
    'using a With...End With block.
    With Application.CommandBars.FindControl(msoControlButton)
        'Change the button image.
        .Picture = picButton

        'Use the second image to define the area of the
        'button that should be transparent.
        .Mask = picMask
    End With
End Sub

El ejemplo siguiente obtiene la imagen y la máscara del primer CommandBarButton que devuelve el código y envía cada una a un archivo. Para realizar este trabajo, especifique una ruta de acceso a los archivos de salida.

Sub GetButtonImageAndMask()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    With Application.CommandBars.FindControl(msoControlButton)
        'Get the button image and mask of the this CommandBarButton object.
        Set picPicture = .Picture
        Set picMask = .Mask
    End With

    'Save the button image and mask in a folder.
    stdole.SavePicture picPicture, "c:\temp\image.bmp"
    stdole.SavePicture picMask, "c:\temp\mask.bmp"
End Sub


Propiedad Position

Devuelve o establece la posición de la barra de comandos personalizada. MsoBarPosition de Lectura/Escritura.

MsoBarPosition puede ser una de estas constantes de MsoBarPosition.
msoBarBottom
msoBarFloating
msoBarLeft
msoBarMenuBar
msoBarPopup
msoBarRight
msoBarTop

Ejemplo

Este ejemplo recorre la colección de barras de comandos, acoplando las barras de comandos personalizadas en la parte inferior de la ventana de aplicación y acoplando las barras de comandos integradas en la parte superior de la ventana.

For Each bar In CommandBars
    If bar.Visible = True Then
        If bar.BuiltIn Then
            bar.Position = msoBarTop
         Else
            bar.Position = msoBarBottom
        End If
    End If
Next


Propiedad Priority

Devuelve o establece la prioridad del control de barra de comandos especificado. La prioridad de un control determina si éste puede eliminarse de una barra de comandos acoplada si los controles de la barra de comandos no puede incluirse en una sola línea. Long de Lectura/Escritura.

Comentarios

Los números válidos de prioridad son los comprendidos entre el 0 y el 7 inclusive. Una prioridad 1 indica que el control no se puede eliminar de una barra de herramientas. Los demás valores de prioridad se omiten

La propiedad Priority no es utilizada por los controles de la barra de comandos que son elementos de menú.

Ejemplo

Este ejemplo desplaza un control y le asigna una prioridad de 5, por lo que es posible que sea eliminado de la barra de comandos si los controles no se ajustan a una línea.

Set allcontrols = CommandBars("Custom").Controls
For Each ctrl In allControls
    If ctrl.Type = msoControlComboBox Then
        With ctrl
            .Move Before:=7
            .Tag = "Selection box"
            .Priority = 5
        End With
    Exit For
End If
Next


Propiedad Private

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Devuelve o establece un número entero que identifica de forma única el globo del Ayudante de Office que inicia el procedimiento de devolución de llamada. Long de Lectura/Escritura.

Comentarios

Puede ser útil utilizar esta propiedad si se utiliza el mismo procedimiento de devolución de llamada para diferentes circunstancias.

Ejemplo

Este ejemplo identifica el globo del Ayudante de Office estableciendo la propiedad Private en 129.

Set printerOrientation = Assistant.NewBalloon
With printerOrientation     .Heading = " Print portrait or landscape?"
     .Text = "Click OK when you've selected the " & _
        "printer orientation."
    .Labels(1).Text = "Portrait"
    .Labels(2).Text = "Landscape"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Button = msoButtonSetOK
    .Private = 129
    .Callback = "PortraitOrLandscape "
    .Show
End With


Propiedad ProgId

Devuelve el identificador de macros (ProgID) del objeto COMAddIn especificado. String de sólo lectura.

Ejemplo

El ejemplo siguiente muestra en un cuadro de mensaje el ProgID y el GUID del complemento COM uno.

MsgBox "My ProgID is " & _
    Application.COMAddIns(1).ProgID & _
    " and my GUID is " & _
    Application.COMAddIns(1).Guid


Propiedad PropertyTests

Devuelve la colección PropertyTests que representa todos los criterios de búsqueda de una búsqueda de archivos. Es de sólo lectura.

Para obtener más información sobre cómo devolver un solo miembro de una colección, vea Devolver un objeto de una colección.

Ejemplo

Este ejemplo muestra todos los criterios de búsqueda de la primera prueba de propiedades de la colección.

With Application.FileSearch.PropertyTests(1)
myString = "This is the search criteria: " _
    & " The name is: " & .Name & ". The condition is: " _
    & .Condition
If .Value <> "" Then
    myString = myString & ". The value is: " & .Value
    If .SecondValue <> "" Then
        myString = myString _
            & ". The second value is: " _
            & .SecondValue & ", and the connector is" _
            & .Connector
    End If
End If
MsgBox myString
End With


Propiedad ProportionalFont

Establece o devuelve la opción de fuente proporcional de la aplicación host. String de Lectura/Escritura.

Comentarios

Cuando establece la propiedad ProportionalFont, la aplicación host no comprueba si el valor es válido.

Ejemplo

Este ejemplo establece la fuente proporcional y el tamaño de fuente proporcional para el juego de caracteres Inglés/Europeo occidental/Otro alfabeto latino dentro de la aplicación activa.

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFont = "Tahoma"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFontSize = 14.5


Propiedad ProportionalFontSize

Establece o devuelve la opción de tamaño de fuente proporcional en la aplicación host, en puntos. Single de lectura/escritura.

Comentarios

Cuando establece la propiedad ProportionalFontSize, la aplicación host no comprueba si el valor es válido. Si especifica un valor no válido, como puede ser un carácter no numérico, la aplicación host establecerá el tamaño en 0 puntos. Puede asignar los tamaños de medio en medio punto; si inserta otras fracciones de tamaño en puntos, éstas se redondearán hacia arriba o hacia abajo al medio punto más cercano.

Ejemplo

Este ejemplo establece la fuente proporcional y el tamaño de fuente proporcional para el juego de caracteres Inglés/Europeo occidental/Otro alfabeto latino dentro de la aplicación activa.

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFont = "Tahoma"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFontSize = 14.5


Propiedad Protection

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Devuelve o establece la manera en que la barra de comandos especificada está protegida contra la personalización. MsoBarProtection de Lectura/Escritura.

MsoBarProtection puede ser una de estas constantes de MsoBarProtection.
msoBarNoChangeDock
msoBarNoChangeVisible
msoBarNoCustomize
msoBarNoHorizontalDock
msoBarNoMove
msoBarNoProtection
msoBarNoResize
msoBarNoVerticalDock

Comentarios

Al utilizar la constante msoBarNoCustomize se evita el acceso al menú Agregar o quitar botones (este menú permite a los usuarios poder personalizar una barra de herramientas).

Ejemplo

Este ejemplo recorre la colección de barras de comandos para buscar la barra denominada "Forms". Si se encuentra esta barra de herramientas, el ejemplo la muestra y protege su estado de acoplamiento.

foundFlag = False
For i = 1 To CommandBars.Count
    If CommandBars(i).Name = "Forms" Then
            CommandBars(i).Protection = msoBarNoChangeDock
            CommandBars(i).Visible = True
            foundFlag = True
    End If
Next
If Not foundFlag Then
    MsgBox "'Forms' command bar is not in the collection."
End If


Propiedad Reduced

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

True si la ventana del Ayudante de Office aparece con su tamaño más pequeño. Boolean de Lectura/Escritura.

Comentarios

Esta propiedad no se utiliza en Microsoft Office.

Ejemplo

Este ejemplo muestra el Ayudante de Office en una ubicación específica y configura varias opciones antes de mostrarlo.

With Assistant
    .Reduced = True
    .Left = 400
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Visible = True
    .Animation = msoAnimationGreeting
End With


Propiedad RowCount

Devuelve un valor Long que representa el número de registros del origen de datos especificado. Es de sólo lectura.

expresión.RowCount

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

Este ejemplo agrega un filtro nuevo que quita todos los registros con un campo Región en blanco y, a continuación, aplica el filtro a la publicación activa.

Sub OfficeFilters()
    Dim appOffice As OfficeDataSourceObject
    Dim appFilters As ODSOFilters

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    Set appFilters = appOffice.Filters

    MsgBox appOffice.RowCount

    appFilters.Add Column:="Region", Comparison:=msoFilterComparisonEqual, _
        Conjunction:=msoFilterConjunctionAnd, bstrCompareTo:="WA"
    appOffice.ApplyFilter

    MsgBox appOffice.RowCount

End Sub


Propiedad RowIndex

Devuelve o establece el orden de acoplamiento de la barra de comandos especificada en relación con otras barras de comando del mismo área de acoplamiento. Puede ser un número entero mayor que cero o cualquiera de las siguientes constantes MsoBarRow: msoBarRowFirst o msoBarRowLast. Long de Lectura/Escritura.

Comentarios

Varias barras de comandos pueden compartir el mismo índice de fila. Las barras de comandos con números inferiores se acoplan primero. Si dos o más barras de comandos comparten el mismo índice de fila, se mostrará primero la barra de comandos del grupo asignada más recientemente.

Ejemplo

Este ejemplo ajusta la posición de la barra de comandos denominada "Custom" moviéndola a la izquierda 110 píxeles más del valor predeterminado y hace que sea la primera barra de comandos acoplada, cambiando su número de índice a msoBarRowFirst.

Set myBar = CommandBars("Custom")
With myBar
    .RowIndex = msoBarRowFirst
    .Left = 140
End With


Propiedad ScopeFolder

Devuelve un objeto ScopeFolder.

expresión.ScopeFolder)

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

El ejemplo siguiente muestra la ruta de acceso raíz a cada directorio de Mi PC. Para recuperar esta información, el ejemplo obtiene primero el objeto ScopeFolder de la raíz de Mi PC. La ruta de acceso a este objeto ScopeFolder será siempre "*". Como con todos los objetos ScopeFolder, el objeto raíz contiene una colección ScopeFolders. Este ejemplo recorre esta colección ScopeFolders y muestra la ruta de acceso a cada objeto ScopeFolder de la misma. Las rutas de acceso a estos objetos ScopeFolder serán "A:\", "C:\", etc.

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder object in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "Path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Next ss
    End With
End Sub


Propiedad ScopeFolders

Devuelve una colección ScopeFolders. Los elementos de esta colección corresponden a las subcarpetas del objeto ScopeFolder maestro.

expresión.ScopeFolders

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

El ejemplo siguiente muestra la ruta de acceso raíz a cada directorio de Mi PC. Para recuperar esta información, el ejemplo obtiene primero el objeto ScopeFolder de la raíz de Mi PC. La ruta de acceso a este objeto ScopeFolder será siempre "*". Como con todos los objetos ScopeFolder, el objeto raíz contiene una colección ScopeFolders. El ejemplo recorre esta colección ScopeFolders y muestra la ruta de acceso a cada objeto ScopeFolder de la misma. Las rutas de acceso a estos objetos ScopeFolder serán "A:\", "C:\", etc.

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder object in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "Path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Nextb ss
    End With
End Sub


Propiedad ScriptText

Establece o devuelve el texto contenido en un bloque de secuencias de comandos. String de Lectura/Escritura.

Comentarios

La aplicación host de Microsoft Office no comprueba la sintaxis de la secuencia de comandos. La propiedad ScriptText es la propiedad predeterminada del objeto Script.

Ejemplo

Este ejemplo establece el texto de la primera secuencia de caracteres de la hoja uno del libro activo.

ActiveWorkbook.Worksheets(1).Scripts(1).ScriptText = _
    "MsgBox ""New ScriptText"""


Propiedad SearchFolders

Devuelve una colección SearchFolders.

expresión.SearchFolders

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

El ejemplo siguiente muestra el número actual de objetos ScopeFolder de la colección SearchFolders. Consulte el tema relativo a la colección SearchFolders si desea un ejemplo más detallado.

MsgBox "Number of ScopeFolder objects in the SearchFolders collection: " & _
    Application.FileSearch.SearchFolders.Count


Propiedad SearchScopes

Devuelve una colección SearchScopes.

expresión.SearchScopes

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

El ejemplo siguiente muestra todos los objetos SearchScope de la colección SearchScopes disponibles actualmente.

Sub DisplayAvailableScopes()

    'Declare a variable that references a
    'SearchScope object.
    Dim ss As SearchScope

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer
                    MsgBox "My Computer is an available search scope."
                Case msoSearchInMyNetworkPlaces
                    MsgBox "My Network Places is an available search scope."
                Case msoSearchInOutlook
                    MsgBox "Outlook is an available search scope."
                Case msoSearchInCustom
                    MsgBox "A custom search scope is available."
                Case Else
                    MsgBox "Can't determine search scope."
            End Select
        Next ss
    End With
End Sub


Propiedad SearchSubFolders

True si la búsqueda especificada incluye las subcarpetas de la carpeta especificada por la propiedad LookIn. Boolean de Lectura/Escritura.

Ejemplo

Este ejemplo busca en la carpeta My Documents y en todas las subcarpetas todos los archivos cuyos nombres comiencen con "Cmd". El ejemplo también muestra el nombre y ubicación de cada archivo encontrado.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .FileName = "cmd*"
    If .Execute() > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
         " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Propiedad SearchWhenProgramming

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

True si el Ayudante de Office muestra ayuda acerca de la aplicación así como la Ayuda acerca de la programación mientras el usuario trabaja con Visual Basic. Boolean de Lectura/Escritura.

Comentarios

El valor predeterminado es False. La propiedad SearchWhenProgramming corresponde a la opción Buscar ayuda del producto y de programación de utilizar el Ayudante de Office en la ficha Opciones del cuadro de diálogo Ayudante de Office.

Ejemplo

Este ejemplo le permite buscar ayuda de la aplicación y de programación mientras trabaja en Visual Basic.

Assistant.SearchWhenProgramming = True


Propiedad SecondValue

Devuelve un segundo valor opcional de prueba de propiedades, como en un intervalo, de la búsqueda de archivos especificada. Variant de sólo lectura.

Comentarios

Esta propiedad se utiliza en un intervalo específico y sólo puede utilizarse con la siguiente constante MsoCondition: msoConditionAnyTimeBetween o msoConditionAnyNumberBetween.

Ejemplo

Este ejemplo muestra el segundo valor de los criterios de búsqueda, si existe, en un cuadro de diálogo. Si no existe el segundo valor, el ejemplo muestra otro mensaje.

With Application.FileSearch.PropertyTests(1)
If .SecondValue = "" Then
   MsgBox "You haven't specified a second value."
Else
    MsgBox "The second value you've set is: " _
    & .SecondValue
End If
End With


Propiedad SelectedItems

Devuelve una colección FileDialogSelectedItems. Esta colección contiene la lista de las rutas de acceso a los archivos que el usuario ha seleccionado en un cuadro de diálogo de archivos que se muestra utilizando el método Show del objeto FileDialog.

expresión.SelectedItem

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

El ejemplo siguiente muestra un cuadro de diálogo Selector de archivos mediante el objeto File Dialog, así como cada archivo seleccionado en un cuadro de mensaje.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Allow the user to select multiple files.
        .AllowMultiSelect = True

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then
            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Propiedad Shape

Devuelve un objeto Shape o un objeto InlineShape, dependiendo de la aplicación host de Microsoft Office de que se se trate. Object de sólo lectura.

Comentarios

La propiedad Shape devuelve un objeto Shape en Microsoft Excel y en PowerPoint. En Word, la propiedad Shape devuelve un objeto Shape si el delimitador de secuencias de comandos es flotante; no obstante, si se trata de un delimitador entre líneas, esta propiedad devolverá un objeto InlineShape.

Ejemplo

Este ejemplo obtiene la forma asociada con la primera secuencia de comandos de la colección Scripts y la elimina de la hoja uno del libro activo.

Dim objScriptShape As Object

Set objScriptShape = _
    ActiveWorkbook.Worksheets(1).Scripts(1).Shape
ObjScriptShape.Delete


Propiedad ShortcutText

Devuelve o establece el texto de la tecla de método abreviado mostrada junto al control de botón especificado cuando este botón aparece en un menú, submenú o menú contextual. String de Lectura/Escritura.

Comentarios

Sólo es posible establecer esta propiedad para botones de barras de comandos que tengan una macro OnAction adjunta.

Ejemplo

Este ejemplo muestra el texto del acceso directo del comando Open (menú File) en un cuadro de mensaje de la barra de menús de una hoja de cálculo de Microsoft Excel.

MsgBox (CommandBars("Worksheet Menu Bar"). _
    Controls("File").Controls("New...).ShortcutText)


Propiedad SignDate

Devuelve una variable Variant que representa la fecha y la hora en que se ha adjuntado al documento el certificado digital correspondiente al objeto Signature. Es de sólo lectura.

expresión.SignDate

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

En el ejemplo siguiente se solicita al usuario que seleccione una firma digital para firmar el documento activo de Microsoft Word. Para utilizar este ejemplo, abra un documento en Word y ejecute esta función. La función realizará la comprobación para asegurarse de que la firma digital que selecciona el usuario no caduca antes de 12 meses. Si caduca, no se adjunta el certificado.

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Propiedad Signer

Devuelve un valor String que representa el nombre de la persona que adjuntó el certificado digital que corresponde al objeto Signature al documento. Es de sólo lectura.

expresión.Signer

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

En el ejemplo siguiente se solicita al usuario que seleccione una firma digital para firmar el documento activo de Microsoft Word. Para utilizar este ejemplo, abra un documento de Word y pase a esta función los nombres de un emisor y de un firmante de certificados en los campos Emitido por y Emitido para de un certificado digital, en el cuadro de diálogo Certificados digitales. Este ejemplo comprueba que la firma digital que el usuario selecciona cumple ciertos criterios, como no haber caducado, antes de que se guarde la firma nueva en el disco.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Propiedad Sounds

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

True si el Ayudante de Office produce el sonido que corresponde a las animaciones. Boolean de Lectura/Escritura.

Comentarios

El valor predeterminado es True. La propiedad Sounds corresponde a la opción Con sonido de Utilizar el Ayudante de Office de la ficha Opciones, en el cuadro de diálogo Ayudante de Office. Si no está instalada una tarjeta de sonido, esta propiedad no realiza ninguna acción.

Ejemplo

Este ejemplo muestra el Ayudante de Office, lo anima y genera sonido.

With Assistant
    .Visible = True
    .On = True
    If Not Sounds Then Sounds = True
    .Animation = msoAnimationGreeting
End With


Propiedad State

Propiedad State cuando se aplica al objeto CommandBarButton.

Devuelve o establece el aspecto del control de botón de la barra de comandos especificada. MsoButtonState de Lectura/Escritura.

MsoButtonState puede ser una de estas constantes de MsoButtonState.
msoButtonDown
msoButtonMixed
msoButtonUp

expresión.State

expresión Requerida. Expresión que devuelve un objeto CommandBarButton.

Propiedad State cuando se aplica al objeto HTMLProject.

Devuelve el estado actual de un objeto HTMLProject. MsoHTMLProjectState de sólo lectura.

MsoHTMLProjectState puede ser una de estas constantes de MsoHTMLProjectState.
msoHTMLProjectStateDocumentLocked
msoHTMLProjectStateDocumentProjectUnlocked
msoHTMLProjectStateProjectLocked

expresión.State

expresión Requerida. Expresión que devuelve un objeto HTMLProject.

Ejemplo

Cuando se aplica al objeto CommandBarButton.

Este ejemplo crea una barra de comandos denominada Custom y agrega dos botones en blanco a esa barra. A continuación, el ejemplo establece el botón de la izquierda en msoButtonUp y establece el botón de la derecha en msoButtonDown.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=1
    .Controls.Add Type:=msoControlButton, ID:=2
    .Visible = True
End With
Set myControl1 = CommandBars("Custom").Controls(1)
myControl1.State = msoButtonUp
Set myControl2 = CommandBars("Custom").Controls(2)
myControl2.State = msoButtonDown


Propiedad Style

Propiedad Style como se aplica al objeto CommandBarButton.

Devuelve o establece la manera en que se muestra el control de botón de la barra de comandos. MsoButtonStyle de Lectura/Escritura.

MsoButtonStyle puede ser una de estas constantes de MsoButtonStyle.
msoButtonAutomatic
msoButtonCaption
msoButtonIcon
msoButtonIconAndCaption
msoButtonIconAndCaptionBelow
msoButtonIconAndWrapCaption
msoButtonIconAndWrapCaptionBelow
msoButtonWrapCaption

Propiedad Style como se aplica al objeto CommandBarComboBox.

Devuelve o establece la manera en que se muestra el control de cuadro combinado de la barra de comandos. Puede ser una de las siguientes constantes MsoComboStyle: msoComboLabel o msoComboNormal. MsoComboStyle de Lectura/Escritura.

MsoComboStyle puede ser una de estas constantes de MsoComboStyle.
msoComboLabel
msoComboNormal

Ejemplo

Este ejemplo crea un menú contextual que contiene un control de botón y un control de cuadro combinado, y establece el estilo de cada uno de ellos.

Set myBar = CommandBars _
    .Add(Name:="Custom1", Position:=msoBarPopup, Temporary:=False)
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls(1).Style = msoButtonCaption
    .Controls.Add Type:=msoControlComboBox
    With .Controls(2)
        .Style = msoComboLabel
        .AddItem "vanilla"
        .AddItem "chocolate"
        .AddItem "cookie dough"
    End With
End With
myBar.ShowPopup


Propiedad Table

Devuelve un valor String que representa el nombre de la tabla en el archivo de origen de datos que contiene los registros de combinación de correspondencia. El valor devuelto puede estar en blanco si no se conoce el nombre de la tabla o no es aplicable al origen de datos actual. Es de sólo lectura.

expresión.Table

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

Este ejemplo establece el nombre de la tabla si está en blanco.

Sub OfficeTest()

    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    If appOffice.Table = "" Then
        appOffice.Table = "Employees"
    End If

End Sub


Propiedad Tag

Devuelve o establece la información acerca del control de barra de comandos, por ejemplo, los datos que pueden utilizarse como argumentos en procedimientos y la información que identifica el control. String de Lectura/Escritura.

expresión.Tag

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Comentarios

Para evitar llamadas duplicadas de la misma clase cuando se activa con eventos, defina la propiedad Tag como exclusiva en los eventos. El siguiente ejemplo demuestra este concepto mediante dos módulos.

Public WithEvents oBtn As CommandBarButton

Private Sub oBtn_click(ByVal ctrl As Office.CommandBarButton, CancelDefault As Boolean)
    MsgBox "Clicked " & ctrl.Caption

End Sub

Dim oBtns As New Collection

Sub Use_Tag()

    Dim oEvt As CBtnEvent
    Set oBtns = Nothing

    For i = 1 To 5
        Set oEvt = New CBtnEvent
        Set oEvt.oBtn = Application.CommandBars("Worksheet Menu Bar").Controls.Add(msoControlButton)
        With oEvt.oBtn
            .Caption = "Btn" & i
            .Style = msoButtonCaption
            .Tag = "Hello" & i
        End With
        oBtns.Add oEvt
    Next

End Sub

Ejemplo

Este ejemplo establece el rótulo para el botón de la barra de comandos en "Spelling Button" y lo muestra en un cuadro de mensaje.

CommandBars("Custom").Controls(1).Tag = "Spelling Button"
MsgBox (CommandBars("Custom").Controls(1).Tag)


Propiedad Text

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Objeto BalloonLabel o BalloonCheckbox: Devuelve o establece el texto mostrado junto a la casilla de verificación o rótulo especificados del globo Ayudante de Office. String de Lectura/Escritura.

Objeto Balloon: Devuelve o establece el texto mostrado después del encabezado pero antes de las casillas de verificación o rótulos especificados del globo Ayudante de Office. String de Lectura/Escritura.

Objeto CommandBarComboBox: Devuelve o establece el texto en el área de presentación o modificación del control de cuadro combinado de la barra de comandos. String de Lectura/Escritura.

Objeto HTML ProjectItem: Devuelve o establece el texto HTML en el editor HTML. String de Lectura/Escritura.

expresión.Text

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Comentarios

Para los objetos Balloon, BalloonLabel y BalloonCheckbox puede especificar que se muestre un gráfico determinado utilizando la sintaxis siguiente: {type location sizing_factor}, donde type es bmp (mapa de bits) o wmf (metarchivo de Windows); location es el identificador de recursos o la ruta de acceso y nombre de archivo; y sizing_factor indica el ancho del archivo .wmf (sizing_factor se omite para los archivos .bmp).

El objeto Globo también admite texto subrayado y texto que tenga aplicado uno de los 16 colores de la paleta del sistema. Para mostrar el texto subrayado, utilice la sintaxis {ul} o {ul 1}; utilice {ul 0} para desactivar el subrayado. Para cambiar el color del texto, coloque delante la cadena de texto la secuencia de caracteres {cf number}, donde number es el número de color del sistema incluido en la tabla siguiente.

Número de color del sistema | Color
0 | Negro
1 | Rojo oscuro
2 | Verde oscuro
3 | Amarillo oscuro
4 | Azul marino
5 | Púrpura
6 | Verde azulado
7 | Plateado
248 | Gris claro
249 | Rojo
250 | Verde
251 | Amarillo
252 | Azul
253 | Fucsia
254 | Aguamarina
255 | Blanco

Si especifica un número que no esté en los números de color del sistema precedentes, el texto del globo del Ayudante de Office aparecerá en color negro.

Ejemplo

Este ejemplo crea una nueva barra de comandos denominada "Personalizada" y agrega a ésta un cuadro combinado que contiene cuatro elementos de lista. A continuación, el ejemplo utiliza la propiedad Text para establecer Item 3 como el elemento de lista predeterminado.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
Set testComboBox = CommandBars("Custom").Controls(1)
With testComboBox
    .AddItem "Item 1", 1
    .AddItem "Item 2", 2
    .AddItem "Item 3", 3
    .AddItem "Item 4", 4
    .Text = "Item 3"
End With

Este ejemplo crea un nuevo globo Ayudante de Office con encabezado, texto y tres opciones de región. El ejemplo utiliza la propiedad Text para proporcionar al usuario instrucciones acerca del globo y un rótulo para cada cuadro de texto.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With

Con este ejemplo se crea un nuevo globo del Ayudante de Office que contiene el texto del título subrayado, texto rojo y texto azul que también está subrayado.

With Assistant.NewBalloon
    .Heading = "Underlined {ul 1}Heading{ul 0}"
    .Text = "Some {cf 249}Red{cf 0} text and some " & _
    "underlined {cf 252}{ul 1}Blue{ul 0}{cf 0} text."
    .Show
End With

En este ejemplo se crea un nuevo globo del Ayudante de Office que contiene un metarchivo de Windows.

With Assistant.NewBalloon
    .Heading = "Underlined {ul 1}Heading{ul 0}"
    .Text ="{WMF ""C:\Favorites\MyPicture.WMF""}"
    .Show
End With


Propiedad TextOrProperty

Devuelve o establece la palabra o frase que se va a buscar en el texto o en las propiedades del archivo, durante la búsqueda de archivos especificada. La palabra o frase puede incluir los caracteres comodín * (asterisco) o ? (interrogación). String de Lectura/Escritura.

Comentarios

Utilice el carácter comodín interrogación para buscar cualquier carácter individual. Por ejemplo, escriba gr?s para buscar todos los archivos que contengan al menos una aparición de "gris" o "gres".

Utilice el carácter comodín asterisco para buscar cualquier número de caracteres. Por ejemplo, escriba San* para buscar todos los archivos que contengan al menos una palabra que comience por "San".

Ejemplo

Este ejemplo busca en la carpeta C:\Mis Documentos y todas sus subcarpetas y devuelve todos los archivos cuyo texto o propiedades de archivo contengan cualquier palabra que comience por "San". La propiedad TextOrProperty establece la palabra que se va a buscar y limita la búsqueda al texto o a las propiedades del archivo.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .TextOrProperty = "San*"
    .FileType = msoFileTypeAllFiles
End With


Propiedad TipOfDay

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

True si el Ayudante de Office muestra una sugerencia especial cada vez que se abre la aplicación de Office. Boolean de Lectura/Escritura.

Comentarios

El valor predeterminado es False. La propiedad TipOfDay corresponde a la opción Mostrar sugerencia al inicio de Mostrar sugerencias acerca de en la ficha Opciones del cuadro de diálogo Ayudante de Office.

Ejemplo

Este ejemplo muestra el Ayudante de Office en una ubicación específica y configura varias opciones antes de mostrarlo.

With Assistant
    .On = True
    .Visible = True
    .Left = 400
    .MoveWhenInTheWay = True
    If Not TipOfDay Then TipOfDay = True
    .Animation = msoAnimationGreeting
End With


Propiedad Title

Establece o devuelve el título de un cuadro de diálogo de archivos que se muestra mediante el objeto FileDialog. String de Lectura/Escritura.

expresión.Title

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

El ejemplo siguiente muestra un cuadro de diálogo Selector de archivos mediante el objeto File Dialog, así como cada archivo seleccionado en un cuadro de mensaje.

Sub main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Change the title of the dialog
        .Title = "Archive"

        'Use the Show method to display the file picker dialog and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Propiedad TooltipText

Devuelve o establece el texto mostrado en la Sugerencia del control de barra de comandos especificado. String de Lectura/Escritura.

Comentarios

El valor de Caption es el predeterminado para la Sugerencia.

Ejemplo

Este ejemplo agrega una sugerencia al último control de la barra de menús activa.

Set myMenuBar = CommandBars.ActiveMenuBar
Set lastCtrl = myMenuBar _
   .Controls(myMenuBar.Controls.Count)
lastCtrl.BeginGroup = True
lastCtrl.TooltipText = "Click for help on UI feature"


Propiedad Top

Puede que algunas partes de este tema no sean aplicables a algunos idiomas.

Propiedad Top cuando se aplica a los objetos Assistant y CommandBar.

Establece o devuelve la distancia, en puntos, desde la parte superior del Ayudante de Office o desde el borde superior de la barra de comandos especificada al borde superior de la pantalla. Para barras de comandos acopladas, esta propiedad devuelve o establece la distancia desde la barra de comandos hasta el borde superior del área de acoplamiento. Long de Lectura/Escritura.

expresión.Top

expresión Requerida. Expresión que devuelve uno de los objetos anteriores.

Propiedad Top cuando se aplica a los objetos CommandBarButton, CommandBarComboBox, CommandBarControl y CommandBarPopup.

Devuelve la distancia, en píxeles, desde el borde superior del control de la barra de comandos especificado al borde superior de la pantalla. Long de sólo lectura.

expresión.Top

expresión Requerida. Expresión que devuelve uno de los objetos anteriores.

Ejemplo

Cuando se aplica a los objetos Assistant y CommandBar.

Este ejemplo desplaza el Ayudante de Office a otra coordenada y establece su propiedad Top para futuras apariciones.

With Assistant
    .On = True
    .Visible = True
    .Sounds = True
    .Animation = msoAnimationBeginSpeaking
End With
Assistant.Top = 100
MsgBox "Click OK to move the Assistant to a " & _
         "new location."
Assistant.Top = 500

Este ejemplo sitúa la esquina superior izquierda de la barra de comandos flotante denominada Custom a 140 píxeles del borde izquierdo de la pantalla y a 100 píxeles del borde superior de la pantalla.

Set myBar = CommandBars("Custom")
myBar.Position = msoBarFloating
With myBar
    .Left = 140
    .Top = 100
End With


Propiedad Type

Propiedad Type cuando se aplica al objeto CommandBar.

Devuelve el tipo de barra de comandos. MsoBarType de sólo lectura.

MsoBarType puede ser una de estas constantes de MsoBarType.
msoBarTypeMenuBar
msoBarTypeNormal
msoBarTypePopup

expresión.Type

expresión Requerida. Expresión que devuelve un objeto CommandBar.

Propiedad Type cuando se aplica a los objetos CommandBarButton, CommandBarComboBox, CommandBarControl y CommandBarPopup.

Devuelve el tipo de control de barra de comandos. MsoControlType de sólo lectura.

MsoControlType puede ser una de estas constantes MsoControlType.
msoControlActiveX
msoControlAutoCompleteCombo
msoControlButton
msoControlButtonDropdown
msoControlButtonPopup
msoControlComboBox
msoControlCustom
msoControlDropdown
msoControlEdit
msoControlExpandingGrid
msoControlGauge
msoControlGenericDropdown
msoControlGraphicCombo
msoControlGraphicDropdown
msoControlGraphicPopup
msoControlGrid
msoControlLabel
msoControlLabelEx
msoControlOCXDropdown
msoControlPane
msoControlPopup
msoControlSpinner
msoControlSplitButtonMRUPopup
msoControlSplitButtonPopup
msoControlSplitDropdown
msoControlSplitExpandingGrid
msoControlWorkPane

expresión.Type

expresión Requerida. Expresión que devuelve uno de los objetos anteriores.

Propiedad Type cuando se aplica al objeto SearchScope.

Devuelve un valor que corresponde al tipo de objeto SearchScope. El tipo indica en qué área buscará los archivos el método Execute del objeto FileSearch. MsoSearchIn de sólo lectura.

MsoSearchIn puede ser una de estas constantes de MsoSearchIn.
msoSearchInCustom
msoSearchInMyComputer
msoSearchInMyNetworkPlaces
msoSearchInOutlook

expresión.Type

expresión Requerida. Expresión que devuelve un objeto SearchScope.

Propiedad Type cuando se aplica al objeto DocumentProperty.

Devuelve o establece el tipo de propiedad del documento. Es de sólo lectura para propiedades de documento integradas; es de Lectura/Escritura para propiedades de documento personalizadas.

expresión.Type

expresión Requerida. Expresión que devuelve un objeto DocumentProperty.

Comentarios

El valor devuelto será una constante de MsoDocProperties.

MsoFilterConjunction puede ser una de estas constantes de MsoFilterConjunction.
msoPropertyTypeBoolean
msoPropertyTypeDate
msoPropertyTypeFloat
msoPropertyTypeNumber
msoPropertyTypeString

Ejemplo

Cuando se aplica al objeto CommandBar.

Este ejemplo encuentra el primer control de la barra de comandos denominada Custom. Al utilizar la propiedad Type, el ejemplo determina si el control es un botón. Si es así, el ejemplo copia la imagen del botón Copy (de la barra de herramientas Standard) y después la pega en el control.

Set oldCtrl = CommandBars("Custom").Controls(1)
If oldCtrl.Type = msoControlButton Then
    Set newCtrl = CommandBars.FindControl(Type:= _
        MsoControlButton, ID:= _
        CommandBars("Standard").Controls("Copy").ID)
    NewCtrl.CopyFace
    OldCtrl.PasteFace
End If

Cuando se aplica al objeto DocumentProperty.

Este ejemplo muestra el nombre, tipo y valor de una propiedad de documento. Debe pasar un objeto DocumentProperty válido al procedimiento.

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "value = " & dp.Value & Chr(13) & _
        "type = " & dp.Type & Chr(13) & _
        "name = " & dp.Name
End Sub


Propiedad Value

Propiedad Value cuando se aplica al objeto DocumentProperty.

Devuelve o establece el valor de una propiedad de documento. Variant de Lectura/Escritura.

expresión.Value

expresión Requerida. Expresión que devuelve un objeto DocumentProperty.

Comentarios

Si la aplicación contenedora no define un valor para una de las propiedades de documento integradas, al leer la propiedad Value de ese documento se produce un error.

Propiedad Value cuando se aplica al objeto PropertyTest.

Devuelve el valor de una prueba de propiedad para una búsqueda de archivos. Variant de sólo lectura.

expresión.Value

expresión Requerida. Expresión que devuelve un objeto PropertyTest.

Ejemplo

Cuando se aplica al objeto DocumentProperty.

Este ejemplo muestra el nombre, tipo y valor de una propiedad de documento. Para que el ejemplo funcione, dp debe ser un objeto DocumentProperty válido.

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "value = " & dp.Value & Chr(13) & _
        "type = " & dp.Type & Chr(13) & _
        "name = " & dp.Name
End Sub

Cuando se aplica al objeto PropertyTests.

Este ejemplo muestra el valor de los criterios de búsqueda, si existe, en un cuadro de mensaje. Si no existe el segundo valor, el ejemplo muestra otro mensaje.

With Application.FileSearch.PropertyTests(1)
    If .Value = "" Then
       MsgBox "You haven't specified a value."
    Else
        MsgBox "The value you've set is: " _
            & .Value
    End If
End With


Propiedad Visible

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

True si el objeto especificado es visible. Boolean de Lectura/Escritura.

expresión.Visible

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Comentarios

False es el valor predeterminado de la propiedad Visible de las nuevas barras de comandos personalizadas.

La propiedad Enabled de una barra de comandos debe establecerse en True antes de establecer la propiedad visible en True.

Ejemplo

Este ejemplo recorre la colección de barras de comandos para buscar la barra de comandos "Forms". Si se encuentra la barra de comandos "Forms", el ejemplo lo muestra y protege el estado de acoplamiento.

foundFlag = False
For Each cmdbar In CommandBars
    If cmdbar.Name = "Forms" Then
        cmdbar.Protection = msoBarNoChangeDock
        cmdbar.Visible = True
        foundFlag = True
    End If
Next
If Not foundFlag Then
    MsgBox "'Forms'command bar is not in the collection."
End If

El ejemplo muestra el Ayudante de Office y establece la animación.

With Application.Assistant
    .Visible = True
    .Sounds = True
    .Animation = msoAnimationBeginSpeaking
End With


Propiedad Width

Devuelve o establece el ancho, en píxeles, de la barra de comandos o del control de la barra de comandos especificados. Integer de Lectura/Escritura.

expresión.Width

expresión Requerida. Expresión que devuelve uno de los objetos de la lista Aplicar a.

Ejemplo

Este ejemplo agrega un control personalizado a la barra de comandos denominada Custom. El ejemplo establece el alto del control personalizado en el doble del alto de la barra de comandos y establece el ancho en 50 píxeles. Observe cómo la barra de comandos cambia su tamaño de forma automática para adaptarlo al control.

Set myBar = CommandBars("Custom")
barHeight = myBar.Height
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    Id:= CommandBars("Standard").Controls("Save").Id, _
     Temporary:=True)
With myControl
    .Height = barHeight * 2
    .Width = 50
End With
myBar.Visible = True


Evento Change

Se produce cuando el usuario final cambia la selección en un cuadro combinado de la barra de comandos.

Private Sub CommandBarComboBox_Change

(ByVal Ctrl As CommandBarComboBox)

Comentarios

El evento Change se reconoce mediante el objeto CommandBarComboBox. Para devolver el evento Change de un control CommandBarComboBox específico, utilice la palabra clave WithEvents para declarar una variable y, a continuación, establezca la variable en el control CommandBarComboBox. Cuando se active el evento Change, éste ejecutará la macro o el código que se especificó con la propiedad OnAction del control.

Ejemplo

El ejemplo siguiente crea una barra de comandos con un control CommandBarComboBox que contiene cuatro selecciones. El cuadro combinado corresponde a la interacción del usuario mediante el evento CommandBarComboBox_Change.

Private ctlComboBoxHandler As New ComboBoxHandler
Sub AddComboBox()

    Set HostApp = Application

    Dim newBar As Office.CommandBar
    Set newBar = HostApp.CommandBars.Add(Name:="Test CommandBar", Temporary:=True)
    Dim newCombo As Office.CommandBarComboBox
    Set newCombo = newBar.Controls.Add(msoControlComboBox)
    With newCombo
        .AddItem "First Class", 1
        .AddItem "Business Class", 2
        .AddItem "Coach Class", 3
        .AddItem "Standby", 4
        .DropDownLines = 5
        .DropDownWidth = 75
        .ListHeaderCount = 0
    End With
    ctlComboBoxHandler.SyncBox newCombo
    newBar.Visible = True

End Sub

El ejemplo anterior se basa en el código siguiente, que se almacena en un módulo de clase en el proyecto VBA.

Private WithEvents ComboBoxEvent As Office.CommandBarComboBox
Public Sub SyncBox(box As Office.CommandBarComboBox)
    Set ComboBoxEvent = box
    If Not box Is Nothing Then
        MsgBox "Synced " & box.Caption & " ComboBox events."
    End If

End Sub

Private Sub Class_Terminate()
    Set ComboBoxEvent = Nothing
End Sub

Private Sub ComboBoxEvent_Change(ByVal Ctrl As Office.CommandBarComboBox)
    Dim stComboText As String

    stComboText = Ctrl.Text

        Select Case stComboText
        Case "First Class"
            FirstClass
        Case "Business Class"
            BusinessClass
        Case "Coach Class"
            CoachClass
        Case "Standby"
            Standby
    End Select

End Sub
Private Sub FirstClass()
    MsgBox "You selected First Class reservations"
End Sub
Private Sub BusinessClass()
    MsgBox "You selected Business Class reservations"
End Sub
Private Sub CoachClass()
    MsgBox "You selected Coach Class reservations"
End Sub
Private Sub Standby()
    MsgBox "You chose to fly standby"
End Sub


Evento Click

Ocurre cuando el usuario hace clic en un objeto CommandBarButton.

Private Sub CommandBarButton_Click

(ByVal Ctrl As CommandBarButton,

ByVal CancelDefault As Boolean)

La sintaxis del evento Click incluye los dos argumentos descritos en la siguiente tabla.

Argumento | Descripción
Ctrl | CommandBarButton requerido. Alude al control CommandBarButton que inició el evento.
CancelDefault | Boolean requerido. False si se produce el comportamiento predeterminado asociado con el control CommandBarButton, salvo que sea cancelado por otro proceso o complemento.

Comentarios

El evento Click es reconocido por el objeto CommandBarButton. Para devolver el evento Click de un control CommandBarButton determinado, utilice la palabra clave WithEvents para declarar una variable y, a continuación, asigne la variable al control.

Ejemplo

El ejemplo siguiente crea un nuevo botón de barra de comandos en el menú Archivo de la aplicación host, que permite que el usuario guarde un libro como un archivo de valores separados por comas. Este ejemplo funciona en todas las aplicaciones, pero el contexto de guardar como CSV es aplicable a Microsoft Excel.

Private HostApp As Object

Sub createAndSynch()
    Dim iIndex As Integer
    Dim iCount As Integer
    Dim fBtnExists As Boolean

    Dim obCmdBtn As Object
    Dim btnSaveAsCSVHandler as new Class1

    On Error GoTo errHandler

    Set HostApp = Application

    Dim barHelp As Office.CommandBar
    Set barHelp = Application.CommandBars("File")
    fBtnExists = False
    iCount = barHelp.Controls.Count
    For iIndex = 1 To iCount
        If barHelp.Controls(iIndex).Caption = "Save As CSV (Comma Delimited)" Then fBtnExists = True

    Next
    Dim btnSaveAsCSV As Office.CommandBarButton
    If fBtnExists Then
        Set btnSaveAsCSV = barHelp.Controls("Save As CSV (Comma Delimited)")
    Else
        Set btnSaveAsCSV = barHelp.Controls.Add(msoControlButton)
        btnSaveAsCSV.Caption = "Save As CSV (Comma Delimited)"
    End If

    btnSaveAsCSV.Tag = "btn1"
    btnSaveAsCSVHandler.SyncButton btnSaveAsCSV
    Exit Sub

errHandler:
    ' Insert error handling code here
End Sub


Evento EnvelopeHide

Se produce cuando está oculta la interfaz de usuario que corresponde al objeto MsoEnvelope.

Private Sub object_EnvelopHide()

object Variable que hace referencia a un objeto de tipo MsoEnvelope declarada con eventos de un módulo de clase.

Ejemplo

El ejemplo siguiente configura rutinas de manipulación de eventos para el objeto MsoEnvelope.

Public WithEvents env As MsoEnvelope

Private Sub Class_Initialize()
    Set env = Application.ActiveDocument.MailEnvelope
End Sub

Private Sub env_EnvelopeShow()
    MsgBox "The MsoEnvelope UI is showing."
End Sub

Private Sub env_EnvelopeHide()
    MsgBox "The MsoEnvelope UI is hidden."
End Sub


Evento EnvelopeShow

Se produce cuando se muestra la interfaz de usuario que corresponde al objeto MsoEnvelope.

Private Sub object_EnvelopShow()

object Variable que hace referencia a un objeto de tipo MsoEnvelope declarada con eventos de un módulo de clase.

Ejemplo

El ejemplo siguiente establece rutinas de manipulación de eventos para el objeto MsoEnvelope.

Public WithEvents env As MsoEnvelope

Private Sub Class_Initialize()
    Set env = Application.ActiveDocument.MailEnvelope
End Sub

Private Sub env_EnvelopeShow()
    MsgBox "The MsoEnvelope UI is showing."
End Sub

Private Sub env_EnvelopeHide()
    MsgBox "The MsoEnvelope UI is hidden."
End Sub


Evento OnUpdate

Ocurre cuando se efectúa un cambio en la barra de comandos.

Private Sub CommandBars_OnUpdate()

Comentarios

El evento OnUpdate es reconocido por el objeto CommandBar en todos los controles de la barra de comandos. El evento se activa con cualquier cambio producido en una barra de comandos o en un control de barra de comandos, o cualquier cambio en el estado de una barra de comandos o en un control de una barra de comandos. Estos cambios pueden deberse, por ejemplo, a una selección de texto o celda. Puesto que un gran número de eventos OnUpdate pueden tener lugar durante el uso normal, los desarrolladores deben utilizar con cautela este evento. Es muy recomendable que este evento se utilice fundamentalmente para comprobar que se ha agregado o quitado una barra de comandos personalizada mediante un COMAddIn.


Elemento de idioma oculto

Ha solicitado Ayuda para un elemento de idioma oculto y al que, por lo tanto, no se permite el acceso programático.


Creación y modificación de globos

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Utilización del globo del Ayudante de Office para proporcionar información al usuario. La información contenida en el globo puede ser un simple mensaje, una solicitud de más información o una lista de opciones. Los cambios del globo del Ayudante de Office deben realizarse en tiempo de ejecución.

La siguiente tabla contiene las propiedades y los métodos más comunes para cambiar el aspecto o función de un globo vacío recién creado, o de un globo existente. Los globos se muestran o se actualizan cuando se utiliza el método Show, de modo que cualquier cambio realizado en ellos aparecerá la próxima vez que se use este método.

Propiedad o método | Descripción
Heading | Especifica el texto en negrita que aparece en la parte superior del globo del Ayudante de Office.
Text | Especifica el texto que aparece en el globo del Ayudante de Office. Este texto aparece después del encabezado y antes de las casillas de verificación, rótulos o botones.
Labels | Devuelve la colección de rótulos del globo. El formato de los rótulos viene determinado por la propiedad BalloonType. Los rótulos aparecen después del texto del globo. Puede numerarse o agregar viñetas a la lista de rótulos o puede ser una lista de botones. A diferencia de las casillas de verificación, la opción del usuario se registra al hacer clic en un botón.
CheckBoxes | Devuelve la colección de casillas de verificación del globo. El usuario selecciona la casilla de verificación y, a continuación, hace clic en el botón apropiado de la parte inferior del globo, por ejemplo Aceptar o Siguiente, para registrar la opción.
Close | Cierra y rechaza un globo sin modo, pero no suelta la variable de objeto. La variable de objeto asignada al globo aún es válida; puede mostrarla de nuevo o modificarla y mostrarla más adelante. Este método sólo puede utilizarse en globos sin modo.
Show | Muestra el globo y todos sus objetos al usuario. Utilice este método sólo para objetos Balloon; utilice la propiedad Visible para el objeto Assistant.

El siguiente ejemplo crea un globo que ayuda al usuario a seleccionar una impresora. El ejemplo ofrece una opción en una casilla de verificación a los usuarios que deseen pasar por alto la información del globo.

Set bln = Assistant.NewBalloon
With bln
    .Heading = "Instructions for Choosing a Printer."
    .Text = "Click OK when you've chosen a printer."
    lblTxt = "From the File menu, choose Print."
    .Labels(1).Text = lblTxt
    .Labels(2).Text = "Click Setup."
    .Labels(3).Text = "Select the name of the printer."
    .CheckBoxes(1).Text = "Skip this information."
    .BalloonType = msoBalloonTypeNumbers
    .Mode = msoModeModal
    .Button = msoButtonSetOK
    .Show
End With

Creación de globos

Para crear un nuevo globo, utilice la propiedad NewBalloon del objeto Assistant. El globo creado estará vacío. Utilice la propiedad Heading para agregar un encabezado y la propiedad Text para agregar texto al globo y, a continuación, agregue los controles, si fuera necesario. Por último, utilice el método Show para mostrar el globo. El método Show mostrará el globo tal como aparece en ese momento; por tanto, es importante utilizar este método después de establecer todas las demás propiedades del globo. El siguiente ejemplo crea un nuevo globo, establece el encabezado y el texto principal, y crea tres controles de casilla de verificación que el usuario puede seleccionar.

With Assistant.NewBalloon
    .Button = msoButtonSetOkCancel
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With

Trabajo con múltiples globos

El Ayudante de Office no posee una colección Balloons. Para trabajar con múltiples globos, puede establecerse una variable de objeto independiente para cada globo que se cree y especificar la variable como requerida. También se puede crear una matriz de variables de objeto Balloon y asignar un globo a cada una. El siguiente ejemplo crea una matriz y agrega tres objetos Balloon en blanco

Dim myBalloonArray(3) As Balloon

With Assistant
    For i = 1 To 3
        Set myBalloonArray(i) = .NewBalloon
    Next
End With


Obtener ayuda sobre palabras clave de Macintosh

Ha solicitado ayuda para una palabra clave de Visual Basic que sólo se utiliza en Macintosh. Si desea información sobre esta palabra clave, consulte la Ayuda de referencia de idiomas incluida en Microsoft Office, edición para Macintosh.


Modificaciones de los globos en tiempo de ejecución

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

Después de crear un globo para el Ayudante de Office, puede personalizarlo agregando mapas de bits, iconos o metarchivos de Windows al encabezado o texto del mismo. Puede que desee agregar controles como casillas de verificación o botones, de forma que pueda responder al usuario cuando haga clic en un elemento del globo. También puede usar atributos de texto como color y subrayado para resaltar elementos de texto en un globo.

Agregar iconos y mapas de bits a los globos

Para agregar un icono, asigne una constante MsoIconType a la propiedad Icon del objeto Balloon. Para agregar un mapa de bits o un metarchivo de Windows al texto de un globo del Ayudante de Office, especifique el tipo, ubicación y factor de ajuste de tamaño, si fuera necesario, al establecer la propiedad Text de un encabezado, texto, casilla de verificación o rótulo. El siguiente ejemplo inserta un archivo de mapa de bits de Windows en el texto de un globo.

myBmp = "{bmp c:\Windows\circles.gif}"
myText1 = "This is before the picture, "
myText2 = " and this is after the picture"
Set bln = Assistant.NewBalloon
With bln
    .Heading = "Instructions for Choosing a Bitmap."
    .Text = myText1 & myBmp & myText2
    .Show
End With

Agregar controles a los globos

Existen dos tipos de controles que pueden agregarse a un globo: casillas de verificación y botones. Existen cinco casillas de verificación en el globo cuando se crea; puede mostrar cualquiera de ellas especificando texto en el control. También existen cinco botones de rótulo en el globo, si se trata de un globo msoBalloonTypeButtons, y puede mostrar cada uno de ellos de la misma manera que una casilla de verificación. Si trata de agregar más de cinco casillas de verificación o botones de rótulos a un globo, se producirá un error.

Puede cambiar el aspecto de cualquier control de un globo cambiando su propiedad Text. Puede cambiar la función de una casilla de verificación o de un botón de un globo especificando otro procedimiento que se ejecutará siempre que se seleccione o se haga clic en ellos.

El siguiente ejemplo crea un globo con encabezado, texto y tres opciones de región. Cuando el usuario selecciona una o más casillas de verificación y hace clic en Aceptar, se ejecuta el procedimiento apropiado.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select your region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
    If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

Agregar color y subrayado al texto de los globos

Puede agregar dos atributos al texto de un globo: color y subrayado. Se pueden utilizar 16 colores del sistema para resaltar el texto. También puede modificar el aspecto del texto en un globo subrayándolo. Los atributos de texto están incrustados en el texto del globo y se señalan mediante llaves en el código. En el siguiente ejemplo se crea un nuevo globo del Ayudante de Office que contiene texto de encabezado subrayado, texto rojo y texto azul que también está subrayado.

With Assistant.NewBalloon
    .Heading = "Underlined {ul 1}Heading{ul 0}"
    .Text = "Some {cf 249}Red{cf 0} text and some " & _
    "underlined {cf 252}{ul 1}Blue{ul 0}{cf 0} text."
    .Show
End With


Devolver un objeto desde una colección

La propiedad Item devuelve un solo objeto de una colección. El siguiente ejemplo establece la variable cmdbar en un objeto CommandBar que representa la primera barra de comandos de la colección CommandBars.

Set cmdbar = CommandBars.Item(1)

La propiedad Item es la propiedad predeterminada para la mayoría de las colecciones, por lo que puede escribir el mismo comando de forma más concisa, omitiendo la palabra clave Item.

Set cmdbar = CommandBars(1)

Para obtener más información acerca de una colección específica, consulte el tema de Ayuda o la propiedad Item de la colección.


Utilizar el Ayudante de Office

Es posible que algunas partes de este tema no sean aplicables a algunos idiomas.

El Ayudante de Office se muestra habitualmente junto con un globo, que presenta mensajes y proporciona ayuda mientras el usuario trabaja en la aplicación. Sin embargo, el Ayudante de Office también puede ser útil para el usuario aunque no muestre el globo de mensajes. Puede llamar la atención del usuario sólo con el Ayudante si activa la propiedad Animation. Utilice otras propiedades del objeto Assistant para personalizar el modo en que se presenta al usuario la Ayuda estándar.

Todas las propiedades mostradas en la ficha Opciones del cuadro de diálogo Ayudante de Office corresponden a una propiedad del Ayudante que puede establecerse en tiempo de ejecución. Las propiedades mostradas en la siguiente tabla se utilizan normalmente para modificar el Ayudante de Office.

Propiedad | Descripción
Animation | Anima el Ayudante de Office. Algunas animaciones son continuas; otras sólo ocurren una vez.
FileName | Especifica el nombre de archivo completo del Ayudante de Office, con la extensión .acs. Por ejemplo, el nombre de archivo del Ayudante de Office Rocky es Rocky.acs.
Name | Devuelve el nombre del Ayudante de Office. Si desea realizar un seguimiento de los Ayudante de Office que el usuario selecciona, utilice esta propiedad.
Visible | Especifica si el Ayudante está visible u oculto.

El siguiente ejemplo selecciona el Ayudante de Office Rocky, lo activa, lo muestra y establece una animación. El ejemplo también establece varias propiedades de Ayuda personalizadas disponibles en la ficha Opciones del cuadro de diálogo Ayudante de Office en tiempo de diseño.

With Assistant
    .On = True
    .FileName = "Rocky.acs"
    .Animation = msoAnimationBeginSpeaking
    .AssistWithHelp = True
    .GuessHelp = True
    .FeatureTips = False
    .Visible = True
End With

Puede elegir entre seis "caracteres" distintos del Ayudante de Office para instalar con Microsoft Office, pero sólo uno puede estar activo en un instante determinado. Puede permitir que el usuario seleccione un Ayudante de la Galería de Ayudantes de Office, o puede seleccionar un Ayudante para el usuario mediante un programa. No puede modificar los archivos de caracteres del Ayudante instalado, ni crear un archivo de caracteres para usarlo en lugar de los archivos proporcionados.


No hay tema de Ayuda disponible

No se puede mostrar el tema de Ayuda porque la Ayuda de Microsoft Office Visual Basic no se pudo encontrar, se quitó o no se instaló.

Instalar la Ayuda de Microsoft Office Visual Basic

  1. En el Panel de control, haga doble clic en Agregar o quitar programas.
  2. En la ficha Cambiar o quitar programas, haga clic en la edición de Microsoft Office que tenga instalada y, a continuación, haga clic en Cambiar.
  3. Haga clic en Agregar o quitar funciones y, a continuación, expanda Funciones compartidas de Office de la lista de funciones.
  4. Expanda Visual Basic para Aplicaciones de la lista de funciones, y haga clic en el icono situado junto a la Ayuda de Visual Basic para ver las opciones de instalación.
  5. Haga clic en Ejecutar desde mi PC o en Ejecutar desde la red y, a continuación, haga clic en Actualizar.


Elemento de idioma no admitido

Ha solicitado Ayuda para un elemento de idioma no admitido.


Método Add (Microsoft Word)

En Microsoft Word, el argumento Temporary del método Add (objeto CommandBarControls) siempre se omite. Por lo tanto, al agregar un botón de control a una barra de menús de una barra de comandos, permanece en la plantilla Normal.dot aunque establezca el argumento Temporary a True. Para quitar un elemento de menú innecesario de la plantilla Normal.dot puede utilizar uno de los métodos siguientes.

  1. Delete Normal.dot. Precisa Word para recrear la plantilla predeterminada Normal, que elimina también el resto de los cambios que haya realizado en la plantilla Normal, como las barras de herramientas. Dado que todos los documentos de Word se basan en la plantilla Normal, deberá eliminar la plantilla manualmente, en vez de mediante programas.
  2. Reset command bars. Puede crear un procedimiento para restablecer todas las barras de comandos o sólo la que especifique. Este ejemplo restablece todas las barras de comandos, incluidas las barras de menús y de herramientas.
    Sub ResetAllCommandBars()
    Dim mnu As CommandBar

    'Error handler skips over custom toolbars,
    'which can't be reset
    On Error Resume Next

    For Each mnu In Application.CommandBars
        mnu.Reset
    Next mnu
End Sub
    Este ejemplo restablece sólo los elementos de la barra de menús, no de todas las barras de herramientas de Word.
    Sub ResetMenuBar()
    Dim mnu As CommandBar
    For Each mnu In Application.CommandBars
        If mnu.Name = "Menu Bar" Then
            mnu.Reset
        End If
    Next mnu
End Sub


Propiedad Context

En Microsoft Word, la propiedad Context es de sólo lectura y devuelve el nombre completo y la ruta de la plantilla asociada con el documento que contiene el objeto CommandBar especificado.


Eventos nuevos

 Métodos nuevos

 Objetos nuevos

 Propiedades nuevas (por orden alfabético)

 Propiedades nuevas (por objeto)


Objeto CommandBarComboBox


Objeto CommandBarButton


Objeto MsoEnvelope
Evento EnvelopeShow


Objeto MsoEnvelope
Evento EnvelopeHide


Objeto de colección CommandBars


Métodos nuevos

 Objetos nuevos

 Propiedades nuevas (por orden alfabético)

 Propiedades nuevas (por objeto)

 Novedades para los programadores de Microsoft Office


Modificaciones de los globos en tiempo de ejecución

 Introducción al Ayudante de Office


Agregar y mostrar menús contextuales

 Agregar y modificar barras de herramientas

 Utilizar las barras de comandos


Objeto Assistant

 Objeto Balloon

 Creación y modificación de globos

 Introducción al Ayudante de Office


Propiedad Animation

 Creación y modificación de globos

 Propiedad FileName

 Objetos de Microsoft Office


Agregar y mostrar menús contextuales

 Agregar y manejar barras y elementos de menú

 Agregar y modificar barras de herramientas

 Objetos de Microsoft Office


Objeto de colección BalloonCheckBoxes

 Objeto de colección BalloonLabels

 Objeto de colección CommandBarControls

 Objeto de colección CommandBars

 Objeto de colección DocumentProperties

 Objeto de colección PropertyTests


Agregar y manejar barras y elementos de menú

 Agregar y modificar barras de herramientas

 Utilizar las barras de comandos


Agregar y mostrar menús contextuales

 Agregar y manejar barras y elementos de menú

 Utilizar las barras de comandos


Objeto Assistant

 Creación y modificación de globos

 Modificaciones de los globos en tiempo de ejecución

 Objetos de Microsoft Office


Objeto Assistant


Objeto de colección AnswerWizardFiles

 Objeto de colección CommandBarControls

 Objeto de colección CommandBars

 Objeto de colección DocumentProperties

 Colección FileDialogFilters

 Colección FileTypes

 Objeto NewFile

 Objeto ODSOFilters

 Objeto de colección PropertyTests

 Objeto de colección Scripts

 Colección SearchFolders

 Colección SignatureSet
Objeto de colección CommandBars

 Objeto de colección DocumentProperties

 Objetos de Microsoft Office
Método Add (Microsoft Word)


Objeto ScopeFolder
Método Add


Objeto OfficeDataSourceObject


Objeto CommandBarComboBox

 Colección FileDialogFilters
Método AddItem

 Objeto CommandBarComboBox

 Propiedad Enabled


Objeto AnswerWizard


Objeto Balloon


Colección SignatureSet


Objeto CommandBarButton

 Objeto CommandBarComboBox

 Objeto CommandBarControl

 Objeto CommandBarPopup


Objeto de colección AnswerWizardFiles

 Objeto CommandBar

 Objeto CommandBarButton

 Objeto CommandBarComboBox

 Objeto CommandBarControl

 Objeto CommandBarPopup

 Objeto DocumentProperty

 Colección FileDialogFilters

 Objeto ODSOFilters

 Objeto Script

 Objeto de colección Scripts

 Objeto Signature


Objeto CommandBarButton

 Objeto CommandBarComboBox

 Objeto CommandBarControl

 Objeto CommandBarPopup

 Objeto FileDialog

 Objeto FileSearch


Método FindControls


Objeto de colección COMAddIns

 Colección FileDialogFilters

 Colección FileDialogSelectedItems

 Objeto de colección HTMLProjectItems

 Objeto ODSOColumns

 Objeto ODSOFilters

 Objeto de colección Scripts


Objeto HTMLProjectItem


Objeto Assistant

 Objeto CommandBarButton

 Objeto CommandBarComboBox

 Objeto CommandBarControl

 Objeto CommandBarPopup

 Objeto OfficeDataSourceObject


Objeto FileSearch
Objeto FileSearch


Objeto HTMLProject

 Objeto HTMLProjectItem

 Objeto OfficeDataSourceObject


Objeto HTMLProject


Objeto FileSearch


Objeto de colección CommandBars
Método SetFocus


Colección FileTypes

 Objeto NewFile

 Objeto de colección PropertyTests

 Colección SearchFolders


Método ResetTips


Objeto Assistant
Método Reset


Objeto Balloon

 Objeto FileDialog
Objeto de colección BalloonCheckBoxes

 Creación y modificación de globos

 Método Execute

 Propiedad NewBalloon


Objeto CommandBar


Objeto Assistant
Método ActivateWizard

 Objeto Assistant

 Creación y modificación de globos

 Método EndWizard

 Modificaciones de los globos en tiempo de ejecución

 Introducción al Ayudante de Office


Objeto de colección COMAddIns


Eventos nuevos

 Objetos nuevos

 Propiedades nuevas (por orden alfabético)

 Propiedades nuevas (por objeto)

 Novedades para los programadores de Microsoft Office


Método ClearFileList

 Método ResetFileList
Propiedad Application

 Propiedad Creator

 Propiedad Files

 Propiedad Parent


Método Add

 Método Delete
Propiedad Application

 Propiedad Count

 Propiedad Creator

 Propiedad Item

 Propiedad Parent


Propiedad Animation

 Propiedad Application

 Propiedad AssistWithAlerts

 Propiedad AssistWithHelp

 Propiedad AssistWithWizards

 Propiedad BalloonError

 Propiedad Creator

 Propiedad FeatureTips

 Propiedad FileName

 Propiedad GuessHelp

 Propiedad HighPriorityTips

 Propiedad Item

 Propiedad KeyboardShortcutTips

 Propiedad Left

 Propiedad MouseTips

 Propiedad MoveWhenInTheWay

 Propiedad Name

 Propiedad NewBalloon

 Propiedad On

 Propiedad Parent

 Propiedad Reduced

 Propiedad SearchWhenProgramming

 Propiedad Sounds

 Propiedad TipOfDay

 Propiedad Top

 Propiedad Visible


Propiedad Animation

 Propiedad Application

 Propiedad BalloonType

 Propiedad Button

 Propiedad Callback

 Propiedad Checkboxes

 Propiedad Creator

 Propiedad Heading

 Propiedad Icon

 Propiedad Labels

 Propiedad Mode

 Propiedad Name

 Propiedad Parent

 Propiedad Private

 Propiedad Text
Objetos de Microsoft Office


Objetos de Microsoft Office


Objetos de Microsoft Office
Objeto de colección BalloonLabels


Método Item

 Método Update
Propiedad Application

 Propiedad Count

 Propiedad Creator

 Propiedad Parent


Propiedad AdaptiveMenu

 Propiedad Application

 Propiedad BuiltIn

 Propiedad Context

 Propiedad Controls

 Propiedad Creator

 Propiedad Enabled

 Propiedad Height

 Propiedad Id

 Propiedad Index

 Propiedad Left

 Propiedad Name

 Propiedad NameLocal

 Propiedad Parent

 Propiedad Position

 Propiedad Protection

 Propiedad RowIndex

 Propiedad Top

 Propiedad Type

 Propiedad Visible

 Propiedad Width
Objetos de Microsoft Office
Objeto de colección CommandBars


Evento Click
Método Copy

 Método CopyFace

 Método Delete

 Método Execute

 Método Move

 Método PasteFace

 Método Reset

 Método SetFocus
Propiedad Application

 Propiedad BeginGroup

 Propiedad BuiltIn

 Propiedad BuiltInFace

 Propiedad Caption

 Propiedad Creator

 Propiedad DescriptionText

 Propiedad Enabled

 Propiedad FaceId

 Propiedad Height

 Propiedad HelpContextId

 Propiedad HelpFile

 Propiedad HyperlinkType

 Propiedad Id

 Propiedad Index

 Propiedad IsPriorityDropped

 Propiedad Left

 Propiedad Mask

 Propiedad OLEUsage

 Propiedad OnAction

 Propiedad Parameter

 Propiedad Parent

 Propiedad Picture

 Propiedad Priority

 Propiedad ShortcutText

 Propiedad State

 Propiedad Style

 Propiedad Tag

 Propiedad TooltipText

 Propiedad Top

 Propiedad Type

 Propiedad Visible

 Propiedad Width
Objetos de Microsoft Office


Evento Change
Método AddItem

 Método Clear

 Método Copy

 Método Delete

 Método Execute

 Método Move

 Método RemoveItem

 Método Reset

 Método SetFocus
Propiedad Application

 Propiedad BeginGroup

 Propiedad BuiltIn

 Propiedad Caption

 Propiedad Creator

 Propiedad DescriptionText

 Propiedad DropDownLines

 Propiedad DropDownWidth

 Propiedad Enabled

 Propiedad Height

 Propiedad HelpContextId

 Propiedad HelpFile

 Propiedad Id

 Propiedad Index

 Propiedad IsPriorityDropped

 Propiedad Left

 Propiedad List

 Propiedad ListCount

 Propiedad ListHeaderCount

 Propiedad ListIndex

 Propiedad OLEUsage

 Propiedad OnAction

 Propiedad Parameter

 Propiedad Parent

 Propiedad Priority

 Propiedad Style

 Propiedad Tag

 Propiedad Text

 Propiedad TooltipText

 Propiedad Top

 Propiedad Type

 Propiedad Visible

 Propiedad Width


Propiedad Application

 Propiedad BeginGroup

 Propiedad BuiltIn

 Propiedad Caption

 Propiedad Creator

 Propiedad DescriptionText

 Propiedad Enabled

 Propiedad Height

 Propiedad HelpContextId

 Propiedad HelpFile

 Propiedad Id

 Propiedad Index

 Propiedad IsPriorityDropped

 Propiedad Left

 Propiedad OLEUsage

 Propiedad OnAction

 Propiedad Parameter

 Propiedad Parent

 Propiedad Priority

 Propiedad Tag

 Propiedad TooltipText

 Propiedad Top

 Propiedad Type

 Propiedad Visible

 Propiedad Width
Objetos de Microsoft Office
Objeto de colección CommandBarControls


Método Add
Propiedad Application

 Propiedad Count

 Propiedad Creator

 Propiedad Item

 Propiedad Parent
Objetos de Microsoft Office


Propiedad Application

 Propiedad BeginGroup

 Propiedad BuiltIn

 Propiedad Caption

 Propiedad CommandBar

 Propiedad Controls

 Propiedad Creator

 Propiedad DescriptionText

 Propiedad Enabled

 Propiedad Height

 Propiedad HelpContextId

 Propiedad HelpFile

 Propiedad Id

 Propiedad Index

 Propiedad IsPriorityDropped

 Propiedad Left

 Propiedad OLEMenuGroup

 Propiedad OLEUsage

 Propiedad OnAction

 Propiedad Parameter

 Propiedad Parent

 Propiedad Priority

 Propiedad Tag

 Propiedad TooltipText

 Propiedad Top

 Propiedad Type

 Propiedad Visible

 Propiedad Width
Objetos de Microsoft Office


Evento OnUpdate
Método Add

 Método FindControl

 Método FindControls

 Método ReleaseFocus
Propiedad ActionControl

 Propiedad ActiveMenuBar

 Propiedad AdaptiveMenus

 Propiedad Application

 Propiedad Count

 Propiedad Creator

 Propiedad DisableAskAQuestionDropdown

 Propiedad DisableCustomize

 Propiedad DisplayFonts

 Propiedad DisplayKeysInTooltips

 Propiedad DisplayTooltips

 Propiedad Item

 Propiedad LargeButtons

 Propiedad MenuAnimationStyle

 Propiedad Parent
Objetos de Microsoft Office


Método Delete
Propiedad Application

 Propiedad Creator

 Propiedad LinkSource

 Propiedad LinkToContent

 Propiedad Name

 Propiedad Parent

 Propiedad Type

 Propiedad Value
Objetos de Microsoft Office


Propiedad AllowMultiSelect

 Propiedad Application

 Propiedad ButtonName

 Propiedad Creator

 Propiedad DialogType

 Propiedad FilterIndex

 Propiedad Filters

 Propiedad InitialFileName

 Propiedad InitialView

 Propiedad Item

 Propiedad Parent

 Propiedad SelectedItems

 Propiedad Title


Propiedad Application

 Propiedad Creator

 Propiedad Description

 Propiedad Extensions

 Propiedad Parent
Objeto FileDialog

 Colección FileDialogFilters

 Colección FileDialogSelectedItems


Método Add

 Método Clear

 Método Delete

 Método Item
Propiedad Application

 Propiedad Count

 Propiedad Creator

 Propiedad Parent
Objeto FileDialog

 Objeto FileDialogFilter

 Colección FileDialogSelectedItems


Método Item


Propiedad Application

 Propiedad Creator

 Propiedad FileName

 Propiedad FileType

 Propiedad FileTypes

 Propiedad FoundFiles

 Propiedad LastModified

 Propiedad LookIn

 Propiedad MatchAllWordForms

 Propiedad MatchTextExactly

 Propiedad PropertyTests

 Propiedad SearchFolders

 Propiedad SearchScopes

 Propiedad SearchSubFolders

 Propiedad TextOrProperty
Colección FileTypes

 Propiedad FoundFiles

 Objeto PropertyTests

 Propiedad PropertyTests

 Objeto ScopeFolder

 Colección ScopeFolders

 Colección SearchFolders

 Objeto SearchScope

 Colección SearchScopes


Método Add

 Método Remove
Propiedad Application

 Propiedad Count

 Propiedad Creator

 Propiedad Item
Propiedad FileName

 Objeto FileSearch

 Propiedad FileType

 Propiedad FileTypes

 Colección SearchFolders

 Colección SearchScopes


Método Open

 Método RefreshDocument

 Método RefreshProject
Propiedad Application

 Propiedad Creator

 Propiedad HTMLProjectItems

 Propiedad Parent

 Propiedad State


Método LoadFromFile

 Método Open

 Método SaveCopyAs
Propiedad Application

 Propiedad Creator

 Propiedad IsOpen

 Propiedad Name

 Propiedad Parent

 Propiedad Text


Propiedad Application

 Propiedad Creator

 Propiedad LanguageID

 Propiedad LanguagePreferredForEditing

 Propiedad Parent


Evento EnvelopeHide

 Evento EnvelopeShow
Propiedad CommandBars

 Propiedad Introduction

 Propiedad Item

 Propiedad Parent


Método Add

 Método Remove
Propiedad Application

 Propiedad Creator


Propiedad Application

 Propiedad Creator

 Propiedad Index

 Propiedad Name

 Propiedad Parent

 Propiedad Value
Objeto ODSOColumns

 Objeto ODSOFilter

 Objeto ODSOFilters

 Objeto OfficeDataSourceObject


Propiedad Application

 Propiedad Column

 Propiedad CompareTo

 Propiedad Comparison

 Propiedad Conjunction

 Propiedad Creator

 Propiedad Index

 Propiedad Parent


Método Add

 Método Delete

 Método Item
Propiedad Application

 Propiedad Count

 Propiedad Creator

 Propiedad Parent
Objeto ODSOColumn

 Objeto ODSOColumns

 Objeto ODSOFilter

 Objeto OfficeDataSourceObject


Método ApplyFilter

 Método Move

 Método Open

 Método SetSortOrder
Objeto ODSOColumns

 Objeto ODSOFilters
Propiedad Columns

 Propiedad ConnectString

 Propiedad DataSource

 Propiedad Filters

 Propiedad RowCount

 Propiedad Table
Objeto ODSOColumn

 Objeto ODSOColumns

 Objeto ODSOFilter

 Objeto ODSOFilters


Objeto de colección PropertyTests


Método AddToSearchFolders


Propiedad Application

 Propiedad Count

 Propiedad Creator

 Propiedad Item
Objeto FileSearch

 Colección SearchFolders

 Colección SearchScopes


Método Delete
Propiedad Application

 Propiedad Creator

 Propiedad Extended

 Propiedad Id

 Propiedad Language

 Propiedad Location

 Propiedad Parent

 Propiedad ScriptText

 Propiedad Shape
Objeto de colección Scripts


Método Add

 Método Delete

 Método Item
Propiedad Application

 Propiedad Count

 Propiedad Creator

 Propiedad Parent


Método Add

 Método Remove
Propiedad Application

 Propiedad Count

 Propiedad Creator

 Propiedad Item
Objeto FileSearch

 Colección FileTypes

 Propiedad LookIn

 Objeto ScopeFolder

 Colección ScopeFolders

 Propiedad SearchFolders

 Colección SearchScopes


Propiedad Application

 Propiedad Creator

 Propiedad ScopeFolder

 Propiedad Type
Objeto FileSearch

 Objeto ScopeFolder

 Colección SearchScopes


Método Delete
Propiedad Application

 Propiedad AttachCertificate

 Propiedad Creator

 Propiedad ExpireDate

 Propiedad IsCertificateExpired

 Propiedad IsCertificateRevoked

 Propiedad IsValid

 Propiedad Issuer

 Propiedad Parent

 Propiedad SignDate

 Propiedad Signer


Método Add

 Método Commit
Propiedad Application

 Propiedad Count

 Propiedad Creator

 Propiedad Item

 Propiedad Parent


Propiedad Application

 Propiedad Creator

 Propiedad FixedWidthFont

 Propiedad FixedWidthFontSize

 Propiedad ProportionalFont

 Propiedad ProportionalFontSize
Objeto de colección WebPageFonts


Propiedad Application

 Propiedad Count

 Propiedad Creator

 Propiedad Item


Eventos nuevos

 Métodos nuevos

 Propiedades nuevas (por orden alfabético)

 Propiedades nuevas (por objeto)

 Novedades para los programadores de Microsoft Office


Objeto de colección CommandBars
Agregar y mostrar menús contextuales

 Agregar y manejar barras y elementos de menú

 Agregar y modificar barras de herramientas

 Utilizar las barras de comandos


Objeto FileDialog


Objeto Assistant

 Objeto Balloon
Objeto Assistant

 Propiedad FileName

 Introducción al Ayudante de Office

 Propiedad Visible


Objeto AnswerWizard

 Objeto de colección AnswerWizardFiles

 Objeto Assistant

 Objeto Balloon

 Objeto BalloonCheckBox

 Objeto de colección BalloonCheckBoxes

 Objeto BalloonLabel

 Objeto de colección BalloonLabels

 Objeto COMAddIn

 Objeto de colección COMAddIns

 Objeto CommandBar

 Objeto CommandBarButton

 Objeto CommandBarComboBox

 Objeto CommandBarControl

 Objeto de colección CommandBarControls

 Objeto CommandBarPopup

 Objeto de colección CommandBars

 Objeto de colección DocumentProperties

 Objeto DocumentProperty

 Objeto FileDialog

 Objeto FileDialogFilter

 Colección FileDialogFilters

 Colección FileDialogSelectedItems

 Objeto FileSearch

 Colección FileTypes

 Objeto FoundFiles

 Objeto HTMLProject

 Objeto HTMLProjectItem

 Objeto de colección HTMLProjectItems

 Objeto LanguageSettings

 Objeto NewFile

 Objeto ODSOColumn

 Objeto ODSOColumns

 Objeto ODSOFilter

 Objeto ODSOFilters

 Objeto PropertyTests

 Objeto de colección PropertyTests

 Objeto ScopeFolder

 Colección ScopeFolders

 Objeto Script

 Objeto de colección Scripts

 Colección SearchFolders

 Objeto SearchScope

 Colección SearchScopes

 Objeto Signature

 Colección SignatureSet

 Objeto WebPageFont

 Objeto de colección WebPageFonts


Objeto Signature


Utilizar las barras de comandos


Objeto CommandBar

 Objeto CommandBarButton

 Objeto CommandBarComboBox

 Objeto CommandBarControl

 Objeto CommandBarPopup
Objeto CommandBar

 Objeto CommandBarControl

 Propiedad FaceId

 Método PasteFace

 Utilizar las barras de comandos


Objeto Balloon
Agregar y mostrar menús contextuales

 Agregar y manejar barras y elementos de menú

 Agregar y modificar barras de herramientas

 Propiedad BuiltIn

 Propiedad BuiltInFace

 Creación y modificación de globos

 Propiedad FaceId

 Método PasteFace

 Método Show

 Utilizar las barras de comandos


Objeto Balloon
Objeto Balloon

 Objeto BalloonCheckBox

 Objeto BalloonLabel

 Propiedad Checked

 Creación y modificación de globos

 Modificaciones de los globos en tiempo de ejecución

 Introducción al Ayudante de Office

 Método Show


Objeto CommandBarButton

 Objeto CommandBarComboBox

 Objeto CommandBarControl

 Objeto CommandBarPopup
Objeto CommandBarControl

 Propiedad DescriptionText

 Propiedad Enabled

 Propiedad TooltipText


Objeto BalloonCheckBox


Objeto ODSOFilter


Objeto CommandBarPopup


Objeto MsoEnvelope


Objeto PropertyTests
Método NewSearch


Objeto COMAddIn


Objeto PropertyTests


Objeto CommandBar
Agregar y mostrar menús contextuales

 Agregar y manejar barras y elementos de menú

 Agregar y modificar barras de herramientas

 Utilizar las barras de comandos
Propiedad Context


Objeto de colección AnswerWizardFiles

 Objeto de colección BalloonCheckBoxes

 Objeto de colección BalloonLabels

 Objeto de colección COMAddIns

 Objeto de colección CommandBarControls

 Objeto de colección CommandBars

 Objeto de colección DocumentProperties

 Colección FileDialogFilters

 Colección FileDialogSelectedItems

 Colección FileTypes

 Objeto FoundFiles

 Objeto de colección HTMLProjectItems

 Objeto ODSOColumns

 Objeto ODSOFilters

 Objeto de colección PropertyTests

 Colección ScopeFolders

 Objeto de colección Scripts

 Colección SearchFolders

 Colección SearchScopes

 Colección SignatureSet

 Objeto de colección WebPageFonts


Objeto COMAddIn

 Objeto FileDialogFilter


Objeto CommandBarButton

 Objeto CommandBarComboBox

 Objeto CommandBarControl

 Objeto CommandBarPopup
Propiedad Caption

 Propiedad DisplayKeysInTooltips

 Propiedad DisplayTooltips


Agregar y mostrar menús contextuales

 Agregar y manejar barras y elementos de menú

 Agregar y modificar barras de herramientas

 Utilizar las barras de comandos


Objeto Script


Objeto FileDialogFilter


Objeto Assistant

 Objeto FileSearch
Propiedad Animation

 Introducción al Ayudante de Office

 Utilizar el Ayudante de Office


Objeto FileDialog

 Objeto OfficeDataSourceObject


Objeto WebPageFont


Objeto Assistant
Introducción al Ayudante de Office


Propiedad Controls


Objeto CommandBarButton

 Objeto CommandBarComboBox

 Objeto CommandBarControl

 Objeto CommandBarPopup
Método Help

 Propiedad HelpFile


Objeto CommandBarButton

 Objeto CommandBarComboBox

 Objeto CommandBarControl

 Objeto CommandBarPopup
Método Help

 Propiedad HelpContextId


Objeto CommandBar

 Objeto CommandBarButton

 Objeto CommandBarComboBox

 Objeto CommandBarControl

 Objeto CommandBarPopup

 Objeto Script


Objeto CommandBar

 Objeto CommandBarButton

 Objeto CommandBarComboBox

 Objeto CommandBarControl

 Objeto CommandBarPopup

 Objeto ODSOColumn

 Objeto ODSOFilter


Objeto Signature
Propiedad IsCertificateRevoked


Objeto Signature
Propiedad IsCertificateExpired


Objeto de colección AnswerWizardFiles

 Objeto Assistant

 Objeto BalloonCheckBox

 Objeto de colección BalloonCheckBoxes

 Objeto BalloonLabel

 Objeto de colección BalloonLabels

 Objeto de colección CommandBarControls

 Objeto de colección CommandBars

 Objeto de colección DocumentProperties

 Objeto FileDialog

 Colección FileTypes

 Objeto FoundFiles

 Objeto MsoEnvelope

 Objeto de colección PropertyTests

 Colección ScopeFolders

 Colección SearchFolders

 Colección SearchScopes

 Colección SignatureSet

 Objeto de colección WebPageFonts


Objeto LanguageSettings


Objeto FileSearch
Método NewSearch


Propiedad Top


Objeto DocumentProperty
Propiedad LinkToContent


Objeto DocumentProperty
Propiedad LinkSource


Objeto CommandBarButton
Propiedad Picture


Objeto Assistant

 Objeto Balloon

 Objeto BalloonCheckBox

 Objeto de colección BalloonCheckBoxes

 Objeto BalloonLabel

 Objeto de colección BalloonLabels

 Objeto CommandBar

 Objeto DocumentProperty

 Objeto HTMLProjectItem

 Objeto ODSOColumn

 Objeto PropertyTests

 Objeto ScopeFolder
Propiedad NameLocal


Objeto CommandBar
Propiedad Name


Objeto Assistant
Objeto Assistant

 Objeto Balloon

 Propiedad BalloonError

 Creación y modificación de globos

 Modificaciones de los globos en tiempo de ejecución

 Método Show


Objeto AnswerWizard

 Objeto de colección AnswerWizardFiles

 Objeto Assistant

 Objeto Balloon

 Objeto BalloonCheckBox

 Objeto de colección BalloonCheckBoxes

 Objeto BalloonLabel

 Objeto de colección BalloonLabels

 Objeto COMAddIn

 Objeto de colección COMAddIns

 Objeto CommandBar

 Objeto CommandBarButton

 Objeto CommandBarComboBox

 Objeto CommandBarControl

 Objeto de colección CommandBarControls

 Objeto CommandBarPopup

 Objeto de colección CommandBars

 Objeto de colección DocumentProperties

 Objeto DocumentProperty

 Objeto FileDialog

 Objeto FileDialogFilter

 Colección FileDialogFilters

 Colección FileDialogSelectedItems

 Objeto HTMLProject

 Objeto HTMLProjectItem

 Objeto de colección HTMLProjectItems

 Objeto LanguageSettings

 Objeto MsoEnvelope

 Objeto ODSOColumn

 Objeto ODSOColumns

 Objeto ODSOFilter

 Objeto ODSOFilters

 Objeto Script

 Objeto de colección Scripts

 Objeto Signature

 Colección SignatureSet


Objeto ScopeFolder


Objeto CommandBarButton
Propiedad Mask


Objeto SearchScope


Objeto PropertyTests
Propiedad Value


Objeto CommandBarButton
Introducción al Ayudante de Office


Objeto CommandBarButton

 Objeto HTMLProject


Objeto CommandBarButton

 Objeto CommandBarComboBox


Método FindControl


Objeto Balloon

 Objeto BalloonCheckBox

 Objeto BalloonLabel

 Objeto CommandBarComboBox

 Objeto HTMLProjectItem
Creación y modificación de globos

 Propiedad Heading

 Introducción al Ayudante de Office

 Método Show


Objeto CommandBarButton

 Objeto CommandBarComboBox

 Objeto CommandBarControl

 Objeto CommandBarPopup
Propiedad Caption

 Propiedad DescriptionText


Propiedad Left


Objeto CommandBar

 Objeto CommandBarButton

 Objeto CommandBarComboBox

 Objeto CommandBarControl

 Objeto CommandBarPopup

 Objeto DocumentProperty

 Objeto SearchScope
Utilizar las barras de comandos


Objeto DocumentProperty

 Objeto ODSOColumn

 Objeto PropertyTests


Objeto Assistant

 Objeto CommandBar

 Objeto CommandBarButton

 Objeto CommandBarComboBox

 Objeto CommandBarControl

 Objeto CommandBarPopup
Introducción al Ayudante de Office

 Utilizar el Ayudante de Office


Eventos nuevos

 Métodos nuevos

 Objetos nuevos

 Propiedades nuevas (por objeto)

 Novedades para los programadores de Microsoft Office


Eventos nuevos

 Métodos nuevos

 Objetos nuevos

 Propiedades nuevas (por orden alfabético)

 Novedades para los programadores de Microsoft Office


Propiedad Height


Creación y modificación de globos

 Introducción a las barras de comandos

 Introducción al Ayudante de Office

 Utilizar las barras de comandos

 Utilizar el Ayudante de Office


INDEX~TEXT
seealso~"Vea&nbsp;también"
appliesto~"Se&nbsp;aplica&nbsp;a"
elements~"Elementos"
properties~"Propiedades"
methods~"Métodos"
events~"Eventos"
example~"Ejemplo"
specifics~"Específicos"
show~"Mostrar&nbsp;descripción"
hide~"Ocultar&nbsp;descripción"